commit cfb263f04f82a83dd94f6eedcd5017d40a4a1a05
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-08-20 09:44:49 +0900

    Release 1.5.25

M	configure.ac

commit 5bd2ecc54d35be7724720eaa100349b58f8af109
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-08-20 09:42:15 +0900

    src/ibuscomposetable: Do not output incompleted compose dead keys
    
    Incompleted dead keys are used in fi_FI compose.

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c

commit 238eb612b5e8faa96841006d863044fffac03eab
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-08-20 09:42:12 +0900

    engine: Update simple.xml with xkeyboard-config 2.33

M	engine/simple.xml.in

commit 934c456e612711940b29429bf6a52ff6cb4be0ab
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-08-20 09:36:43 +0900

    autogen: Check xkeyboard-config-devel for XKBCONFIG_BASE variable

M	autogen.sh

commit bc265fb6c3792573db142c72cfcb36227c384d82
Author: user202729 <25191436+user202729@users.noreply.github.com>
Date:   2021-08-18 16:24:34 +0900

    src: Fix a typo in ibusenginesimple.h
    
    BUG=https://github.com/ibus/ibus/pull/2332

M	src/ibusenginesimple.h

commit e465011b48cbaca4f18a65cf7b23a1035cf6b105
Author: Gunnar Hjalmarsson <gunnarhj@ubuntu.com>
Date:   2021-08-18 06:03:19 +0200

    setup: Start ibus-daemon with the --daemonize option
    
    When starting ibus-daemon from IBus Preferences, it's started
    with the command "ibus-daemon --xim". However, ibus-daemon is
    killed once you close IBus Preferences.
    
    This commit adds the "--daemonize" option, so ibus-daemon keeps
    running also after IBus Preferences has been closed.
    
    BUG=https://github.com/ibus/ibus/issues/2316

M	setup/main.py

commit 32d54e0f07c945b906fa52d309879cfd60d8688d
Author: JungHee Lee <36289819+MarongHappy@users.noreply.github.com>
Date:   2021-08-18 16:00:51 +0900

    po: Update translation (Korean)
    
    Update po/ko.po at 100.0%
    기존 번역 입력 방식, 입력 방법, 입력기로 번역된 것을 입력기로 통일하였습니다.
    새로 추가된 내용을 번역하였습니다.
    기타 등등...
    
    BUG=https://github.com/ibus/ibus/pull/2318

M	po/ko.po

commit 904f162ee3170125b637fad76cfdde6542a37965
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   2021-08-18 13:10:29 +0900

    po: Update translation (Korean)
    
    Update po/ko.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/ko/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/ko.po

commit b85c399cc16d1d50b7077f9caf9906ee7e761e93
Author: simmon <simmon@nplob.com>
Date:   2021-08-18 13:08:00 +0900

    po: Update translation (Japanese) (Korean)
    
    Update po/ja.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/ja/
    
    Update po/ko.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/ko/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/ja.po
M	po/ko.po

commit a7ebfc94627821ab6f1fd5943ac88971b01a81b3
Author: Alexey Rubtsov <rushills@gmail.com>
Date:   2021-08-18 13:06:58 +0900

    po: Update translation (Russian)
    
    Update po/ru.po at 98.4%
    https://translate.fedoraproject.org/projects/ibus/ibus/ru/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/ru.po

commit 883f517273fb5324002178540b58928023c84335
Author: Liu Tao <lyuutau@outlook.com>
Date:   2021-08-18 13:04:47 +0900

    po: Update translation (Chinese (Simplified) (zh_CN))
    
    Update po/zh_CN.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/zh_CN.po

commit 6e1588d041326df1d38f87df583b5a0d4579553b
Author: Quentin PAGÈS <quentinantonin@free.fr>
Date:   2021-08-18 13:04:05 +0900

    po: Update translation (Occitan)
    
    Update po/oc.po at 52.6%
    https://translate.fedoraproject.org/projects/ibus/ibus/oc/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/LINGUAS
A	po/oc.po

commit 3ceecf38cf6e2e6b0cd2972c58b0140708031f84
Author: Jan Kuparinen <copper_fin@hotmail.com>
Date:   2021-08-18 13:02:47 +0900

    po: Update translation (Finnish)
    
    Update po/fi.po at 20.3%
    https://translate.fedoraproject.org/projects/ibus/ibus/fi/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/fi.po

commit 1239c930090ebbe8e4622ea4f3df5143b9a623ce
Author: Abu Huraira <abuhuraira@tutamail.com>
Date:   2021-08-18 13:02:17 +0900

    po: Update translation (Bengali)
    
    Update po/bn.po at 71.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/bn/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/bn.po

commit c0170aeac378dc966406c9a8a0e294c09b34049a
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2021-08-18 13:01:21 +0900

    po: Update translation (Spanish)
    
    Update po/es.po at 97.4%
    https://translate.fedoraproject.org/projects/ibus/ibus/es/
    
    BUG=https://github.com/ibus/ibus/pull/2305

M	po/es.po

commit 71ca4a985966aa5a9dfbfb5c671fee841f8ee730
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   2021-08-18 11:54:31 +0900

    client/x11: Add support for XFixes ClientDisconnectMode
    
    The Xserver itself is capable of terminating itself once all X11 clients
    are gone, yet in a typical full session, there are a number of X11
    clients such as ibus-x11 running continuously.
    
    Those always-running clients will prevent the Xserver from terminating,
    because the actual number of X11 clients will never drop to 0.
    
    Use XFixes ClientDisconnectMode to inform the X11 server that it can
    terminate even if ibus-x11 is still running.
    
    That will allow Xwayland from terminating automatically when regular
    clients have quit.
    
    On plain Xorg servers, the lifetime of the session is usually tied to
    the session manager or window manager, and this change will have no
    effect.
    
    BUG=https://github.com/ibus/ibus/pull/2314

M	client/x11/Makefile.am
M	client/x11/main.c
M	configure.ac

commit a823161768c8f6916dbdebe73842a9fc04521369
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-08-09 12:36:40 +0900

    client/gtk2/ibusimcontext: Enable sync process in GTK4
    
    gtk_im_context_filter_key() does not forward control keys likes
    BackSpace, Return and change the process mode to the synchronization.
    
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/issues/3465

M	client/gtk2/ibusimcontext.c

commit 17ae266cade41e795534532acefc85716bb309ef
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:53:34 +0900

    Code reviews
    
    - Use fstat() and fchmod() but not stat() and chmod() to
      fix race conditions
    - Avoid to use after free
    - Fix dereference of IBusComposeTable->priv
    - Fix to divide by zero

M	src/ibusbus.c
M	src/ibuscomposetable.c
M	src/tests/ibus-desktop-testing-runner.in

commit 4259f16324d578aa2505cf50f2f23923d8d87e76
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:53:19 +0900

    src/ibusenginesimple: Make Compose preedit less intrusive
    
    Tweak the preedit display for Compose sequences to
    be not so distracting. We only show the Compose key
    when it occurs in the middle of the sequence or is
    the only key so far.
    
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/issues/3669
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3220
    BUG=https://blog.gtk.org/2021/03/24/input-revisited/

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c
M	src/ibusenginesimpleprivate.h

commit df495660a6da492fe0cac8f7fe748f25a1c3217c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:52:23 +0900

    src/ibusenginesimple: Change gint to int

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c
M	src/ibusenginesimpleprivate.h

commit 3e2609e68c9107ce7c65e2d5876bfdc9f0f8c854
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:52:21 +0900

    src: Update ibuskeysyms.h for latest dead keys

M	src/ibuskeysyms.h

commit 2fc1a028aa697f1320d85a76548cde12894bf9ab
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:52:18 +0900

    src/ibusenginesimple: Multi_key to 0xB7
    
    Use · instead of ⎄ to display Multi_key in pre-edit.
    
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/issues/3669
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3220

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c

commit 7e12d589ee4979fdd0f0b08f1bac9049741ec628
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-26 22:52:12 +0900

    src/ibuscomposetable: Move ibus_compose_table_check
    
    - Move ibus_compose_table_check and ibus_compose_table_compact_check
      from ibusenginesimple.c to ibuscomposetable.c
    - Fix src/tests/ibus-compose.c to read compose sequences correctly.

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c
M	src/ibusenginesimpleprivate.h
M	src/tests/Makefile.am
M	src/tests/ibus-compose.c

commit a4939f67f9de8275219e2cfcd3873e0fbe59058f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-16 13:08:02 +0900

    setup: Enhance engine search function
    
    ibus-setup can search both the language names and input method names
    in the top language list but when you search a language keyword
    in the language list and move to the input method list after click
    the hit language name, any input methods could not be shown because
    the language didn't hit in any input method names.
    
    In this enhancement, ibus-setup can show the input methods to hit
    the language names.

M	setup/enginedialog.py

commit b952d30a1b7c741052c168fe1081ecb4d4b1c034
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-07-14 22:31:47 +0900

    Change default Emoji shortcut key
    
    The shortcut key was Ctrl-Shit-e to follow Unicode code point
    shortcut key but now the shorcut key is changed to Ctrl-period
    to follow GTK.
    
    BUG=https://github.com/ibus/ibus/issues/2325

M	data/dconf/org.freedesktop.ibus.gschema.xml

commit ab6b9587a497e9662a2936df3dabed4582eeabdb
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-06-29 12:40:20 +0900

    src/tests: Delete G_MESSAGES_DEBUG in desktop-testing for gsettings
    
    G_MESSAGES_DEBUG message could be appended to the output of gsettings
    command and it's not useful to check the output.

M	src/tests/ibus-desktop-testing-runner.in

commit 7f09379b3cb69c7de6d8d667ce398dcfc0000433
Author: lf- <software@lfcode.ca>
Date:   2021-06-24 16:10:12 +0900

    src/ibuscomposetable: Fix a buffer overflow in compose handling
    
    I believe this has no security impact but it is making my Valgrind sad.
    
    Thanks to Omni for the help in finding the root cause of this.
    
    ~/.XCompose is:
    ```
    <Multi_key> <g> <h> : "η"
    <Multi_key> <g> <v> <t> <h> : "ϑ"
    <Multi_key> <g> <h>     : "ɣ"
    ```
    
    BUG=https://github.com/ibus/ibus/pull/2297

M	src/ibuscomposetable.c

commit a755d1601a730b5fa0d463e7820311c12b1f1661
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-06-18 15:39:50 +0900

    src/ibuscomposetable: Do not include the same compose file
    
    BUG=https://github.com/ibus/ibus/pull/2296

M	src/ibuscomposetable.c

commit 9f9c88be46436b0a7aa8e09e044a2223356b46dc
Author: lf- <software@lfcode.ca>
Date:   2021-06-18 15:39:19 +0900

    src/ibuscomposetable: Add support for the include directive
    
    We also fix an issue with excess space at the start of lines stopping
    comments being recognized.
    
    BUG=https://github.com/ibus/ibus/pull/2296

M	src/ibuscomposetable.c

commit bc7811c6247b7bb8eba2f9f80c4f9f1510cd6b65
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-06-16 20:39:35 +0900

    src/tests: Fix ibus-desktop-testing-runner to get gsettings result
    
    gsettings null string is '' and the quote mark needs to be parsed.
    Also no-overview gsetting should be changed before run gnome-session.

M	src/tests/ibus-desktop-testing-runner.in

commit e9e1642870994abfdbd06b0138524ac231c159b8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-06-16 18:00:31 +0900

    Fix code reviews

M	bus/ibusimpl.c
M	bus/server.c
M	client/gtk2/ibusimcontext.c
M	client/wayland/main.c
M	client/x11/main.c
M	conf/dconf/main.c
M	portal/portal.c
M	setup/ibus-setup.in
M	src/emoji-parser.c
M	src/ibusaccelgroup.c
M	src/ibusbus.c
M	src/ibuscomposetable.c
M	src/ibusemoji.c
M	src/ibusenginesimple.c
M	src/ibushotkey.c
M	src/ibusregistry.c
M	src/ibusshare.c
M	src/ibustext.c
M	src/ibusunicode.c
M	src/tests/ibus-compose.c
M	src/tests/ibus-keypress.c
M	src/unicode-parser.c
M	util/IMdkit/FrameMgr.c
M	util/IMdkit/i18nIc.c
M	util/IMdkit/i18nMethod.c
M	util/IMdkit/i18nOffsetCache.c
M	util/IMdkit/i18nPtHdr.c
M	util/IMdkit/i18nUtil.c
M	util/IMdkit/i18nX.c

commit d105a3941aad53b0c7470a1e9c1033987b029fb8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-05-12 18:54:30 +0900

    client/gtk2: Implement ibus_im_context_set_surrounding_with_selection()
    
    Selection bounds need to be re-calculated when pre-edit text is
    inserted and the selection position is changed.
    GTK4 has a new API GtkIMContext.set_surrounding_with_selection()
    to fix this issue and now IBus GTK module inherits the API.
    
    BUG=https://github.com/ibus/ibus/issues/2013

M	client/gtk2/ibusimcontext.c

commit 214b60a3af67b6e8dafdb8edba666a369f18be12
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-03-26 22:48:08 +0900

    src/tests: Run gnome-session with no-overview mode
    
    gnome-shell 40 now shows the overview mode by login and
    gnome-desktop-testing-runner cannot get the input focus.
    Running gnome-session with no-overview shell extension can
    get the input focus or mutter is another option.
    The default may be changed to twm if mutter also will be changed
    not to accept the application focus in the future.
    
    Disable Tour dialog which prevent test application from getting the
    input focus.
    
    Don't output FAIL if the actual failure is 0 for Fedora CI.
    
    BUG=https://discourse.gnome.org/t/focus-on-autostart-application-by-login/5863

M	src/tests/ibus-desktop-testing-runner.in

commit 4d51b73b69de9003c0b7e8a2558d8666503b6f16
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-02-21 23:59:05 +0900

    Release 1.5.24

M	configure.ac

commit 5012b69c7c0ee39c6be4d230a5f1e8a9fc22a17f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-02-21 23:27:26 +0900

    engine: Update simple.xml

M	engine/simple.xml.in

commit 72ca5c932e511f10dabe171572fb97eaec001e4b
Author: Gunnar Hjalmarsson <gunnarhj@ubuntu.com>
Date:   2021-02-21 22:03:42 +0900

    setup: Hide IBus Preferences from AppStream
    
    BUG=https://github.com/ibus/ibus/issues/2286

M	setup/ibus-setup.desktop

commit 27baf2047ff5728cc7ae6806380541d038fcc99d
Author: Takao Fujiwara <tfujiwar@localhost.localdomain>
Date:   2021-02-21 00:35:29 +0900

    po: Update translation (Japanese)
    
    Update po/ja.po at 98.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/ja/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/ja.po

commit 583420539f9ff1a3419b906ca4fd9e26d2f1f3ec
Author: Julien Humbert <julroy67@gmail.com>
Date:   2021-02-21 00:35:23 +0900

    po: Update translation (French)
    
    Update po/fr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/fr/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/fr.po

commit ef497424f5ca32b4b8749245a77d01c3bb6317de
Author: Ricky Tigg <ricky.tigg@gmail.com>
Date:   2021-02-21 00:35:10 +0900

    po: Update translation (Finnish)
    
    Update po/fi.po at 19.2%
    https://translate.fedoraproject.org/projects/ibus/ibus/fi/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/fi.po

commit 1470078b9129753fb9f31e390336a423a489e4e8
Author: Jan Kuparinen <copper_fin@hotmail.com>
Date:   2021-02-21 00:35:10 +0900

    po: Update translation (Finnish)
    
    Update po/fi.po at 18.9%
    https://translate.fedoraproject.org/projects/ibus/ibus/fi/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/fi.po

commit ceea02ef354a3583bf55701c2e6db718a5a90ab6
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   2021-02-21 00:35:06 +0900

    po: Update translation (Chinese (Simplified) (zh_CN))
    
    Update po/zh_CN.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/zh_CN.po

commit 37ec7304a007231cdd3aa5ed9227e3faf861acde
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2021-02-21 00:35:01 +0900

    po: Update translation (German)
    
    Update po/de.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/de/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/de.po

commit e9cd26d9a7ffc6900cd6062db2277f7bdb850d94
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   2021-02-21 00:34:58 +0900

    po: Update translation (Swedish)
    
    Update po/sv.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/sv/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/sv.po

commit 3af102b3871250ae855310f2337fc692905e8256
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2021-02-21 00:34:50 +0900

    po: Update translation (Ukrainian)
    
    Update po/uk.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/uk/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/uk.po

commit ceea329ab60a49905fac8b086f05d4033c114658
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   2021-02-21 00:34:39 +0900

    po: Update translation (Turkish)
    
    Update po/tr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/tr/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/tr.po

commit fece06e271c8a734ebb261f6ddfa197646144c04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2021-02-21 00:34:32 +0900

    po: Update translation (Polish)
    
    Update po/pl.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/pl/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/pl.po

commit 54652f5d8dc73ad27b5bf0a9a94731f6bcb61669
Author: Henrique Roberto Gattermann Mittelstaedt <henrique.roberto97@gmail.com>
Date:   2021-02-21 00:34:10 +0900

    po: Update translation (Portuguese (Brazil))
    
    Update po/pt_BR.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/pt_BR/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/pt_BR.po

commit 54224eee95f6cd7e4dc9ad86a3bc34b1f667a073
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2021-02-21 00:34:00 +0900

    po: Update translation (Spanish)
    
    Update po/es.po at 96.5%
    https://translate.fedoraproject.org/projects/ibus/ibus/es/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/es.po

commit c62043f4db825cfda57d2cb54e8d8a74d922cba3
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   2021-02-21 00:33:56 +0900

    po: Update translation (Spanish)
    
    Update po/es.po at 96.5%
    https://translate.fedoraproject.org/projects/ibus/ibus/es/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/es.po

commit abca46492977e842e49434cb5b784bd829f3a527
Author: Tawsif Hossain Shafi <tenshou170@outlook.com>
Date:   2021-02-21 00:33:44 +0900

    po: Update translation (Bengali)
    
    Update po/bn.po at 69.8%
    https://translate.fedoraproject.org/projects/ibus/ibus/bn/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/bn.po

commit 2d4925645f6f08deef89cf7b8e2d2a9da80939b3
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2021-02-21 00:33:27 +0900

    po: Update translation (Danish)
    
    Update po/da.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/da/
    
    BUG=https://github.com/ibus/ibus/pull/2266

M	po/da.po

commit ef4c5c7ef790ce1f80e94a5463e110ed4bae254e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-01-20 17:26:47 +0900

    setup: Search engine name directly
    
    Currently users can search language names only in the language list
    in ibus-setup. After a language is selected and open, engine names can
    be searched.
    Now engine names also can be searched in the language list.

M	setup/enginedialog.py

commit d0a47c3c82b1a0c263ff8b95f9cf5c0a5d1f228d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-01-08 18:48:13 +0900

    client/gtk2: Add XTranslateCoordinates for GTK4 X11 coordinate
    
    GdkWindow had the absolute coordiante in the private class in GTK3
    but the absolute coordiane no longer exists in GTK4 for Wayland.
    Now get the toplevel window coordiante for the warkaround in GTK4
    but the coordiante of the inner widgets is no longer available too.
    
    BUG=https://gitlab.gnome.org/GNOME/gtk/-/issues/3024#note_987835

M	client/gtk2/ibusimcontext.c

commit c7928b158741282e17a042f767bc5ae32c302c96
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-01-08 18:45:55 +0900

    Add GTK4 IM module
    
    BUG=https://github.com/ibus/ibus/issues/2291

M	client/Makefile.am
M	client/gtk2/ibusimcontext.c
A	client/gtk4/Makefile.am
A	client/gtk4/ibusim.c
A	client/gtk4/ibusimcontext.c
A	client/gtk4/ibusimcontext.h
M	configure.ac

commit 30a3641e19c541924959a5770dd784b4424288d4
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2021-01-01 07:02:43 +0900

    travis: Add CI

A	.travis.yml

commit 29959e1d2521781c544879b284e03812a2a11b2e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-12-31 20:00:02 +0900

    engine: Fix input in gensimple.py
    
    Replace datarootdir with XKBCONFIG_BASE.

M	configure.ac
M	engine/Makefile.am

commit 5d68b00e0464d43ba2f77697f9dcfbff78d7b438
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-12-31 17:28:45 +0900

    engine: Fix iso-path in gensimple.py
    
    Replace datarootdir with ISOCODES_PREFIX.

M	engine/Makefile.am

commit aec2ac75ea673d3701904735378765476cad0f21
Author: Gunnar Hjalmarsson <gunnarhj@ubuntu.com>
Date:   2020-12-11 16:27:36 +0900

    ui/gtk3: Warning dialog for any deprecated IBus XKB engine
    
    This is a follow-up of commit 5322c447. That commit introduced
    a warning dialog in case of an empty engines list.
    
    This commit makes a differently worded warning dialog be shown
    in cases where the engines list is not empty but preload-engines
    includes at least one deprecated engine. It also fixes a variable
    confusion so a deprecated engine is mentioned in the first kind
    of warning dialog and not the US engine.
    
    BUG=https://github.com/ibus/ibus/issues/2274

M	po/ibus10.pot
M	ui/gtk3/panel.vala

commit 5322c447c74a10ee54b482d6eff6da6d16a7c9ce
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-11-21 07:41:23 +0900

    ui/gtk3: Warn deprecated IBus XKB engines /w dialog
    
    simple.xml is updated by IBus release and some XKB engines
    could be deprecated with xkeyboard-config updates.
    Now a warning dialog is launched when the deprecated engines are
    changed to xkb:us::eng engine.
    
    BUG=https://github.com/ibus/ibus/issues/2274

M	po/ibus10.pot
M	ui/gtk3/panel.vala

commit b72efea42d5f72e08e2774ae03027c246d41cab7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-11-20 10:56:11 +0900

    src: Update IBusInputPurpose and IBusInputHints in ibustypes.h
    
    Copy IBUS_INPUT_PURPOSE_TERMINAL, IBUS_INPUT_PURPOSE_PIN,
    IBUS_INPUT_PURPOSE_TERMINAL from GTK 3.24.14

M	src/ibustypes.h

commit aa558de80c224921753990806cf553428fbe7057
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-11-20 09:03:32 +0900

    src: Fix to build emoji-*.dict in CLDR 38
    
    root.xml and sr_Cyrl.xml have included no contents since
    cldr-emoji-annotation-38 and make install failed because of no
    emoji-root.dict and emoji-sr.Cyrl.dict.
    Now the build creates the no content files but remove those files
    in the install hook.
    
    BUG=rhbz#1898065

M	src/Makefile.am
M	src/emoji-parser.c

commit 02338ce751a1ed5b9b892fba530ec2fe211d314e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-11-20 08:58:52 +0900

    docs: Fix make dist

M	docs/reference/ibus/Makefile.am

commit dd4cc5b028c35f9bb8fa9d3bdc8f26bcdfc43d40
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-30 20:35:23 +0900

    ui/gtk3: Fix arguments in GLib.DBusSignalCallback for Vala 0.50
    
    BUG=https://github.com/ibus/ibus/issues/2265

M	ui/gtk3/application.vala
M	ui/gtk3/extension.vala

commit 447908702fda9f98bd696d680957f508395aac69
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-29 19:52:04 +0900

    Release 1.5.23

M	autogen.sh
M	configure.ac

commit 9d386d939ae1b636c3e02b8cd6d3f187d7afa367
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2020-09-29 17:40:47 +0900

    po: Update translation (Danish)
    
    Update po/da.po at 99.6%
    https://translate.fedoraproject.org/projects/ibus/ibus/da/
    
    BUG=https://github.com/ibus/ibus/pull/2264

M	po/da.po

commit e4dd6d148c5bea7564b9dd052bde290d5434abcb
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-25 21:45:27 +0900

    engine: Delete xkb:in:tel-kagapa:tel in simple.xml.in
    
    tel-kagapa variant is duplicated in base.xml
    
    BUG=https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/issues/222

M	engine/simple.xml.in

commit 9a9f82841d8454065b8ac3203c83e6416f2c5b4f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-25 18:51:52 +0900

    src: Update emoji-parser with CLDR emoji annotation release-31-0-1
    
    cldr-emoji-annotation has no longer provided U+FE0F presentation
    since release-31-0-1 and emoji-parser needs to follow it.
    
    BUG=https://github.com/ibus/ibus/issues/2263

M	src/emoji-parser.c

commit aa3a9f0524ac0e4210c4e2eeb78196775dff8920
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-19 17:36:32 +0900

    ui/gtk3: Delete deprecated ENABLE_APPINDICATOR_ENGINE_ICON check
    
    Now plasma-workspace 5.2 and qtbase 5.4 are deprecated and delete
    the version check.
    
    BUG=https://github.com/ibus/ibus/pull/2194

M	configure.ac
M	ui/gtk3/Makefile.am
M	ui/gtk3/panel.vala

commit cbc956bb4ccfc8fa6f0c11aca6b5080939683a0c
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2020-09-18 17:12:45 +0900

    po: Update translation (Danish)
    
    Update po/da.po at 98.5%
    https://translate.fedoraproject.org/projects/ibus/ibus/da/
    
    BUG=https://github.com/ibus/ibus/pull/2259

M	po/da.po

commit 920fa490b349fa26d525fd1263a11b18e7daa5d7
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-09-18 17:11:23 +0900

    po: Update translation (Korean)
    
    BUG=https://github.com/ibus/ibus/pull/2198

M	po/ko.po

commit 38a729589f1ca636d12a39422cffbcc1386636de
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2020-09-14 19:19:05 +0900

    po: Update translation (Danish)
    
    Update po/da.po at 98.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/da/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/da.po

commit cd063958873b151e5f125da67eca20ed2d4abf02
Author: Göran Uddeborg <goeran@uddeborg.se>
Date:   2020-09-14 19:16:15 +0900

    po: Update translation (Swedish)
    
    Update po/sv.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/sv/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/sv.po

commit 8a40f5c9f195f3cb4a37c2c92e1f2c6481d461c2
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   2020-09-14 19:13:03 +0900

    po: Update translation (Turkish)
    
    Update po/tr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/tr/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/tr.po

commit 9f455b48e30004dd194342bffeca424505c4c53c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2020-09-14 19:09:44 +0900

    po: Update translation (Hebrew)
    
    Update po/he.po at 31.2%
    https://translate.fedoraproject.org/projects/ibus/ibus/he/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/he.po

commit e491e20ff90d0ada8502fc486f88b994d914b28a
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2020-09-14 19:06:49 +0900

    po: Update translation (Spanish)
    
    Update po/es.po at 96.3%
    https://translate.fedoraproject.org/projects/ibus/ibus/es/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/es.po

commit 6662b8e0b11d104e4ca1b384df0a1141a417a4dd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-09-14 19:03:18 +0900

    po: Update translation (German)
    
    Update po/de.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/de/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/de.po

commit 7e469b59fdfd5cab3462b91b43d5efde636fa796
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2020-09-14 18:59:57 +0900

    po: Update translation (Polish)
    
    Update po/pl.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/pl/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/pl.po

commit 700ef87ec3042a64fb726e1c32dcbc190d99945d
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-09-14 18:55:36 +0900

    po: Update translation (Ukrainian)
    
    Update po/uk.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/uk/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/uk.po

commit ea27a8be47cec9adbd62fea3b8bc8810e9ff1c8d
Author: Whired Planck <fungdaat31@outlook.com>
Date:   2020-09-14 18:45:53 +0900

    po: Update translation (Chinese (Simplified))
    
    Update po/zh_CN.po at 47.7%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/zh_CN.po

commit 3b64d4ada8112bea7fcce40cac7b5d8bb215b89b
Author: Tian Shixiong <tiansworld@gmail.com>
Date:   2020-09-14 18:45:44 +0900

    po: Update translation (Chinese (Simplified))
    
    Update po/zh_CN.po at 47.7%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2253

M	po/zh_CN.po

commit ce865f6735559eea76cd016dbed649f70e9e7be9
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-14 18:34:04 +0900

    Update POT file
    
    Delete unused msgid

M	po/ibus10.pot

commit 0d90da4c968b8f5603c0880e130058dd00af5aa7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-09 18:49:20 +0900

    engine: Update simple.xml.in with latest gensimple.py
    
    BUG=rhbz#1876877

M	engine/simple.xml.in

commit 3aa670e9f8319fe064ce7c45ce56304ca5af94dc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-09 18:42:10 +0900

    engine: Fix to pull the correct language with no iso639 variants
    
    Some variants have iso639 but others do not in evdev.xml and
    gensimple.py have to fallback to the layout iso639.
    
    BUG=rhbz#1876877

M	engine/gensimple.py

commit a440942a62c46578377a8679c48146f597e338a4
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-09 18:36:18 +0900

    ui/gtk3: Accept xdigits only for Unicode typing
    
    Ctrl-Shift-u behavior now follows GTK's one.
    
    BUG=https://github.com/ibus/ibus/issues/2249

M	ui/gtk3/panelbinding.vala

commit f8c468ab2726305a3a568d346e6f8b10d81ef3c5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-04 11:47:04 +0900

    Update translations
    
    Update po/bg.po po/ca.po po/cs.po po/da.po po/de.po po/es.po po/fr.po
           po/gu.po po/he.po po/hu.po po/ia.po po/id.po po/it.po po/ja.po
           po/kn.po po/ko.po po/ml.po po/mr.po po/nl.po po/pa.po po/pl.po
           po/pt.po po/pt_BR.po po/ru.po po/sv.po po/ta.po po/te.po
           po/tr.po po/uk.po po/vi.po po/zh_CN.po po/zh_HK.po po/zh_TW.po

M	po/bg.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/gu.po
M	po/he.po
M	po/hu.po
M	po/ia.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/ml.po
M	po/mr.po
M	po/nl.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ru.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 7caead10d3698ef1ecaa97e6e122e27a720d612e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-09-03 21:21:31 +0900

    Fix string formats in translatable strings

M	autogen.sh
M	data/dconf/org.freedesktop.ibus.gschema.xml
M	po/ibus10.pot
M	setup/enginetreeview.py
M	setup/main.py
M	tools/main.vala

commit 00adea6d16939e2da35ede7f2ecf3fe0a2156fa6
Author: ntfs.hard <ntfs.hard@gmail.com>
Date:   2020-09-03 14:59:35 +0900

    Fix for several error spotted by static analyzer
    
    - ibuscomposetable.c, ibusxml.c:
    Check size before memory access
    
    - inputcontext.c:
    Use logical operator for bool type variables
    
    - config.c:
    Extra break removed
    
    BUG=https://github.com/ibus/ibus/pull/2242

M	bus/inputcontext.c
M	conf/gconf/config.c
M	src/ibuscomposetable.c
M	src/ibusxml.c

commit e938846b1624a9455128edb64f144b0a1181736c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 22:40:23 +0900

    engine: Genarate simple.xml at build time
    
    The engine path of ibus-engine-simple should be decided in
    build time and simple.xml is renamed to simple.xml.in
    Also Revert 6879879002af47d49d8740ca383a048d2ac8e904
    
    BUG=https://github.com/ibus/ibus/issues/2153

M	engine/Makefile.am
M	src/tests/runtest

commit ed7bc8dcded59fb391687e3e9b0676c77accf736
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 22:36:29 +0900

    engine: Move simple.xml to simple.xml.in
    
    BUG=https://github.com/ibus/ibus/issues/2153

D	engine/simple.xml
M	engine/simple.xml.in

commit 394d9a83962225bff4c39ed3e9ddd5c3019a3936
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 11:52:16 +0900

    data/dconf: Fix regression in make-dconf-override-db.sh

M	data/dconf/make-dconf-override-db.sh

commit e5b014bb85c6dc2ad8ffa73af19a22aee2196849
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 11:18:50 +0900

    po: Update translation (Japanese)
    
    Update po/ja.po at 95%
    https://translate.fedoraproject.org/projects/ibus/ibus/ja/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/ja.po

commit e10fc89c5afa1941801429b3a653b3f83b5d3802
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 10:31:10 +0900

    src: Update ibusunicodegen.h with unicode-ucd 13.0.0

M	po/ibus10.pot
M	src/ibusunicodegen.h

commit 5d67a28bd134bd97b6942bf5199da810b184f63d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 10:31:02 +0900

    engine: Update simple.xml with xkeyboard-config 2.30

M	engine/simple.xml

commit 5959d6f1d40c06f57bd895cd84d2b84deb6b6d8d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-27 10:30:43 +0900

    data/dconf: Fix rm $TMPDIR in make-dconf-override-db.sh
    
    dbus-launch and gsettings run /usr/lib*/gvfsd-fuse $TMPDIR/cache/gvfs -f
    via systemd since gvfs 1.45.90 in Fedora 33

M	data/dconf/make-dconf-override-db.sh

commit 3d636acbbe3a66b83d48b7cf917660522e745307
Author: Balázs Meskó <meskobalazs@mailbox.org>
Date:   2020-08-27 09:47:38 +0900

    po: Update translation (Hungarian)
    
    Update po/hu.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/hu/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/hu.po

commit 2858c2b6ed0657cfd360a99b29bc44337200f37c
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2020-08-27 09:45:33 +0900

    po: Update translation (Danish)
    
    Update po/da.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/da/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/da.po

commit 3b089a477268caa65e1c0ceb1741260b39049ef6
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   2020-08-27 09:42:31 +0900

    po: Update translation (French)
    
    Update po/fr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/fr/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/fr.po

commit 55795f466a441e975b4cb0d1160bad7638e7ca00
Author: Shehroz Kaleem <shehrozkhawajachk@gmail.com>
Date:   2020-08-27 09:37:23 +0900

    po: Update translation (Urdu)
    
    Update po/ur.po at 0.5%
    https://translate.fedoraproject.org/projects/ibus/ibus/ur/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/ur.po

commit 61feeedf217bedf0fd9c25138398d6dd89738c87
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2020-08-27 09:24:02 +0900

    po: Update translation (Hebrew)
    
    Update po/he.po at 28.4%
    https://translate.fedoraproject.org/projects/ibus/ibus/he/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/he.po

commit c1a8204e9d6e3d18fd749dd572b46fd768fe46a2
Author: Boyuan Yang <073plan@gmail.com>
Date:   2020-08-27 08:56:04 +0900

    po: Update translation (Chinese (Simplified))
    
    Update po/zh_CN.po at 47.6%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/zh_CN.po

commit 5671a28d379c29b66702a42518528534c6e3d85f
Author: Tian Shixiong <tiansworld@gmail.com>
Date:   2020-08-27 08:48:30 +0900

    po: Update translation (Chinese (Simplified))
    
    Update po/zh_CN.po at 47.2%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_CN/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/zh_CN.po

commit 80f50a73b347146b381fe2145fd1d1a9c74ca848
Author: Yi-Jyun Pan <pan93412@gmail.com>
Date:   2020-08-26 23:58:44 +0900

    po: Update translation (Chinese (Traditional))
    
    Update po/zh_TW.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/zh_TW/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/zh_TW.po

commit 79f055780b43cb629f5fb98f618f774df4ab9484
Author: Allan Nordhøy <epost@anotheragency.no>
Date:   2020-08-26 23:53:27 +0900

    po: Update translation (Swedish)
    
    Update po/sv.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/sv/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/sv.po

commit 372bc3b55b761948964716eb2e17a868989bf9b2
Author: Allan Nordhøy <epost@anotheragency.no>
Date:   2020-08-26 23:53:20 +0900

    po: Update translation (Norwegian Bokmål)
    
    Update po/nb.po at 14.1%
    https://translate.fedoraproject.org/projects/ibus/ibus/nb_NO/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/nb.po

commit 39f67610be762cbb3c2dfd55849a4295b16727d2
Author: Ankit Behera <proneon267@gmail.com>
Date:   2020-08-26 23:53:08 +0900

    po: Update translation (Odia)
    
    Update po/or.po at 98.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/or/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/or.po

commit c17b51b201142c1b922b538461f5fe62e110b878
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   2020-08-26 23:20:19 +0900

    po: Update translation (Turkish)
    
    Update po/tr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/tr/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/tr.po

commit e933cc95b5766953c6328c090baae3e1d2e7ff53
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2020-08-26 23:14:52 +0900

    po: Update translation (Finnish)
    
    Update po/fi.po at 52.2%
    https://translate.fedoraproject.org/projects/ibus/ibus/fi/
    
    BUG=https://github.com/ibus/ibus/pull/2201

M	po/fi.po

commit 6ed34f3bbe978ab174b58cfdfe36a83870ed136a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 22:12:42 +0900

    engine: Update simple.xml with layout_variant
    
    BUG=https://github.com/ibus/ibus/issues/2153

M	engine/simple.xml

commit 568d58dfadefa801b96058c1155daecff3d51605
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 22:07:31 +0900

    engine: Add layout_variant in gensimple.py
    
    Missed to handle layout_variant and also add latam layouts to denylist
    
    BUG=https://github.com/ibus/ibus/issues/2153

M	engine/denylist.txt
M	engine/gensimple.py

commit 59b902a809ed628bb4d5bbad2b8bcb79a8a23208
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 09:46:46 +0900

    src: Add file list in registry file
    
    Under Fedora Silverblue, st_mtime in /usr/share/ibus/component is
    1 Jan 1970 even if ibus engines are installed and ibus-daemon
    cannot detect new engines.
    Now IBusObservedPath saves hashed file list besides st_mtime of
    the compnent directory to detect the installed engines newly.
    
    BUG=https://github.com/ibus/ibus/issues/2132

M	src/ibuscomponent.c
M	src/ibusobservedpath.c
M	src/ibusregistry.c

commit 6879879002af47d49d8740ca383a048d2ac8e904
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 09:15:14 +0900

    src/tests: Fix runtest with simple.xml
    
    Now simple.xml.in is replaced with simple.xml and modify runtest
    to copy simple.xml.
    
    BUG=https://github.com/ibus/ibus/issues/2153

M	src/tests/runtest

commit 37db75bf59c31252db4c0657f31520f2a7e34a77
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 09:14:01 +0900

    engine: Add simple.xml
    
    BUG=https://github.com/ibus/ibus/issues/2153

A	engine/simple.xml

commit 508527daaf90901b6a7fa062372516640f88aa75
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 09:07:39 +0900

    engine: Generate simple.xml with denylist
    
    simple.xml was generated by allowlist (whitelist) and it will be
    done by denylist (blacklist).
    
    BUG=https://github.com/ibus/ibus/issues/2153

M	engine/Makefile.am
A	engine/denylist.txt
M	engine/gensimple.py

commit 60429741526dd63299a95c9c512cb615d3bc1e90
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-21 08:17:59 +0900

    engine: Delete gensimple.py and update autogen.sh
    
    Will replace gensimple.py with the new one later. Also update autogen.sh
    to delete distro genaration files.

M	autogen.sh
M	conf/memconf/Makefile.am
M	engine/gensimple.py

commit 79a09f1e75357a9f1b38e80717a59c19cca1645e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-18 13:45:38 +0900

    setup: Add use-glyph-from-engine-lang
    
    The setting can revert the previous setting to choose glpyhs
    with the current locale on lookup window instead of the engine's language.
    
    BUG=https://github.com/ibus/ibus/issues/2238

M	data/dconf/org.freedesktop.ibus.gschema.xml
M	setup/main.py
M	setup/setup.ui
M	ui/gtk3/panel.vala

commit 3f098dc51a718f3bd427873607dcd47865523dce
Author: Aaron Muir Hamilton <aaron@correspondwith.me>
Date:   2020-08-18 13:45:32 +0900

    ui/gtk3: Tell Pango about the engine language in the candidate panel
    
    This helps Pango select the correct font variants for the engine
    language, which is especially important between languages based on han
    characters which have wildly different forms of the same character.
    
    BUG=https://github.com/ibus/ibus/issues/2238

M	ui/gtk3/candidatearea.vala
M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/panel.vala

commit 0ad5e9a6b6611b53c63e635e89b42e30e43ac701
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-08-05 19:50:02 +0900

    setup: Delete autostart setting
    
    BUG=https://github.com/ibus/ibus/pull/2224

M	setup/main.py
M	setup/setup.ui

commit 0da3cece88c8b94c0721aa7aca4f2d427aa22069
Author: Neil Shepperd <nshepperd@gmail.com>
Date:   2020-07-22 15:31:29 +0900

    src: Skip parsing of compose sequence with invalid keysyms
    
    Instead of continuing with the keysym defaulted to <Delete>, print a
    warning and skip the broken XCompose rule entirely. Fixes a bug where
    an ~/.XCompose file with a error breaks the delete key.
    
    Tested locally with the example from launchpad bug below:
    
               <\> <)> : "☭" # HAMMER AND SICKLE
    
    This is incorrect syntax as neither <\> nor <)> are correct keysym
    names. Before this patch, ibus-daemon -v prints a warning, but
    pressing delete twice produces ☭ instead of its normal function. After
    this patch, ibus-daemon -v prints a slightly better warning, and the
    delete key is unaffected.
    
    BUG=https://github.com/ibus/ibus/issues/2130
    BUG=https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1849399

M	src/ibuscomposetable.c

commit f591381e3c892947ecaffe9131b9039ab9014498
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-05-14 16:02:00 +0900

    bus: Fix SEGV in bus_dbus_impl_name_owner_changed()
    
    rhbz#1406699 SEGV in new_owner!=NULL in bus_dbus_impl_name_owner_changed()
    which is called by bus_name_service_remove_owner()
    If bus_connection_get_unique_name()==NULL, set new_owner="" in
    bus_name_service_remove_owner()
    
    rhbz#1432252 SEGV in old_owner!=NULL in bus_dbus_impl_name_owner_changed()
    which is called by bus_name_service_set_primary_owner()
    If bus_connection_get_unique_name()==NULL, set old_owner="" in
    bus_name_service_set_primary_owner()
    
    BUG=rhbz#1406699
    BUG=rhbz#1432252

M	bus/dbusimpl.c

commit 02105c4d486283e6b561181d9c934d4d23f2d65e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-05-14 15:48:34 +0900

    bus: Fix SEGV in bus_panel_proxy_focus_in()
    
    SEGV in BUS_IS_PANEL_PROXY() in bus_panel_proxy_focus_in()
    Check if GDBusConnect is closed before bus_panel_proxy_new() is called.
    
    BUG=rhbz#1349148
    BUG=rhbz#1385349

M	bus/ibusimpl.c

commit 59d0de47a62395553734070b7d5f26349499bb38
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-04-23 09:46:06 +0900

    src: Build the Emoji dictionaries in parallel
    
    Instead of building Emoji dictionaries src/dicts/emoji-*.dict in sequence, a
    pattern rule is specified for them. The make -jN option builds the
    dictionaries in parallel.
    
    The GNU make extensions like pattern rule and patsubst function are used for
    it. But src/Makefile.am has had other GNU make extensions for a while, so
    using more extensions should not make portability worse.
    
    BUG=https://github.com/ibus/ibus/pull/2209

M	src/Makefile.am

commit 0b9d9365988a96a2bc31c48624f9c2b8081601b6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-04-22 20:17:12 +0900

    client/gtk2: Fix typo

M	client/gtk2/ibusim.c
M	src/tests/ibus-desktop-testing-runner.in

commit 8da016764cee9616cca4658d1fb311d6b3bfc0df
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-04-15 17:55:03 +0900

    src/tests: Fix to get focus events with su in ibus-desktop-testing-runner
    
    GtkWindow haven't received focus events in any test cases since Fedora 31
    whenever Ansible runs ibus-desktop-testing-runner after `su root`.
    Seems su command does not run systemd automatically and now systemd
    requires XDG_RUNTIME_DIR and Ansible requires root access with ssh.
    This fix requires to restart sshd with modified /etc/ssh/sshd_config
    with "PermitRootLogin yes" in order to run with su command.
    
    Ansible with ibus-desktop-testin-runner has worked fine if root console
    login is used without this patch because PAM runs systemd by login.

M	src/tests/ibus-desktop-testing-runner.in

commit 5765bfd69fb2ab1174378fbb0d8cac7f2bd2610f
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-04-15 17:43:14 +0900

    client/gtk2: Remove glib_check_version() in gtk immodule
    
    In the gtk2/gtk3 immodule, glib_check_version() is being used to make sure
    that the installed glib version is not older than the glib version which ibus
    is built with.
    
    But there is no reason why glib version is checked in runtime. Library
    compatibility is already being checked more precisely by packaging systems and
    linkers.
    
    This version check can break the ibus gtk immodule when used with an older but
    compatible version of glib, such as glib 2.62.x which is compatible with
    2.64.x.
    
    BUG=https://github.com/ibus/ibus/issues/2200

M	client/gtk2/ibusim.c

commit 8ce25208c3f4adfd290a032c6aa739d2b7580eb1
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   2020-03-12 16:02:16 +0900

    src: Use WAYLAND_DISPLAY on Wayland sessions to make up IBus socket name
    
    In Wayland sessions, GNOME Shell 3.36 is leveraging 2 X11 Display
    connections so one is used to set up all services for a "X11 session"
    before user applications connected to the other display might require it.
    This allows seamlessly starting Xwayland on demand to X11 user applications.
    
    IBus here belongs to the first described connection, it is started
    explicitly on that display by GNOME Shell as it is necessary to set up
    ibus-x11 before any other X11 client might want to use it.
    
    However the use of this "secondary" display results in IBus daemon left
    unable to talk to applications, as the socket name is dependent on the
    DISPLAY envvar and ibus/applications don't agree on its content.
    
    For wayland sessions, make it look for WAYLAND_DISPLAY, as that'll have
    the similar "per session bus" behavior that this seems to look after.
    
    BUG=https://gitlab.gnome.org/GNOME/gnome-shell/issues/2341

M	src/ibusshare.c

commit 7b0d091839a4f1315ba216175fb2787e86f7fa31
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-03-03 17:08:30 +0900

    src/tests: Delete graves in substitution in ibus-desktop-testing-runner
    
    Delete the single quotations to enclose grave chracters because
    DASH saves the single quoted '`id -u`' as the raw string in the command
    substitution not to be extracted.
    
    BUG=https://github.com/ibus/ibus/issues/2189

M	src/tests/ibus-desktop-testing-runner.in

commit e3262f08b9e3efc57808700823b0622ec03a1b5f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-02-21 21:43:01 +0900

    Release 1.5.22

M	configure.ac

commit 21f7b230896b5e8bc7e4a41bf9cc76fc68d723cb
Author: Luigi Toscano <luigi.toscano@tiscali.it>
Date:   2020-02-21 17:12:44 +0900

    po: Update translation (Italian)
    
    Update po/it.po at 32.0%
    Translate-URL: https://translate.fedoraproject.org/projects/ibus/ibus/it/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/it.po

commit 9e238a87d7adcf3d63b4a10d3ee6977f5ed4540b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-02-21 17:12:42 +0900

    po: Update translation (German)
    
    Update po/de.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/de/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/de.po

commit 16562d4c2ba5cba1488f793900e5809732d2c974
Author: Julien Humbert <julroy67@gmail.com>
Date:   2020-02-21 17:12:40 +0900

    po: Update translation (French)
    
    Update po/fr.po at 100.0%
    https://translate.fedoraproject.org/projects/ibus/ibus/fr/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/fr.po

commit 5f4f1a8aa3694a129d18ca0dd22bbad016452385
Author: Antoni Bella Pérez <antonibella5@yahoo.com>
Date:   2020-02-21 17:12:34 +0900

    po: Update translation (Catalan)
    
    Update po/ca.po at 92.0%
    https://translate.stg.fedoraproject.org/projects/ibus/ibus/ca/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/ca.po

commit 40f4a717d2299f4390343da054e4aec7b05e308e
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-02-21 16:10:01 +0900

    po: Update translation (Ukrainian)
    
    Update po/uk.po at 100.0%
    https://translate.stg.fedoraproject.org/projects/ibus/ibus/uk/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/uk.po

commit ac3f5b7c4be1d292568952fbba53c552a8e1d315
Author: Ahmad Haghighi <haghighi.ahmad@gmail.com>
Date:   2020-02-21 16:01:46 +0900

    po: Update translation (Persian)
    
    Update po/fa.po at 25.2%
    https://translate.stg.fedoraproject.org/projects/ibus/ibus/fa/
    
    BUG=https://github.com/ibus/ibus/pull/2174

M	po/fa.po

commit a1705ad7e5f90cf8d87caf32d7b7acc7125e6778
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-02-13 16:49:12 +0900

    bus: Fix recursive mkdir is failed in /var/lib/gdm/.cache/ibus
    
    If the parent directory (/var/lib/gdm/.cache) is not created,
    mkdir childdir (/var/lib/gdm/.cache/ibus) is failed by the parentdir
    with mode_t = 0.
    
    BUG=https://github.com/ibus/ibus/issues/2177

M	bus/server.c

commit cd4fef5a3290869fc1c36392f5d404fa09932926
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-01-31 15:35:02 +0900

    src: Fix SEGV to access NULL GError when compose length is zero
    
    BUG=rhbz#1788754

M	src/ibuscomposetable.c

commit 74863851e83972e86a5bdb3da3d99784fc8d4955
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-01-28 18:46:13 +0900

    src/tests: Increase sleep to 3 waiting for IBusConfig
    
    Sleep 1 would be too short for ibus-daemon which could run all components.
    ibus-config test requires the running IBusConfig and the test could fail
    in some slow systems.
    Sleep time will be increased to 3 to run all components.
    
    BUG=https://github.com/ibus/ibus/issues/2170

M	src/tests/ibus-config.c
M	src/tests/ibus-desktop-testing-runner.in
M	src/tests/runtest

commit afc0a89c74950351c32df3d60abb343a0dbc06cc
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-01-24 15:37:01 +0900

    Handle small final sigma in ibus_keyval_convert_case
    
    lowercase: GREEK SMALL LETTER FINAL SIGMA (U+03C2)
    uppercase: GREEK CAPITAL LETTER SIGMA (U+03A3)
    
    This mapping was correct in UCSConvertCase, but the "legacy" mapping
    must also be correct for Caps Lock to work with the final sigma key.
    
    https://gitlab.freedesktop.org/xorg/lib/libx11/commit/7f46a38139
    
    BUG=https://github.com/ibus/ibus/pull/2176

M	src/ibuskeynames.c

commit ecc3465a585448486b2ce68bcefc11d6aebae755
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-01-23 16:13:05 +0900

    client/gtk2: Fix some format sentences

M	client/gtk2/ibusimcontext.c

commit 687d026cc73b9991f6918604afc032c4c31ecb85
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2020-01-08 12:45:12 +0900

    po: Add ibus10.pot

A	po/ibus10.pot

commit 9a9e5db8d10fdb30e133c71358360c7bf5479df6
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-01-06 20:26:44 +0900

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/uk/

M	po/uk.po

commit 6f7aceb4542dfb245548ca547df96d72feee4c92
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   2020-01-06 20:26:05 +0900

    Translated using Weblate (Hungarian)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/hu/

M	po/hu.po

commit 4a3aa879959af968c7ae585e7fe4e56df489f36e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2020-01-06 20:25:19 +0900

    Translated using Weblate (Hebrew)
    
    Currently translated at 100.0% (151 of 151 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/he/

M	po/he.po

commit 22b4a08e2eb40960c533774b89d5d9f7eac71187
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2020-01-06 20:08:22 +0900

    Translated using Weblate (Portuguese (Brazil))
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/pt_BR/

M	po/pt_BR.po

commit d31e55e46c1b3bbaa5326109a174a9d592ce0933
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2020-01-06 20:07:28 +0900

    Translated using Weblate (Polish)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/pl/

M	po/pl.po

commit 7be961789113eb739916a65e5f6855cd7cdae4a9
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   2020-01-06 20:06:05 +0900

    Translated using Weblate (French)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/fr/

M	po/fr.po

commit 2e41b2a626fa14a82a7dce4d7a928b8b30b56cd0
Author: Julien Humbert <julroy67@gmail.com>
Date:   2020-01-06 19:41:23 +0900

    Translated using Weblate (French)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/fr/

M	po/fr.po

commit fc2328e7e39c8fc55a7950522aeb2798cf2750cc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-01-06 19:39:34 +0900

    Translated using Weblate (German)
    
    Currently translated at 100.0% (514 of 514 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/de/

M	po/de.po

commit 6f0fec0ff266d1cf7975f3691f2e1a23d4edad4a
Author: Oğuz Ersen <oguzersen@protonmail.com>
Date:   2020-01-06 19:39:30 +0900

    Translated using Weblate (Turkish)
    
    Currently translated at 100.0% (544 of 544 strings)
    
    Translation: ibus/ibus
    Translate-URL: https://translate.stg.fedoraproject.org/projects/ibus/ibus/tr/

M	po/tr.po

commit c662a02bf3b50914c697af12fc152ee97e2df961
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-12-25 17:30:56 +0900

    client/gtk2: Fix to connect button-press-event signal
    
    IBus clients do not connect button-press-event in some conditions
    and it will be fixed.
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	client/gtk2/ibusimcontext.c

commit 25d11f5cfd4c39e53be11a1348da29a61593cc4c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-12-11 16:28:22 +0900

    client/gtk2: Fix to set use_button_press_event after signals are connected
    
    _ibus_context_update_preedit_text_cb() can be called with reset signals
    before ibus_im_context_set_client_window() is called. Then
    use_button_press_event needs to be set only when the signals are connected.
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	client/gtk2/ibusimcontext.c

commit 66141bbc5e68c5f221737282fc4f3d5e48ba6c69
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2019-12-10 13:19:21 +0900

    setup: Add NotShowIn and Keywords keys to the desktop entry
    
    BUG=https://github.com/ibus/ibus/pull/2162

M	setup/ibus-setup.desktop

commit d50627f0b7a000ee13ea6dcc02a4162be1fa853d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-12-03 21:42:49 +0900

    src/tests: RHEL codereview #2 for ibus-desktop-testing-runner

M	src/tests/ibus-compose-locales.in
M	src/tests/ibus-desktop-testing-runner.in

commit bccf94d5ec1c5fc80d5aeac622f2ab8007d5a28a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-11-29 20:28:49 +0900

    src/tests: RHEL codereview for ibus-desktop-testing-runner

M	src/tests/ibus-desktop-testing-runner.in

commit 2a08af4c979ac42aeb037bb86b7717f4272082b5
Author: Jason <jason@kayoway.com>
Date:   2019-11-25 18:58:04 +0900

    Amend typos
    
    BUG=https://github.com/ibus/ibus/pull/2159

M	bus/inputcontext.c
M	bus/panelproxy.c
M	engine/gensimple.py
M	src/ibusbus.c
M	src/ibusbus.h
M	src/ibusengine.h
M	src/ibusobject.h
M	src/ibusproperty.h
M	src/tests/ibus-bus.c
M	ui/gtk3/emojier.vala
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/indicator.vala
M	ui/gtk3/keybindingmanager.vala

commit 052994d153810c4307747fa954f87b2a09dd12f3
Author: pan93412 <pan93412@gmail.com>
Date:   2019-11-25 18:56:59 +0900

    Update translations
    
    Update po/zh_TW.po
    
    BUG=https://github.com/ibus/ibus/pull/2158

M	po/zh_TW.po

commit 76b1773c6ef529888bcd62c4f8207c89ba23503f
Author: Frédéric Mangano-Tarumi <fmang@mg0.fr>
Date:   2019-11-18 12:05:35 +0900

    engine-simple: Add the French bepo_afnor layout
    
    BUG=https://github.com/ibus/ibus/pull/2155

M	engine/simple.xml.in

commit 26a8105b7003953e56bf04426ee89a93482a45c5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-11-10 09:53:27 +0900

    ui/gtk3: Fix to exit `ibus emoji` with Escape key
    
    When Escape key is pressed, the current ibus-ui-emojier should exit
    although another daemon one is alive.
    
    `ibus emoji` was used in Wayland desktop as a workaround but now
    IBus emoji functions are moved to the engine's pre-edit and the same
    function is available with Ctrl-Sfhit-e and space key so this problem
    would not be so visible.
    
    BUG=rhbz#1658187

M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala

commit efeb7b9689126e4f05bd1e10441cdc4a3720ff1c
Author: Robert Hoffmann <externer.dl.hoffmann@muenchen.de>
Date:   2019-11-01 21:55:13 +0900

    bus: Fix restart crash with inotify read()
    
    Do not close inotify desciptors when restarting the server. This
    may lead to crashes in glib.
    
    Fixes crash in libglib/libgio with
    GLib-GIO-ERROR : inotify read(): Bad file descriptor
    
    See also src/tests/ibus-bus.c: start_exit_async():
        /* When `./runtest ibus-bus` runs, ibus-daemon sometimes failed to
         * restart because closing a file descriptor was failed in
         * bus/server.c:_restart_server() with a following error:
         *     "inotify read(): Bad file descriptor"
    
    Test plan:
    Run
    $ ibus restart
    several times. Without the patch ibus-daemon will crash occasionally.
    
    BUG=https://github.com/ibus/ibus/pull/2148

M	bus/server.c

commit 35863d81d15e3d3463cd5dafd0473afb193c57e3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-10-30 17:29:25 +0900

    Fix deprecated APIs
    
    - Fix deprecated gtk_misc_set_padding(), gtk_widget_set_margin_left(),
      gtk_widget_set_margin_right() in emojilang.py, enginedialog.py,
      setup.ui, candidatearea.vala, candidatepanel.vala, switcher.vala
      since GTK 3.12
    
    - Fix g_new0() argument 1 range [18446744071562067968, 18446744073709551615]
      exceeds maximum object size 9223372036854775807
      [-Walloc-size-larger-than=] by adding g_assert() in ibuscomposetable.c
    
    - Fix gdk_keymap_get_default() with gdk_keymap_get_for_display() in
      bindingcommon.vala
    
    - Fix string.utf8_offset() with string.next_char() in emojier.vala
    
    - Fix Posix.SIGUSR1 with Posix.Signal.USR1 in panel.vala

M	bus/ibusimpl.c
M	configure.ac
M	setup/emojilang.py
M	setup/enginedialog.py
M	setup/setup.ui
M	src/ibuscomposetable.c
M	ui/gtk3/bindingcommon.vala
M	ui/gtk3/candidatearea.vala
M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/emojier.vala
M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala

commit 17f8a86ad3302d2df8c68726361f4e08b4e2861a
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2019-10-24 19:43:20 +0900

    Update translations
    
    Update po/ko.po po/pt.po
    
    BUG=https://github.com/ibus/ibus/pull/2138

M	po/LINGUAS
M	po/ko.po
A	po/pt.po

commit d53401efd3ffb4a424a0b332ec65f1d461abbc33
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-10-24 18:24:12 +0900

    Revert the commit 982c40fb819878a8131d2d4a4573d0073ef4d6cc
    
    Some IBus clients could access the ibus address file without using
    ibus_get_socket_path().
    
    BUG=https://github.com/ibus/ibus/pull/2128

M	src/ibusshare.c

commit 745ffb807072b69f7566091855af9a20aabc854d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-10-24 18:11:38 +0900

    src: Replace g_abort with abort in unicode-parser.c
    
    BUG=https://github.com/ibus/ibus/issues/2142

M	src/unicode-parser.c

commit 5742e1b399e5d50f34f35b1cda74e548b95554da
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-10-02 16:41:27 +0900

    Revert XDG_RUNTIME_DIR to XDG_CONFIG_HOME
    
    Some users failed to run ibus-daemon with XDG_RUNTIME_DIR because
    the directory is not created by `su` command.
    Now the IBus socket files will be generated in XDG_CACHE_HOME.
    
    BUG=https://github.com/ibus/ibus/issues/2135

M	configure.ac
M	src/ibusshare.c

commit 773420fad23078ceef83e8ae84bba4e139d0bea3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-09-19 17:09:46 +0900

    src: Fix to allocate compose output buffer with more than two chars
    
    If the compose output chars are more than two, IBusCompose calls
    g_renew() but the size is not enough to insert '\0'.
    
    BUG=https://github.com/ibus/ibus/issues/2123

M	src/ibuscomposetable.c

commit 982c40fb819878a8131d2d4a4573d0073ef4d6cc
Author: Jason <jason@kayoway.com>
Date:   2019-09-13 20:27:43 +0900

    src: Save address file in XDG_RUNTIME_DIR
    
    Currently the address file is saved in XDG_CONFIG_DIR, however since it
    is not a config or preferences file perhaps it should instead be saved
    to XDG_RUNTIME_DIR.
    
    BUG=https://github.com/ibus/ibus/pull/2128

M	src/ibusshare.c

commit a141a14102da038e3f35557ec42e14e322cfdff1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-09-13 20:19:36 +0900

    bus: Use XDG_RUNTIME_DIR for Unix socket directory
    
    g_dbus_server_new_sync() is failed with address "unix:tmpdir=/tmp/ibus"
    in BSD systems because BSD systems do not support abstract socket files
    and use the real files but no directory "/tmp/ibus". Now the default
    directory will be an unique "unix:tmpdir=$XDG_RUNTIME_DIR/ibus" by user
    in Linux and "unix:tmpdir=/tmp" in BSD and mkdir() runs with the directory
    mode 0700 not to modify by malicious users.
    
    BUG=https://github.com/ibus/ibus/issues/2116

M	bus/global.c
M	bus/server.c
M	configure.ac

commit 3d442dbf936d197aa11ca0a71663c2bc61696151
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-09-13 15:59:03 +0900

    bus: Implement GDBusAuthObserver callback
    
    ibus uses a GDBusServer with G_DBUS_SERVER_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS,
    and doesn't set a GDBusAuthObserver, which allows anyone who can connect
    to its AF_UNIX socket to authenticate and be authorized to send method calls.
    It also seems to use an abstract AF_UNIX socket, which does not have
    filesystem permissions, so the practical effect might be that a local
    attacker can connect to another user's ibus service and make arbitrary
    method calls.
    
    BUGS=rhbz#1717958

M	bus/server.c

commit 48a8d7ed58bdfb02c24c8039bae1cb15d4fc1bce
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-09-06 21:24:24 +0900

    Delete deprecated g_type_class_add_private since glib 2.58
    
    G_DEFINE_TYPE_WITH_PRIVATE() and G_ADD_PRIVATE() have been available
    since 2.38.
    IBusService has custom GBaseInitFunc and GBaseFinalizeFunc in
    ibus_service_get_type() and implements ibus_service_private_offset
    and ibus_service_get_instance_private() directly without
    G_DEFINE_TYPE_WITH_PRIVATE().

M	bus/ibusimpl.c
M	src/ibusbus.c
M	src/ibuscomponent.c
M	src/ibusconfig.c
M	src/ibusemoji.c
M	src/ibusengine.c
M	src/ibusenginedesc.c
M	src/ibusenginesimple.c
M	src/ibusfactory.c
M	src/ibushotkey.c
M	src/ibusinputcontext.c
M	src/ibusobject.c
M	src/ibusobservedpath.c
M	src/ibusproperty.c
M	src/ibusregistry.c
M	src/ibusserializable.c
M	src/ibusservice.c
M	src/ibusunicode.c
M	src/ibusxevent.c

commit bb638201599291f41cde84d6fe8d16f8d1e18268
Author: Jason <jason@kayoway.com>
Date:   2019-09-06 21:07:55 +0900

    Make session file header comment more clear
    
    BUG=https://github.com/ibus/ibus/pull/2129

M	src/ibusshare.c

commit fcb2187dd46d71031867f3bd43196c2448693469
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-09-06 20:59:49 +0900

    src/tests: Replace push with cd for Posix SH
    
    BUG=https://github.com/ibus/ibus/issues/2124
    BUG=https://github.com/ibus/ibus/issues/2126

M	src/tests/ibus-config.c
M	src/tests/runtest

commit 71ee904f000f9335ceb6ece054ce18f1291a8490
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-29 13:26:58 +0900

    ui/gtk3: Fix manpage-section-mismatch in ibus-emoji.7
    
    BUG=https://github.com/ibus/ibus/issues/2119

M	ui/gtk3/ibus-emoji.7.in

commit ae0040c73466bb6e78fce5e669a55fcce6ffd16d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-23 19:47:18 +0900

    build: Fix build errors with '-include' directive
    
    I forgot to test the Makefile with autoconf and also missed to
    add meta.test.in to EXTRA_DIST

M	client/wayland/Makefile.am
M	src/tests/Makefile.am

commit 5744073a343fe34e309738915ad49e576f9fe8a5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-23 14:01:00 +0900

    Release 1.5.21

M	configure.ac

commit 7fc8943eee0aeff635deb1e4e4667fe9c2dd3e9f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-23 13:56:13 +0900

    Fix some build errors with make dist
    
    The latest distcheck requires uninstall-hook for install-data-hook
    and missed wayland_scanner_rules with --disable-wayland.

M	bindings/pygobject/Makefile.am
M	configure.ac
M	data/its/Makefile.am

commit b07b6b7731c3f9e37433d72be2f6d9f95399ba22
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-22 18:08:34 +0900

    Update Translations
    
    Update po/es.po po/tr.po po/zh_CN.po

M	po/LINGUAS
M	po/es.po
A	po/tr.po
M	po/zh_CN.po

commit ab56a27376f3b153233442c3697ad7d6502ed9fe
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-21 17:25:41 +0900

    client/wayland: Connect to "disconnected" signal
    
    ibus-wayland could terminate with "disconnected" signal.

M	client/wayland/main.c
M	client/x11/main.c

commit b75847831958d5fcb822463e6c06bc47ae392d6a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-20 19:23:49 +0900

    client/wayland: Update Wayland input-method protocol to unstable v1
    
    Weston uses unstable v1 for input-method protocol.
    Unfortunately weston-terminal does not enable input method and tested
    the protocol with weston-editor:
    https://github.com/wayland-project/weston/blob/master/clients/editor.c
    
    BUG=https://github.com/ibus/ibus/issues/2030

M	client/wayland/Makefile.am
D	client/wayland/input-method-client-protocol.h
D	client/wayland/input-method-protocol.c
A	client/wayland/input-method-unstable-v1-client-protocol.h
A	client/wayland/input-method-unstable-v1-protocol.c
M	client/wayland/main.c
M	configure.ac

commit 28c10d64d282fa9fbc35a7bc44a096f6137d5e46
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-13 20:06:51 +0900

    src/tests: Set XDG_SESSION_TYPE in ibus-desktop-testing-runner
    
    mutter 3.33.90 or later exits the session without loginctl.
    Now ibus-desktop-testing-runner has XDG_SESSION_TYPE forcibly
    not to exit gnome-shell.

M	src/tests/ibus-desktop-testing-runner.in

commit 32645ca8070db1f8b6360b07b229829ed6033437
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2019-08-06 19:32:11 +0900

    Fix typos
    
    BUG=https://github.com/ibus/ibus/pull/2111
    BUG=https://github.com/ibus/ibus/pull/2112

M	bus/main.c
M	src/ibusobservedpath.c
M	tools/ibus.1.in

commit 32572618cdcc36162b5769eb4c71964db9734061
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-08-06 18:55:14 +0900

    bus: Exit ibus-daemon with parent's death
    
    ibus-daemon can be restarted unexpectedly during logging out the session
    and double ibus-x11 prevent from enabling XIM in XGetSelectionOwner()
    for the "ibus" atom.
    ibus-daemon always will exit the process when the parent process dies
    to avoid this problem.

M	bus/main.c
M	configure.ac

commit 7dde99600777f195da614130950ecbd339439d35
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-31 16:27:49 +0900

    src/tests: Fix wrong echo with direct runner in ibus-desktop-testing-runner
    
    The wrong echo prevent from counting the test results in the direct
    testing runner.

M	src/tests/ibus-desktop-testing-runner.in

commit f4463c0433c5f48a4fb2830e8c2ae9619fbb18d1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-29 19:05:43 +0900

    src/tests: Fix a fatal error with g_warning
    
    I set g_log_set_always_fatal() before gtk_init() in ibus-compose for
    a compose warning of GtkIMContextSimple but actually the warning is
    output during gtk_main() due to GtkIMContextSimple.set_client_window()
    so I moved g_log_set_always_fatal() before gtk_main() in ibus-compose.c.
    
    Also set IFS in ibus-compose-locales to set the delimiter to '\n' for
    for-loop arguments.

M	src/tests/ibus-compose-locales.in
M	src/tests/ibus-compose.c

commit 0c89a7ee33bfe5b403c798e0ddb39e4c05d0d971
Author: Hodong Kim <cogniti@gmail.com>
Date:   2019-07-25 14:37:52 +0900

    client/x11: Update LOCALES_STRING
    
    Update LOCALES_STRING in locales.h from /usr/share/i18n/SUPPORTED on
    Debian Buster.
    
    BUG=https://github.com/ibus/ibus/pull/2110

M	client/x11/locales.h

commit 05d03b9c89d5c4eeed2d437d41fb963439fdd472
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-25 13:17:29 +0900

    Update translations
    
    Update po/da.po po/fr.po po/hu.po po/id.po po/ja.po po/nl.po po/pa.po
           po/pl.po po/pt_BR.po po/sv.po po/uk.po po/zh_TW.po

M	po/LINGUAS
M	po/da.po
M	po/fr.po
M	po/hu.po
A	po/id.po
M	po/ja.po
M	po/nl.po
M	po/pa.po
M	po/pl.po
M	po/pt_BR.po
M	po/sv.po
M	po/uk.po
M	po/zh_TW.po

commit 85b647a1c57c206779eb0b4b15a734c1b1f29c10
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-24 17:27:37 +0900

    src/tests: Fix IBus test cases for gnome-desktop-testing
    
    - dconf/config.c: Replaced dconf_client_write_fast() with
      dconf_client_write_sync() because
      dconf_client_write_fast() does not syn the data when
      ibus_config_get_values() is called immediately after
      ibus_config_set_value() is called.
    
    - ibus-compose-locales.in returns the return value of ibus-compose
    
    - ibus-compose: Set $NO_AT_BRIDGE to suppress a AT_SPI warning
      and call g_log_set_always_fatal() because GtkIMContextSimple
      does not support multiple compose outputs yet and the API can
      suppress a warning.
    
    - ibus-config: Delete async watch testings which causes several errors
      with gnome-shell testing and the testing is now deprecated and
      GSettings is recommended.
    
    - ibus-desktop-testing-runner.in: Support --output=log:stdout to
      cat the log to stdout and Use dbus-launch --exit-with-session instead of
      --sh-syntax and count PASS of test cases instead of PASS of
      gnome-desktop-testing and always run ibus exit and kill
      gnome-shell-calendar-server
    
    - ibus-engine-switch.c: Set xkb:jp::jpn if gnome-shell sets xkb:us::eng
    
    - ibus-inputcontext.c: Use ibus_bus_get_global_engine() instead of
      ibus_bus_list_active_engines() since ibus_bus_list_active_engines()
      does not work with gnome-shell and the API is now deprecated.
    
    - ibus-keypress.c: Set $NO_AT_BRIDGE to suppress a AT_SPI warning

M	conf/dconf/config.c
M	src/tests/Makefile.am
M	src/tests/ibus-compose-locales.in
M	src/tests/ibus-compose.c
M	src/tests/ibus-config.c
M	src/tests/ibus-desktop-testing-runner.in
M	src/tests/ibus-engine-switch.c
M	src/tests/ibus-inputcontext.c
M	src/tests/ibus-keypress.c

commit fa081ac8ea37d2feb7c7f395ad66e7381b4cb65b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-12 21:20:32 +0900

    src/tests: Use gnome-desktop-testing-runner

M	src/tests/Makefile.am
M	src/tests/ibus-desktop-testing-runner.in

commit 2a4f9518d42b618d8111fa5f9f885757524758a0
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-12 21:12:40 +0900

    src/tests: Rename test-console.sh to ibus-desktop-testing-runner

M	src/tests/Makefile.am
R100	test/test-console.sh	src/tests/ibus-desktop-testing-runner.in

commit af00f4156b5c79c526eab18c49da80affd41ebee
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-12 21:12:38 +0900

    src/tests: Install IBus tests into gnome-desktop-testing

M	configure.ac
M	src/tests/Makefile.am
A	src/tests/ibus-compose-locales.in
M	src/tests/ibus-compose.c
A	src/tests/meta.test.in
M	src/tests/runtest

commit 6bdc692e0dc72a9afae5407983859e88c16b4971
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-07-10 18:18:04 +0900

    src: Support common_name in ISO 639
    
    Nowadays "Bangla" is preferred to "Bengali" for BN language code
    and iso_639*.xml describes it in "common_name" tag.
    
    BUG=https://github.com/ibus/ibus/issues/2104

M	src/ibusutil.c

commit 76dec798d5cf6cdaa96c3373f9c0e1cd13eb31f5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-06-28 21:28:32 +0900

    src/tests: Use GTest for ibus-compose

M	src/tests/ibus-compose.c

commit ac492f31b435b9464d591094d470bc94027168e8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-06-28 21:15:07 +0900

    src/tests: Fix ibus-compose for IBusComposeTableEx
    
    Recently IBusComposeTablEx has been integrated and the return value of
    ibus_compose_table_new_with_file() is also changed and ibus-compose
    needs to be updated.
    
    Clear IBusComposeTablePrivate in ibus_compose_table_list_add_array()
    for the ibus-compose testing.
    
    Clear compose_buffer in IBusEngineSimple.
    
    Use g_get_language_names_with_category instead() of g_get_locale_variants().
    
    Add ibus-compose.emoji for the tests of long compose sequences and
    multiple compose output characters.
    
    IBUS_COMPOSE_CACHE_DIR variable is added for the temporary caches.

M	src/ibuscomposetable.c
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c
M	src/tests/Makefile.am
M	src/tests/ibus-compose.c
A	src/tests/ibus-compose.emoji
M	src/tests/ibus-compose.env
M	src/tests/runtest
M	test/test-console.sh

commit 69e443c07f944b3137aada31dcdbcb49728ff805
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-06-28 20:43:36 +0900

    bus: Disable panel extension for gnome-initial-setup user
    
    gnome-initial-setup user is executed before the post setup is finished
    after the installation is finished.

M	bus/main.c

commit 80254484071eb57e1152579b60ec8a95522ebc22
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-06-24 17:28:55 +0900

    src: s/iso_639-3/iso_639_3/ in ibus_get_language_name()
    
    iso-codes 3.66 has iso_639_3.xml only but 3.67 has both iso_639_3.xml
    and iso_639-3.xml. RHEL 7 uses iso-codes 3.46.
    
    BUG=https://github.com/ibus/ibus/issues/2101

M	ibus/lang.py
M	src/ibusutil.c

commit 82a728de97308f6ce36c814e30a292f96e76cc13
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-29 17:37:35 +0900

    src: Change a fixed compose buffer to a variable one
    
    Now the long key sequence of the compose key is supported in both
    system compose and user compose but the internal compose buffer is
    still a fixed size. The compose buffer size will be a variable size
    and the initial size will be 20 with this change.

M	src/ibusenginesimple.c

commit 5b6ad433f79c2e4781688d4985a15836d81f0a72
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-24 14:34:05 +0900

    src: Enable multiple compose output and long key sequences in user comopse
    
    Curently the max key sequences of user compose keys depends on the
    max key sequences of system compose keys, IBUS_MAX_COMPOSE_LEN.
    This change will have the max key sequences by user compose table
    and also will separate the user compose table with 16bit compose table
    and 32bit one to follow another change of system compose table to be able
    to output multiple compose outputs and 32bit compose ones likes emoji
    charaters.
    
    BUG=https://github.com/ibus/ibus/issues/1990

M	src/ibuscomposetable.c
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c
M	src/ibusenginesimple.h
M	src/ibusenginesimpleprivate.h

commit b59f7f823b7b2051e4ca31834f9299a72f01b339
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 17:02:21 +0900

    src: Support 32bit and multiple compose outputs
    
    Compose file in en_US.UTF-8 now includes wide codepoints more than
    U+FFFF likes '<Multi_key> <F> <U> : "🖕"  U1F595' but the current
    gtk_compose_seqs_compact[] is a guint16 array.
    To support 32bit and multiple compose outputs, the array is now
    separated to 16bit and 32bit arrays and 32bit array is also
    separated to gtk_compose_seqs_compact_32bit_first[] for 16bit
    key sequences and gtk_compose_seqs_compact_32bit_second[] for
    32bit output values.
    
    BUG=https://github.com/ibus/ibus/issues/2074

M	src/gtkimcontextsimpleseqs.h
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c
M	src/ibusenginesimpleprivate.h

commit 651c997a2fc50b9dadc51d0f14f31e40f0cc05fc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 16:58:54 +0900

    src: Support 32bit and multiple output characters in compose-parse.py

M	src/compose-parse.py

commit 224716570c73115560000286d95894f5806f1e42
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 16:36:19 +0900

    src: s/GDK_KEY/IBUS_KEY/ in compose-parse.py

M	src/compose-parse.py

commit d25489ae53f061101e9f380196d393136bb4f0ec
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 16:20:55 +0900

    src: Copy compose-parse.py from gtk

A	src/compose-parse.py

commit cebe7a9553de69943b955ec99285f74961c9ee4e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 15:49:21 +0900

    client/gtk2: Keep preedit cursor_pos and visible in clearing preedit text
    
    Clear the preedit_string but keep the preedit_cursor_pos and
    preedit_visible because a time lag could happen, firefox commit
    the preedit text before the preedit text is cleared and it cause
    a double commits of the Hangul preedit in firefox if the preedit
    would be located on the URL bar and click on anywhere of firefox
    out of the URL bar.

M	client/gtk2/ibusimcontext.c

commit 05a10950d635602fb3fcf4ed0021aa0b15dbd698
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-05-09 15:49:09 +0900

    src: Make ISO 639 language names with title
    
    Danish translations are small in iso-codes-iso-639-2-da.po for the
    genral usage but the users ask the title format on UI.
    Now ibus_get_language_name() and ibus_get_untranslated_language_name()
    return the dynamic allocation instead of the static characters
    to make the capital character.
    
    BUG=https://github.com/ibus/ibus/issues/2079

M	src/ibusutil.c
M	src/ibusutil.h

commit 91a256163427f04eb7763196b4ffe553911d2e01
Author: Gunnar Hjalmarsson <gunnarhj@users.noreply.github.com>
Date:   2019-05-07 19:42:28 +0900

    bus: Indistinguishable address of ibus-daemon
    
    BUG=https://github.com/ibus/ibus/issues/2095

M	bus/global.c

commit 1c54fea645b2ec3a385d492e4ca30a70dbb87c3a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-04-23 18:44:45 +0900

    data/its: Add ibus.its for IME's component files
    
    IBusEngineDesc has translatable strings in longname and
    description tags and they needs to be extracted by xgettext.
    
    After you install the ibus.[its|loc] to /usr/share/gettext/its,
    each engine's component file needs to renamed with
    '.inputMethod.xml' in the source directory suffix. E.g.
    Rename 'anthy.xml' to 'anthy.inputMethod.xml' and write the file
    path to the engine's POTFILES.in

M	configure.ac
M	data/Makefile.am
A	data/its/Makefile.am
A	data/its/ibus.its
A	data/its/ibus.loc

commit cc849c20d4dff31f6f88f93789790759bf087b77
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-04-23 17:56:20 +0900

    NEWS: Add shortlog
    
    Update Makefile.am to insert shortlog in NEWS
    Update po/Makevars to add multiple COPYRIGHT_HOLDER

M	Makefile.am
M	po/Makevars

commit 1cb5032e85d85f496e349236d1b74f17fb8db966
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-04-23 15:40:45 +0900

    configure: Move ibus-setup from configure.ac to Makefile.am
    
    @localedir@ can be extracted to ${datarootdir}/locale and
    it needs datarootdir=/usr/share in case configure.ac is used
    and deleting the datarootdir line caused a regression.
    All variables can be extracted in Makefile.am with sed.

M	configure.ac
M	setup/Makefile.am

commit b497de5bc6525769e03b65c73fc991d4aa006223
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-20 17:44:26 +0900

    test: Set GTK_IM_MODULE in test-console.sh

M	src/tests/Makefile.am
M	test/test-console.sh

commit 6099a45f2e734458202383fdf157aea95b1f35a5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-13 19:36:05 +0900

    build: Delete built sources with MAINTAINERCLEANFILES
    
    BUG=https://github.com/ibus/ibus/issues/2082

M	src/Makefile.am
M	ui/gtk3/Makefile.am

commit 2825bfc13618d382444aa1f87be22cd86e9bba29
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-13 19:35:19 +0900

    src: Update ibusunicodegen.h for Unicode UCD 12.0

M	src/ibusunicodegen.h

commit 026b19ef169dd9612d8a4a1ee34f7c42e7215c9a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-13 19:16:17 +0900

    setup: Enable to run ibus-setup with a different python
    
    BUG=https://github.com/ibus/ibus/issues/2086

M	setup/ibus-setup.in

commit 407756521617f8514b65ddfa35512183fd22d38d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-01 17:54:39 +0900

    Release 1.5.20

M	configure.ac

commit b1dd51c1935303dcf4f100f0a40d3d31177cfaa6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-03-01 17:09:17 +0900

    Update translations
    
    Update po/da.po po/fr.po po/hu.po po/ja.po po/nl.po po/pa.po po/pl.po
           po/sv.po po/uk.po po/zh_CN.po po/zh_TW.po

M	po/da.po
M	po/fr.po
M	po/hu.po
M	po/ja.po
M	po/nl.po
M	po/pa.po
M	po/pl.po
M	po/sv.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 8375f391e1b9bfc048ff14fd458f689d853064ac
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-02-28 15:26:11 +0900

    ui/gtk3: Do not add emojis in compose category to emoji variants
    
    Any emojis in compose category have variants and should be shown by default.

M	bindings/vala/IBus-1.0-custom.vala
M	ui/gtk3/emojier.vala

commit f5b282e8d2c82156738599ce00e148f512692531
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-02-27 12:02:11 +0900

    src/ibusemojigen.h: Updated translatable emoji categories

M	src/ibusemojigen.h

commit b30eb5de95413c3977899fdddd04de6872dae991
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-02-22 18:40:14 +0900

    Delete underscore in _Name in *.desktop for gettext migration

M	po/Makevars
M	setup/Makefile.am
M	setup/ibus-setup.desktop
M	ui/gtk3/Makefile.am
M	ui/gtk3/ibus-extension-gtk3.desktop.in
M	ui/gtk3/ibus-ui-emojier.desktop.in

commit 6aab10f2e5a8e10dac9b007eff19b26990461790
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-02-14 17:37:39 +0900

    ui/gtk3: Fix assert with 16 candidates
    
    BUG=https://github.com/ibus/ibus/issues/2076

M	ui/gtk3/candidatearea.vala

commit 4d3a8ff3d0bf69508551e65ae2dae676919a728d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-02-13 16:00:42 +0900

    Delete Super-space notification
    
    I'd assume most IBus 1.5.2 users are migrated to the latest 1.5.z now
    but the notification dialog gives much attention and could be deprecated.
    
    BUG=https://github.com/ibus/ibus/issues/2080

M	configure.ac
M	ui/gtk3/Makefile.am
M	ui/gtk3/panel.vala

commit 64f4e412d005d15a944ae92f78923371676a5be1
Author: scootergrisen <scootergrisen@gmail.com>
Date:   2019-02-04 16:15:28 +0900

    client/x11: typo: sevrer to server
    
    BUG=https://github.com/ibus/ibus/pull/2078

M	client/x11/main.c

commit 7a38e4d18ea4023f01948c6ce2fe303dbe4b3bd9
Author: Anton Mikhalev <compromisedbeacon+gh@gmail.com>
Date:   2019-02-04 16:07:02 +0900

    bus: Allow using non-abstract UNIX domain sockets
    
    Previously, it was not possible to access ibus daemon from a separate
    network namespace because its socket resided in an abstract namespace,
    which is not shareable between network namespaces.
    
    Passing --address=unix:path=/run/user/1000/ibus to ibus-daemon allows
    clients running in containerized environment to communicate with daemon
    as long as /run/user/1000 is mounted within container.
    
    BUG=https://github.com/ibus/ibus/pull/2077

M	bus/server.c

commit 4592ce512fd830e646beec0f7aa21add739bb6fa
Author: bmansurov <45986298+bmansurov@users.noreply.github.com>
Date:   2019-01-29 18:02:04 +0900

    engine: Add Uzbek layouts
    
    BUG=https://github.com/ibus/ibus/pull/2069

M	engine/simple.xml.in

commit 4d7c1e00e15921a0448947961183c1c124b6b49f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-01-29 17:57:16 +0900

    Delete weak pointer in GList.SList for vala 0.43.4
    
    Vala 0.43.4 does not allow to convert a weak pointer to the full one in SList.
    
    emojier.vala:424.36-425.73: error: Assignment: Cannot convert from
    `GLib.SList<weak IBus.EmojiData>' to `GLib.SList<IBus.EmojiData>?'
    emojier.vala:636.9-637.69: error: Assignment: Cannot convert from
    `GLib.SList<weak IBus.UnicodeBlock>' to `GLib.SList<IBus.UnicodeBlock>'
    panel.vala:526.36-526.65: error: Assignment: Cannot convert from
    `GLib.List<weak IBus.EngineDesc>' to `GLib.List<IBus.EngineDesc>?'

M	src/ibusbus.h
M	src/ibusemoji.h
M	src/ibusunicode.h
M	ui/gtk3/emojier.vala

commit 0f5084e07c215d74adc4eeeda40b374855cce59a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-01-11 12:56:42 +0900

    src/ibuscomposetable: Replace assert with warning for .XCompose
    
    BUG=rhbz#1470673

M	src/ibuscomposetable.c

commit be7fb813e530442897a9f9130b8a26380e5a12a1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-01-08 12:02:37 +0900

    client/gtk2: Fix Atom and Slack for Flatpak
    
    Seems Atom, slack, com.visualstudio.code does not enable
    gtk_key_snooper_install() and this issue causes to call
    gtk_im_context_filter_keypress instead of calling ibus APIs.
    
    BUG=https://github.com/ibus/ibus/issues/1991

M	client/gtk2/ibusimcontext.c

commit 60e246ef1593f599e2103070f8fa02649d60ada1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-01-08 12:02:35 +0900

    test: Add flatpak-builder file for org.freedesktop.Platform

M	test/org.test.IBus.json
A	test/org.test2.IBus.json

commit 0fd043c3b4c90855bfb4fceed4bf2f3c3635a041
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2019-01-08 12:02:32 +0900

    portal: Update APIs for Hangul preedit in Flatpak
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	portal/org.freedesktop.IBus.Portal.xml
M	portal/portal.c

commit 4ef976a8b934bf76cfd855013b766f6492dc9e8a
Author: Mathieu Bridon <bochecha@daitauha.fr>
Date:   2019-01-07 21:15:35 +0900

    introspection: Tell the GI scanner to include the C headers
    
    This adds the following line to the generated gir file:
    
        <c:include name="ibus.h"/>
    
    This is important, for example for Rust bindings generated from the
    gtk-rs tooling.
    
    BUG=https://github.com/ibus/ibus/pull/2071

M	configure.ac

commit 9ae2d4658fff3d1e7262fb4fb7ca9ce1af0a27ec
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-20 16:40:31 +0900

    client/gtk2: Use button-press-event only with IBUS_ENGINE_PREEDIT_COMMIT
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	client/gtk2/ibusimcontext.c

commit 7b9c034f570bb1bf89569a01b98d6771b1596722
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-17 20:26:32 +0900

    m4: Add ibuslocale.m4 to Makefile.am

M	m4/Makefile.am

commit 1cd5254811259befe50c8bd81584d1bfe2c63ed0
Author: glasseyes <dglassey@gmail.com>
Date:   2018-12-17 20:20:11 +0900

    src: use iso 639-3 to have names for more languages
    
    Keyman and others support them so they shouldn't be in "Other"
    
    BUG=https://github.com/ibus/ibus/issues/2064

M	ibus/lang.py
M	src/ibusutil.c

commit a78e7f8deb51f01125325da868c8fc75f0436b3e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-17 20:10:34 +0900

    configure: Generate ibus_localedir variable

M	configure.ac
A	m4/ibuslocale.m4

commit c7d8771cb9fc652cb638aa7cb8e10ea6b889509e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-11 19:16:10 +0900

    client/gtk2: Fix SEGV on mouse clicks when ibus-daemon not running

M	client/gtk2/ibusimcontext.c

commit 28b0744ad141bd76281025e9d0857d2182bc2a65
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-10 13:21:42 +0900

    src: Clear preedit in IBusEngineSimple with focus changes
    
    BUG=https://github.com/ibus/ibus/issues/2063

M	src/ibusenginesimple.c

commit ba41173c45a4ba6e047f94ac53474433c7643591
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-07 17:38:09 +0900

    src: Show compose preedit with custom compose file
    
    IBusEngineSimple is fixed for custom compose files
     - Show preeedit with custom compose file
     - Tentative compose preedit can be deleted by Backspace
    
    BUG=https://github.com/ibus/ibus/issues/2058

M	src/ibusenginesimple.c

commit 4c40afba9c862b4f6651b1b971553e5e89e83343
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-12-06 16:53:57 +0900

    client/gtk2: Always reset and clear preedit on mouse click
    
    Thinking about the reset signal again, now I think it's good to emit
    the reset signal and clear the preedit on mouse click for any engines
    besides Hangul because the behavior could be handled by each engine
    with the reset signal.
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	client/gtk2/ibusimcontext.c

commit 639960a827811200caaccb5afaee7d7b133e4876
Author: ZhaoQiang <zhaoqiang@gnome.org>
Date:   2018-12-03 18:11:32 +0900

    src: Fix typos in comment lines
    
    BUG=https://github.com/ibus/ibus/pull/2059

M	src/ibusbus.c
M	src/ibushotkey.c
M	src/ibusserializable.c
M	src/ibusservice.c
M	src/tests/ibus-bus.c

commit 7b3b8c8b0c6a41ab524e0be9474825da9cba96ac
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-11-13 14:27:52 +0900

    client/gtk2: Do not delete IBUS_CAP_SURROUNDING_TEXT
    
    retrieve-surrounding signal could be failed with the first typing
    on firefox. It could be a bug in firefox but now IBusIMContext does not
    delete IBUS_CAP_SURROUNDING_TEXT in the capabilities as a workaround
    when retrieve-surrounding signal is failed.
    Also added retrieve-surrounding signal after some committing text.
    
    BUG=https://github.com/ibus/ibus/issues/2054

M	client/gtk2/ibusimcontext.c

commit a40631e166137c9042a68c2d76844e7afc53d388
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-11-09 14:49:44 +0900

    Detect mouse click to commit Hangul preedit
    
    If preedit text is not committed with the mouse click, preedit text
    is moved to the new cursor position in Hangul typing.
    Since set_cursor_location() is received before the reset() signal is
    sent to ibus-daemon and commit_text() signal is received from
    ibus-daemon, UpdatePreeditTextWithMode D-Bus method is newly added
    and now ibus clients commit the preedit.
    
    BUG=https://github.com/ibus/ibus/issues/1980

M	bus/ibusimpl.c
M	bus/inputcontext.c
M	bus/inputcontext.h
M	client/gtk2/ibusimcontext.c
M	src/ibusinputcontext.c
M	src/ibusinputcontext.h

commit 3172c3b23faefe76b3b7adfc75f9be34a0fb2e02
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-31 17:42:38 +0900

    RHEL code reviews

M	src/ibuskeymap.c
M	src/ibuspanelservice.c
M	src/tests/ibus-keypress.c
M	util/IMdkit/FrameMgr.c

commit b6086665bcf12914e6e1ac99b606dc6dee363f26
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-30 11:57:19 +0900

    data/dconf: Fix a typo

M	data/dconf/org.freedesktop.ibus.gschema.xml

commit 3914d3a2b1aeda8779b2d8a9d91088802530b3a9
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-30 11:54:52 +0900

    data/dconf: Add comments in org.freedesktop.ibus.gschema.xml

M	data/dconf/org.freedesktop.ibus.gschema.xml

commit aa24a526dd7dec9a719e063fb35da90afb5dc5bf
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-26 19:01:19 +0900

    src/tests: Fix the location of org.freedesktop.ibus.gschema.xml
    
    The location has been changed since xgettext migration.

M	src/tests/runtest

commit c1b55431c076dfa3fc26a3a998bfcf729e9ba602
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-26 18:44:35 +0900

    src/tests: Fix make check in Fedora 29
    
    ibus-bus and ibus-compose failed in Fedora 29.
    
    1. In ibus-bus with runtest, ibus-daemon failed to restart in
    start_exit_async() because it seems to have conflicting IO with runtest
    and ibus-daemon failed to close a file descriptor in _restart_server().
    The solution is to add a sleep in start_exit_async().
    Also added ibus_get_address() in test_async_apis_finish() to check
    if ibus-daemon finished to restart.
    
    2. In ibus-compose, the GTK application could not get the ibus module.
    The solution is to export GTK_IM_MODULE=ibus.
    
    3. Added DISABLE_DAEMONIZE_IN_TESTS to get error messages in ibus-daemon.
    % make DISABLE_DAEMONIZE_IN_TESTS=1 check

M	bus/Makefile.am
M	src/tests/Makefile.am
M	src/tests/ibus-bus.c
M	src/tests/runtest

commit a6710817b3d29d6a522f108f96ffe64d2f5367fe
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-16 19:46:01 +0900

    Gettext migration for gschema.xml file
    
    https://wiki.gnome.org/Initiatives/GnomeGoals/GettextMigration

M	bindings/vala/config.vapi
M	configure.ac
M	data/dconf/org.freedesktop.ibus.gschema.xml
M	po/Makevars
M	po/POTFILES.in
M	setup/Makefile.am
R100	setup/ibus-setup.desktop.in	setup/ibus-setup.desktop
M	src/ibusutil.c
M	src/keyname-table.h
M	tools/main.vala
M	ui/gtk3/Makefile.am
M	ui/gtk3/application.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/extension.vala
R100	ui/gtk3/ibus-extension-gtk3.desktop.in.in	ui/gtk3/ibus-extension-gtk3.desktop.in
R100	ui/gtk3/ibus-ui-emojier.desktop.in.in	ui/gtk3/ibus-ui-emojier.desktop.in

commit 74a00cc93ba99367e175ad3d3415e585d453d17f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-16 18:17:41 +0900

    data/dconf: Rename org.freedesktop.ibus.gschema.xml[.in]

M	data/dconf/Makefile.am
R100	data/dconf/org.freedesktop.ibus.gschema.xml.in	data/dconf/org.freedesktop.ibus.gschema.xml

commit a8e8b694dcb52e4beb367dff1e8ecaaca4f63c00
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-03 17:01:59 +0900

    data/dconf: Delete dconf dependencies
    
    gsettings-schema-convert has not worked with python3 since GConf
    has been deprecated since 2011 so we cannot disable python2
    in canse GConf is enabled.
    I don't wish to maintain both ibus.schemas.in and
    org.freedesktop.ibus.gschema.xml.in and now decide to delete
    whole the GConf builds.
    gsettings is now stable and can be used instead.
    ibus-dconf will be deperecated in the near future.
    
    BUG=https://bugzilla.gnome.org/show_bug.cgi?id=759334

M	conf/Makefile.am
M	configure.ac
M	data/Makefile.am
M	data/dconf/Makefile.am
A	data/dconf/org.freedesktop.ibus.gschema.xml.in

commit 41c866868a25ec00482a000a18ac1ff3af1c494c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-10-03 16:30:26 +0900

    src: Update translatable strings in ibusunicodegen.h

M	src/ibusunicodegen.h

commit 6e315973f48574f7dcede1f1e8ca116e6a953ade
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-09-25 15:42:20 +0900

    ui/gtk3: Fix g_return_val_if_fail in ibus_emojier_clamp_page
    
    BUG=https://github.com/ibus/ibus/issues/2042

M	ui/gtk3/emojier.vala

commit 1c6565e205528a45e88a84ba2a328f9035875c8d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-09-14 16:15:41 +0900

    ui/gtk3: Fix SEGV when commit an emoji on Emojier in Wayland
    
    Just pressing Space key without emoji annotations can launch Emojier
    popup and the popup takes a focus in Wayland and the chosen emoji is
    output when the original text application gets the focus after Emojier
    popup release the focus. Emojier disabled Ctrl-Shift-e after got the focus.
    But currently GNOME Wayland has a bug not to send focus-in until a
    key press or mouse click happens [1] and Emojier causes a SEGV.
    Now Emojier disables Ctrl-Shift-e immediately when an emoji is chosen
    whether focus-in comes or not and fixes the SEGV.
    
    [1] https://gitlab.gnome.org/GNOME/gnome-shell/issues/573
    
    BUG=rhbz#1625187

M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/panelbinding.vala

commit 809d880337e75b7cee429292a238bf53899bef6a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-30 12:58:57 +0900

    ui/gtk3: Do not move Emojier popup with the active candidate in Xorg
    
    Probably I think it's not useful to change the popup position frequently.
    The popup size is always slightly changed with the emoji annotation length.

M	ui/gtk3/emojier.vala

commit e6badb494e0a31b7aca3a5078a5dc5b27b83390d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-30 12:57:46 +0900

    ui/gtk3: Support Shift-Space to insert a Space on Emojier preedit
    
    Implemented Shift-Space on preedit since Shift-Space had worked on
    Emojier's GtkEntry in the previous release.

M	ui/gtk3/panelbinding.vala

commit 28d22176aee6be97d88dd6c60fa5395c79563ec0
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-30 12:57:33 +0900

    ui/gtk3: Fix SEGV when type ASCII on emojier
    
    Emojier still included Gtk.Entry, accepted key events in Wayland,
    reset the lookup table and it caused SEGV because IBus.Text
    is NULL in the lookup table in Emojier.get_current_candidate().
    Now Gtk.Entry is deleted completely.
    
    BUG=rhbz#1618682

M	ui/gtk3/emojier.vala

commit 7edaefdc1d80aefdbbc2dc52526c20715759da83
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-22 17:20:53 +0900

    ui/gtk3: Do not clear unicode data when emoji annotation lang is changed

M	ui/gtk3/emojier.vala

commit aa0f4252ff965729b871c91b4ed089bf98963c0b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-10 15:43:58 +0900

    ui/gtk3: Check if gdk-wayland is installed
    
    BUG=https://github.com/ibus/ibus/issues/2035

M	configure.ac
M	ui/gtk3/Makefile.am
M	ui/gtk3/panelbinding.vala

commit fd9d4a927d91eb0c1349f001a4a773900357cbc7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-08 15:41:41 +0900

    Release 1.5.19

M	configure.ac

commit 999aee3f4bd99fb01f21f5e99d92d02e06a927d2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-08 15:39:13 +0900

    po: Update translations
    
    Update po/hu.po po/nl.po

M	po/hu.po
M	po/nl.po

commit b94e8f2d993f2f24e9e977227eaae7d335fc478f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-07 20:33:32 +0900

    src: Replace deprecated BOOL with BOOLEAN for glib-genmarshal

M	bus/ibusimpl.c
M	bus/inputcontext.c
M	bus/marshalers.list
M	src/ibusemojigen.h
M	src/ibusengine.c
M	src/ibusmarshalers.list
M	src/ibuspanelservice.c

commit 5db6e7b40e7937a306411b152a1e39525351d988
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-07 20:33:26 +0900

    src/tests: Ask --enable-memconf in make check instead of build order

M	Makefile.am
M	src/tests/Makefile.am
M	src/tests/runtest

commit 269570867793df64aaefcac1963f2e973c1fb8ef
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-07 16:34:18 +0900

    src/tests: Fix make check to link src/libibus.so

M	bus/Makefile.am
M	bus/panelproxy.c
M	src/tests/Makefile.am
M	src/tests/runtest

commit 428e64eac8f7dc3ff60234435fe5f34d50126432
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-06 15:59:06 +0900

    src: Describe "default" layout in ibus_engine_desc_new()
    
    BUG=https://github.com/ibus/ibus/issues/2011

M	src/ibusenginedesc.h

commit dc5e7eeba30d0bc2327ffa562cdf6ca0ae23aecc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-06 15:26:42 +0900

    ui/gtk3: Show previous emojis with "history" annotation

M	ui/gtk3/emojier.vala

commit f328fd67f479faa46ca87bf3c85eed7080ec5ec0
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-06 12:33:44 +0900

    client/gtk2: Add IBUS_DISCARD_PASSWORD for firefox and chrome
    
    popup window in firefox is closed in Xorg GNOME when password entry
    is focus on. It's caused by gnome-shell [1].
    Now IBUS_DISCARD_PASSWORD and IBUS_DISCARD_PASSWORD_APPS enviroment
    variables are implemented in IBus GTK clients as a workaround.
    
    env IBUS_DISCARD_PASSWORD=1 firefox
    or
    export IBUS_DISCARD_PASSWORD_APPS='firefox,.*chrome.*'
    
    can discard typing characters on the password entries.
    
    [1] https://gitlab.gnome.org/GNOME/gnome-shell/issues/391
    
    BUG=https://github.com/ibus/ibus/issues/2002

M	client/gtk2/ibusimcontext.c

commit 5f44e7307771685c70202f996e39e9aa68d48d2e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-08-03 14:58:10 +0900

    data/dconf: Add man pages of 00-upstream-settings(5) and ibus(5)
    
    Also delete --mem-profile option in ibus-daemon(1)

M	bus/ibus-daemon.1.in
A	data/dconf/00-upstream-settings.5.in
M	data/dconf/Makefile.am
A	data/dconf/ibus.5.in
M	ui/gtk3/ibus-emoji.7.in

commit be7554cea294aa13a65895b66b26e5f1fa4a1897
Author: Ryutaroh Matsumoto <36657667+ryutaroh-matsumoto@users.noreply.github.com>
Date:   2018-08-02 08:10:04 +0900

    option --monitor-timeout should be removed
    
    ibus-daemon(1) has explanation of --monitor-timeout, but main.c does not accept it and make an error.

M	bus/ibus-daemon.1.in

commit 8d302c853f4e88f81652e0aeeca86ff1b5779ecb
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-07-24 16:04:31 +0900

    RHEL code reviews

M	client/x11/main.c
M	setup/enginetreeview.py
M	setup/ibus-setup.in
M	src/emoji-parser.c
M	src/ibusbus.c
M	src/ibuscomposetable.c
M	src/ibusenginesimple.c
M	src/ibushotkey.c
M	src/ibuskeymap.c
M	src/ibuskeynames.c
M	src/ibusregistry.c
M	src/ibusservice.c
M	src/ibusxml.c
M	src/unicode-parser.c
M	util/IMdkit/FrameMgr.c
M	util/IMdkit/IMConn.c
M	util/IMdkit/i18nClbk.c
M	util/IMdkit/i18nIc.c
M	util/IMdkit/i18nMethod.c
M	util/IMdkit/i18nOffsetCache.c
M	util/IMdkit/i18nPtHdr.c
M	util/IMdkit/i18nUtil.c
M	util/IMdkit/i18nX.c

commit 0dde239a3c786dcc479e3103ccd49938fcb47191
Author: Kentaro Hayashi <hayashi@clear-code.com>
Date:   2018-07-24 15:20:51 +0900

    bus: warn deprecated --mem-profile option
    
    Since GLib 2.46, memory profiling feature does not work anymore.
    
    GLib 2.46 or later means that Ubuntu 16.04 or later. Ubuntu
    14.04 (trusty) are still supported as LTS phase, but it seems that
    GLib is old enough (2.40) to drop support.
    
    As a result:
    
      * older than GLib 2.46: Just drop support
      * GLib 2.46 or later: Show a warning message if --mem-profile is
        used.

M	bus/main.c
M	configure.ac

commit 6b47e41d66497dd35752a89ea80e4bac55b64e45
Author: Takuro Ashie <ashie@clear-code.com>
Date:   2018-07-20 12:30:09 +0900

    Remove a misleading "const" modifier of a return value
    
    ibus_key_event_to_string() uses g_string_free(str, FALSE) to return
    a string so that users must free it. To clarify it, the const
    modifier should be removed.

M	src/ibuskeynames.c
M	src/ibusshare.h

commit caffeaeee5be121713104fba331b9cf30726aa91
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-29 16:06:52 +0900

    panelbinding: Fix SEGV in panel_binding_parse_accelerator
    
    panel_binding_parse_accelerator() could return NULL of the unowned
    IBus.ProcessKeyEventData with gcc optimization.
    Since Vala does not provice a static local variable, the variable is
    moved to the class member to fix this SEGV.
    Also fixed an infinite loop to show a compose preedit in xterm.
    Also a NULL preedit is fixed in the first emoji candidate from the
    emoji category window.

M	bus/inputcontext.c
M	bus/panelproxy.c
M	ui/gtk3/panelbinding.vala

commit 3a68ded197b3ad2e45ac08fe52c0514aff987367
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-29 16:02:32 +0900

    ibusenginesimple: Do not show combined character on compose preedit
    
    Some applications could combine their committed string with compose
    character on preedit. E.g. dead_grave after 'e' on firefox
    
    BUG=https://github.com/ibus/ibus/issues/1935

M	src/ibusenginesimple.c

commit f9e30359d328054793e1e225dcf2fe537e6c8c48
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-27 12:11:41 +0900

    ibusenginesimple: Enable preedit for compose keys
    
    BUG=https://github.com/ibus/ibus/issues/1935

M	src/ibusenginesimple.c

commit c8a99943caa1adace0affc78ed5dbde3896f39c7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-27 12:04:40 +0900

    Update translations
    
    Update po/ca.po po/da.po po/es.po po/fr.po po/hu.po po/ja.po po/nl.po
           po/pl.po po/sv.po po/uk.po po/vi.po po/zh_TW.po

M	po/ca.po
M	po/da.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/ja.po
M	po/nl.po
M	po/pl.po
M	po/sv.po
M	po/uk.po
M	po/vi.po
M	po/zh_TW.po

commit 7cef5bf572596361bc502e8fa917569676a80372
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-20 19:01:59 +0900

    setup: Replace emoji font with Unicode font
    
    Now the font settings of emoji is configurable in the session base
    but not the application base and the current font setting on ibus-setup
    effects on Unicode characters.
    Also fixed the progress bar on Unicode candidate table.

M	setup/setup.ui
M	src/tests/runtest
M	ui/gtk3/emojier.vala

commit 5ee3f48049ecf128391da6448ae7e74786bd171b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-18 12:46:11 +0900

    Move input focus on Emojier to engines' preedit

M	bindings/vala/IBus-1.0-custom.vala
M	bindings/vala/Makefile.am
A	bindings/vala/gdk-wayland.vapi
M	bus/engineproxy.c
M	bus/engineproxy.h
M	bus/ibusimpl.c
M	bus/inputcontext.c
M	bus/inputcontext.h
M	bus/panelproxy.c
M	bus/panelproxy.h
M	data/ibus.schemas.in
M	setup/main.py
M	setup/setup.ui
M	src/ibusengine.c
M	src/ibuspanelservice.c
M	src/ibuspanelservice.h
M	src/ibusshare.h
M	src/ibusxevent.c
M	src/ibusxevent.h
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/extension.vala
M	ui/gtk3/panel.vala
M	ui/gtk3/panelbinding.vala

commit 37aa95f1adcdde82ef473936cadc0fa3fe8a4e44
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-15 19:23:27 +0900

    setup: Replace GtkTable /w GtkGrid

M	setup/setup.ui

commit ddc2284200971141947a37057356b4bbd84be7ce
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-14 18:30:46 +0900

    tools: Add ibus read-config --engine-id option for engine schemas
    
    Fixed ibus read-config and reset-config options and also added --engine-id
    sub option for engine schemas.
    E.g.
    % ibus read-config --engine-id anthy
    % ibus read-config --engine-id com.github.libpinyin.ibus-libpinyin.libpinyin

M	tools/main.vala

commit cf4e2f1d815b700b0470380e0ff428ff266cc18a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-14 17:29:06 +0900

    bus: Rename panel-extension to emoji-extension for CLI

M	bus/main.c

commit a1f91b27145b046a112bb5eba2561880dae5d6a2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-06-04 17:44:17 +0900

    ui/gtk3: Get PangoAttrList of auxiliary text from IBusText
    
    Since IBus auxiliary text would be one line, it's better to show the
    character attributes likes color, italic, bold, on the auxiliary text.
    
    Also deleted the cursor width from the X position of CandidatePanel
    because IBus preedit overrides the original cursor of the applications.

M	ui/gtk3/candidatepanel.vala

commit 8ab0b603ba1cd8701583aee46c712898d52005f1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-05-23 19:20:10 +0900

    bus: Fix a SEGV in bus_input_context_emit_signal
    
    IBus engines can call 'RequireSurroundingText' for a fake input context
    if there is no input focus.

M	bus/inputcontext.c

commit 196216a89a9167425dd9b41f4f1d8a494d370249
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-05-11 19:13:03 +0900

    src: Add ibus-keypress

M	configure.ac
M	src/tests/Makefile.am
A	src/tests/ibus-keypress.c
M	src/tests/runtest

commit 886ad3651d16dd821e2526e8601c69738533a7e8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-05-07 12:35:03 +0900

    src: Fix SEGV in IBusEngine if no emoji shortcut keys
    
    BUG=https://github.com/ibus/ibus/issues/2005

M	src/ibusengine.c

commit d8f901f856ddd75baba5826038d1346c5a43d048
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-20 15:58:06 +0900

    Replace OnlyShowIn= with NoDisplay=true
    
    BUG=rhbz#1567689

M	ui/gtk3/ibus-extension-gtk3.desktop.in.in
M	ui/gtk3/ibus-ui-emojier.desktop.in.in

commit 3280848b42b07afbac3d59066474c5f429de9182
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-17 14:43:02 +0900

    bus: Enable sub package of gtkextension.xml and ibus-extension-gtk3
    
    GNOME destkop asked not to install ibus-extension-gtk3 by default
    since the UI is not called by gnome-shell.
    
    BUG=rhbz#1567689

M	bus/main.c

commit 10cc30eac200d10b581d9d2122d5a732f4880943
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-17 14:00:20 +0900

    src/tests: Enable GSettings in runtest

M	src/tests/runtest

commit 7bc160f2139799b853678264c6b01277f0721336
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-13 19:39:09 +0900

    bus: Add DISABLE_GUI_TESTS for test-stress

M	bus/Makefile.am

commit 8d4c4738d07b6850e56ae74d46b7b13b7382f865
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-13 17:33:50 +0900

    configure: Add --disable-python2 option

M	bindings/pygobject/Makefile.am
M	configure.ac

commit 68bd2695c4cc6a06cb8a55a55fed2054d29f0995
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-13 16:31:29 +0900

    src/tests: Fix a typo

M	src/tests/Makefile.am

commit c360cbd830943a4bfb0ece9cc07b99a426dc2121
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-09 11:57:09 +0900

    src/tests: Add ibus-compose.env

A	src/tests/ibus-compose.env

commit 68e162a59c7943ee6207ff7d21f9a75d1e6f2f79
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-06 20:35:50 +0900

    src/tests: Fix a typo in runtest

M	src/tests/runtest

commit 32f2f2bab149ad766674e7421f7044ebe98bb0b6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-06 20:24:08 +0900

    tests: Added an automation testing on console
    
    test-console.sh runs /usr/bin/ibus-daemon on console after install ibus.
    
    Login as root
      --builddir /root/ibus/src/tests --srcdir /root/ibus/src/tests
    
    Also added DISABLE_GUI_TESTS parameters for make check.

M	bus/Makefile.am
M	src/tests/Makefile.am
M	src/tests/runtest
A	test/test-console.sh

commit 28d0c1d4bc47beb38995d84cc4bb1d539c08a070
Author: Olivier Tilloy <olivier.tilloy@canonical.com>
Date:   2018-04-06 16:02:11 +0900

    src: Make the call to chmod in ibus_bus_init conditional
    
    BUG=https://github.com/ibus/ibus/issues/1996

M	src/ibusbus.c

commit 75a6667b6ad8c8cb801cb160b7b04625334f9094
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-04-05 16:54:41 +0900

    src/tests: Fix ibus-compose for the latest GTK

M	src/tests/ibus-compose.c

commit 5788be80685f397c3db3bdf4e672d67cfb9b3433
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   2018-03-30 12:37:27 +0900

    Fix ucd directory override
    
    BUG=https://github.com/ibus/ibus/pull/1995
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/339450043
    
    Patch from Jeremy Bicha <jbicha@ubuntu.com>.

M	configure.ac

commit b184861396279d903e62bf6aad271a2205a79832
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-30 12:33:59 +0900

    ui/gtk3: Sort Unicode candidates
    
    BUG=rhbz#1554714
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/339430043

M	ui/gtk3/emojier.vala

commit c6439d74d5472c95de4d5c2cdc6487bfd508e3d8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-15 16:57:02 +0900

    ui/gtk3: Add num pad Enter, Down, Up, Left, Right on Emojier
    
    BUG=rhbz#1554813
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/337690043

M	ui/gtk3/emojier.vala

commit 86963f2f94d1e4fc213b01c2bc2ba9dcf4b22219
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-02 15:31:12 +0900

    Release 1.5.18
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/336630043

M	configure.ac

commit 73b420f49ba54b6eac74fb59cb3af948f3a592d6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-01 15:51:00 +0900

    Updated translations
    
    Updated po/ca.po po/da.po po/hu.po po/ja.po po/ko.po
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/340720043

M	po/as.po
M	po/bn_IN.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/gu.po
M	po/hu.po
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/mr.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit ece320bda762024541b23178a1b65c3ec968416f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-01 15:48:03 +0900

    bus: Add liveuser to disabled panel extension
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/335610043

M	bus/main.c

commit afe60c12a0e5bf70344930c6769675a439dc82d2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-01 15:42:03 +0900

    ui/gtk3: Implement Page_Down, Page_Up on Unicode name list
    
    Page_Down and Page_Up are useful on Unicode name list since the
    names are many. Also add Ctrl-Shift-[n|p] for the same purpose.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/340800043

M	ui/gtk3/emojier.vala
M	ui/gtk3/ibus-emoji.7.in

commit 56c67b1362344e2ab4a061bcc913c455b190ef20
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-03-01 15:37:15 +0900

    ui/gtk3: Set title string in gnome-shell
    
    gnome-shell uses .desktop files to get the application title names.
    Probably the reason is to manage any windows and Xorg and Wayland.
    
    BUG=https://mail.gnome.org/archives/gtk-app-devel-list/2018-February/msg00027.html
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/338520043

M	po/POTFILES.in
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/extension.vala
A	ui/gtk3/ibus-extension-gtk3.desktop.in.in
A	ui/gtk3/ibus-ui-emojier.desktop.in.in
M	ui/gtk3/panelbinding.vala

commit c57b7c34d75871db172e023b0094b979000f62fc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-27 14:10:29 +0900

    Enable emoji keybinding in Wayland
    
    XI2 keybinding does not work for the root window in Wayland because
    of a security issue maybe. Now I think to move the keybinding in
    ibus-extension-gtk3 to each IBusEngine.
    
    FIXME: Unfortunatelly gtk_get_current_event_time() cannot get time
    for the delayed DBus events and gtk_window_move() does not work for
    GtkDialog without a parent window in Wayland.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/333700043

M	bus/engineproxy.c
M	bus/ibusimpl.c
M	bus/inputcontext.c
M	src/Makefile.am
M	src/ibus.h
A	src/ibusaccelgroup.c
A	src/ibusaccelgroup.h
M	src/ibusengine.c
M	ui/gtk3/emojier.vala
M	ui/gtk3/extension.vala
M	ui/gtk3/panelbinding.vala

commit 7ccbd21ca7d163cdd71dc6c0405d8a32d63d324d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-27 14:06:30 +0900

    Disable panel extension for gdm user
    
    The gdm user's process is also running while the login user's process
    is running so the double panel extensions are better to be avoided for
    the memory usage.
    
    Review URL: https://codereview.appspot.com/340330044

M	bus/main.c

commit fc54b0c051c2eb4a2c1f836b1415def00314cfc1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-21 12:17:31 +0900

    ui/gtk3: Load Unicode data when open the dialog by default
    
    The emoji data requires about 10MB and the Unicode data requires about 15MB.
    Now the emoji data is loaded at the time of startup and the Unicode data
    is loaded if users open the dialog at the beginning.
    The settings can be customized with gsettings command and the keys
    of 'load-emoji-at-startup' and 'load-unicode-at-startup' in
    'org.freedesktop.ibus.panel.emoji' schema.
    
    Review URL: https://codereview.appspot.com/340780043

M	data/ibus.schemas.in
M	ui/gtk3/panelbinding.vala

commit d1ebb3d77ebfe8f58188261c383d8122e2125fe6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-21 12:12:11 +0900

    ui/gtk3: Show code points on Unicode name list dialog
    
    The code points are useful since the list has many names.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/340770043

M	ui/gtk3/emojier.vala

commit 366963d57d1468914611c71929cc64c83be9affd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2018-02-20 18:57:32 +0900

    Fix typos in translatable strings
    
    BUG=https://github.com/ibus/ibus/pull/1983
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/333670043
    
    Patch from Piotr Drąg <piotrdrag@gmail.com>.

M	data/ibus.schemas.in
M	ui/gtk3/emojierapp.vala

commit fb07f64764f18f702221ff5574b2fd2193f051f0
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-20 17:25:07 +0900

    Implement ibus-extension-gtk3 for the global keybinding
    
    Currently IBus panel (ibus-ui-gtk3) is not available in GNOME and Plasma
    so the emoji and unicode point typings are not available in GNOME and Plasma.
    The workaround `ibus emoji` command is available but it put the selected
    character into the copy buffer and users have to paste the character.
    
    Originaly the emoji feature was implemented in IBus GtkIMModule but
    it had several problems; the first is the keybinding is hard-coded
    and IBus GtkIMModule does not use GSettings for the customized settings.
    The second is the feature was available for GTK applications.
    The third is that XKB input sources uses gtk-im-context-simple
    but not ibus in GNOME desktop so users have to add an IM input sources
    to enable IBus for the XKB input sources. The fourth is the feature
    was available for IBusEngineSimple only and other IBus IMEs need to
    inherit that class to get the emoji feature. The fifth is that
    emoji typing is available for English only since IBusEngineSimple
    had the feature. The sixth is that the default one dimension lookup
    window was not useful to choose an emoji and needed two dimensions
    lookup window.
    
    And the implementation was moved from IBus GtkIMModule to IBus panel
    to fix above problems.
    But users have to use `ibus emoji` at present if ibus-ui-gtk3
    is not available.
    
    Now I think to move the emoji feature from ibus-ui-gtk3 to another
    IBus component; ibus-extension-gtk3 which manages the Ctrl-Shift-e.
    GNOME and Plasma desktops still do not show the GUI menu but
    the shortcut key is available in this implementation.
    
    BUG=RHBZ#1430501
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/339300043

M	bindings/vala/IBus-1.0-custom.vala
M	bus/Makefile.am
M	bus/ibusimpl.c
M	bus/main.c
M	bus/marshalers.list
M	bus/panelproxy.c
M	bus/panelproxy.h
M	src/Makefile.am
M	src/ibus.h
M	src/ibusmarshalers.list
M	src/ibuspanelservice.c
M	src/ibuspanelservice.h
M	src/ibusserializable.c
M	src/ibusserializable.h
M	src/ibusshare.c
M	src/ibusshare.h
A	src/ibusxevent.c
A	src/ibusxevent.h
M	src/tests/runtest
M	ui/gtk3/Makefile.am
A	ui/gtk3/bindingcommon.vala
M	ui/gtk3/candidatearea.vala
A	ui/gtk3/extension.vala
A	ui/gtk3/gtkextension.xml.in
M	ui/gtk3/iconwidget.vala
M	ui/gtk3/panel.vala
A	ui/gtk3/panelbinding.vala

commit 9f2699c6023e37bd096484d36b2a83b1e680f1b3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-08 11:59:59 +0900

    Fix typo in ISSUE_TEMPLATE
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/340240043

M	.github/ISSUE_TEMPLATE.md

commit ff611a4bf2f74fcb7c3df3f57ba3bff4e50a16ff
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-06 11:05:10 +0900

    Add ISSUE_TEMPLATE
    
    BUG=https://github.com/blog/2111-issue-and-pull-request-templates
    
    Review URL: https://codereview.appspot.com/336540043

A	.github/ISSUE_TEMPLATE.md

commit 4cfd5ad7c6d071cfef6c7d678cc027ea480b8fc9
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-02-06 11:02:09 +0900

    Fix typo in ibusunicode.c
    
    Review URL: https://codereview.appspot.com/340740043

M	src/ibusunicode.c
M	ui/gtk3/emojier.vala

commit e17c99859d06ab75326730e45072e1061f7d87c7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-01-29 16:50:07 +0900

    Implement Unicode choice on Emojier
    
    BUG=https://github.com/ibus/ibus/issues/1922
    
    Review URL: https://codereview.appspot.com/340190043

M	configure.ac
M	po/POTFILES.in
M	src/Makefile.am
M	src/emoji-parser.c
M	src/ibus.h
A	src/ibusunicode.c
A	src/ibusunicode.h
A	src/ibusunicodegen.h
A	src/unicode-parser.c
M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit bfe57d20e9d39d52428e95e493d9af0bd034a82f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2018-01-15 14:44:07 +0900

    Added DBus filtering against malware
    
    The proposal prevents non-ower of the GDBusConnection from accessing
    DBus methods against malicious usages.
    
    BUG=https://github.com/ibus/ibus/issues/1955
    
    Review URL: https://codereview.appspot.com/335380043

M	bus/inputcontext.c
M	src/ibusengine.c
M	src/ibuspanelservice.c

commit 0ab0dd3149cbcf0a914a711ecf421ba32b1300c3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-12 12:00:00 +0900

    ui/gtk3: Translate input method name in ibus
    
    Translate input method name in ibus menu and switcher
    
    BUG=
    R=takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/339170043
    
    Patch from Peng Wu <alexepico@gmail.com>.

M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala

commit 88b9a93d61824ba8b18cc9fc943527937db5e40b
Author: Aaron Muir Hamilton <aaron@correspondwith.me>
Date:   2017-11-17 12:27:30 +0900

    src: Reintroduce the hex mode keybind with an environment variable
    
      This was removed by "Move emoji implementation from
      IBusEngineSimple to IBusPanel". Reintroduced here
      behind an environment variable.
    
    BUG=https://github.com/ibus/ibus/issues/1961
    
    Review URL: https://codereview.appspot.com/335030043
    
    Patch from Aaron Muir Hamilton <aaron@correspondwith.me>.

M	src/ibusenginesimple.c

commit a28fa740bfc64bfb65eab9c5fad8bb2086a1e45a
Author: Danny <lesarde@gmail.com>
Date:   2017-11-16 12:32:52 +0900

    src: Add libgobject.so to LDADD for Debian libtool
    
    Debian libtool ignores dependency_libs in libibus.la for dlopen modules
    so need to add libraries in LDADD explicitly.
    https://www.mail-archive.com/libtool@gnu.org/msg11616.html
    
    BUG=https://github.com/ibus/ibus/issues/1952
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/334070043
    
    Patch from Danny <lesarde@gmail.com>.

M	src/Makefile.am

commit f5e0752fe345db2033a2b49de206dc62acd00a2b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-11-09 12:14:08 +0900

    src: Added some error handlings from a code review
    
    Review URL: https://codereview.appspot.com/337900043

M	src/ibuscomposetable.c
M	src/ibusenginesimple.c

commit 1cbe86726d99b79201cf3735610524e9a49aa08b
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   2017-10-31 13:17:16 +0900

    src: Fix GVariant leaks
    
    g_task_propagate_pointer() gives ownership of the data to the caller, so
    the GVariants handed this way must be unref'ed after the contents have
    been extracted/copied.
    
    BUG=https://github.com/ibus/ibus/pull/1956
    
    Review URL: https://codereview.appspot.com/330710043
    
    Patch from Carlos Garnacho <carlosg@gnome.org>.

M	src/ibusbus.c

commit c36081898d93c6256ee78fa94dccd769fffff41f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-26 11:03:18 +0900

    tools: Do not change keymaps with 'use-system-keyboard-layout'
    
    BUG=https://github.com/ibus/ibus/issues/1951
    
    Review URL: https://codereview.appspot.com/334890043

M	tools/main.vala

commit 4f9fa092924b75084b3b9e3fc368d0744db8ad2a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-22 19:25:55 +0900

    Release 1.5.17
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/332030043

M	configure.ac

commit 8cb149bfed9938967af1e823c3a09284a9f2501c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-22 19:16:52 +0900

    Update translations
    
    Update cs.po da.po es.po fr.po hu.po ja.po nl.po pl.po sv.po
           uk.po zh_TW.po
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/331040043

M	po/cs.po
M	po/da.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/ja.po
M	po/nl.po
M	po/pl.po
M	po/sv.po
M	po/uk.po
M	po/zh_TW.po

commit 53d1f9e92666c77ec13efaeb5f330d05332a8360
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-20 11:34:55 +0900

    ui/gtk3: Increase timeout of window filter in PropertyPanel
    
    The latest Plasma desktop takes more time to generate _NET_WORKAREA
    atom and this patch increases the timeout from 1 minute to 5 minutes
    so that PropertyPanel locate within the workarea.
    
    Review URL: https://codereview.appspot.com/336840043

M	ui/gtk3/propertypanel.vala

commit dfe21a2729f13107ef28c4cd075ac81d501384ea
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-19 10:53:27 +0900

    ui/gtk3: Unref Panel and Indicator when double panels run
    
    If unref is not called properly, Panel.finalize() is not called
    and Gtk.StatusIcon won't be hidden with double panels.
    
    Review URL: https://codereview.appspot.com/329510043

M	ui/gtk3/application.vala
M	ui/gtk3/indicator.vala
M	ui/gtk3/panel.vala

commit 98f70ee5966cfe182a75c6cc6466032bf414c640
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-10-11 12:54:10 +0900

    ui/gtk3: Do not activate emoji cells on mouse until mouse moves
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/324660043

M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/panel.vala

commit d37c8bbdf9164ca76fb5ca513891e48273556881
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-26 11:42:23 +0900

    ui/gtk3: Unset GDK_CORE_DEVICE_EVENTS
    
    Plasma deskop sets this variable and prevents Super-space
    and Ctrl-Shift-e when ibus-ui-gtk3 runs after the
    desktop is launched.
    Also fixed a SEGV in display.get_monitor_at_window()
    Regression from rhbz#226465
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/321710043

M	ui/gtk3/application.vala
M	ui/gtk3/switcher.vala

commit 4a541639f50f05bf01b1b84792a7f4039b88c296
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-15 17:49:57 +0900

    ui/gtk3: Fix to enable menu button on PropertyPanel
    
    Review URL: https://codereview.appspot.com/330720043

M	ui/gtk3/propertypanel.vala

commit 0632cbbbb573749bbca96a416fde1490810e52d2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-13 18:15:06 +0900

    ui/gtk3: Fix PropertyPanel position in workarea
    
    gdk_screen_get_monitor_workarea() no longer return the correct area
    from "_NET_WORKAREA" atom in GTK 3.22 and now use
    gdk_monitor_get_workarea() instead.
    
    Use gdk_seat_grab() instead of deprecated gdk_device_grab().
    
    Use gtk_menu_popup_at_rect() instead of deprecated gtk_menu_popup() and
    generate a new foreign GdkWindow with mouse cursor for the Qt Window.
    
    Also fixed some deprecated APIs.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/330190043

M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/emojier.vala
M	ui/gtk3/handle.vala
M	ui/gtk3/indicator.vala
M	ui/gtk3/keybindingmanager.vala
M	ui/gtk3/panel.vala
M	ui/gtk3/propertypanel.vala
M	ui/gtk3/switcher.vala

commit 79aebc5553adeb2beff924135ee3b7e4e6c7eb94
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-11 12:32:35 +0900

    Remove debian directory upon the Debian's request
    
    Makefile.am is also modified to get rid of debian words.
    
    BUG=https://github.com/ibus/ibus/issues/1945
    R=Shawn.P.Huang@gmail.com, osamu.aoki@gmail.com, shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/322670043

M	Makefile.am
D	debian/README.source
D	debian/changelog.in
D	debian/clean
D	debian/compat
D	debian/control
D	debian/copyright
D	debian/docs
D	debian/ibus-daemon.1
D	debian/ibus-gconf.1
D	debian/ibus-gtk2.install
D	debian/ibus-gtk3.install
D	debian/ibus-setup.1
D	debian/ibus-ui-gtk.1
D	debian/ibus-x11.1
D	debian/ibus.1
D	debian/ibus.install
D	debian/ibus.manpages
D	debian/ibus.postinst
D	debian/ibus.prerm
D	debian/libibus-1.0-0.install
D	debian/libibus-1.0-0.symbols
D	debian/libibus-dev.install
D	debian/patches/00list
D	debian/python-ibus.install
D	debian/pyversions
D	debian/rules
D	debian/source/format
D	debian/watch
D	debian/xinput/ibus

commit d784e04c38eeb069f9a8da8b30743f4463fa34c3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-07 10:57:14 +0900

    client/gtk2: Fix a build failure with GDK_MODIFIER_INTENT_NO_TEXT_INPUT
    
    BUG=https://github.com/ibus/ibus/issues/1942
    
    Review URL: https://codereview.appspot.com/327300043

M	client/gtk2/ibusimcontext.c

commit bbfb3d738b9d61d1eb0658a9ce56e3cd8c111ac4
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-06 14:08:40 +0900

    client/gtk2: Do not send key events to GtkIMContextSimple
    
    GtkIMContextSimple binds Ctrl-Shift-u but IBus clients do not now.
    
    BUG=https://github.com/ibus/ibus/issues/1889
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/327290043

M	client/gtk2/ibusimcontext.c
M	src/ibusenginesimple.c
M	src/ibusenginesimple.h

commit d788918b635275d0247e68f26f9c840100bca366
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-06 12:17:30 +0900

    ui/gtk3: Switcher should ignore mouse until it moves
    
    BUG=https://github.com/ibus/ibus/issues/1929
    
    Review URL: https://codereview.appspot.com/329100043

M	ui/gtk3/switcher.vala

commit 21bac4733684ca6a74ddb02f457c0fe19eb9180d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-06 12:11:01 +0900

    ui/gtk3: Move ibus-emoji-dialog.vapi from ui/gtk3 to bindings/vala
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/322590043

R100	ui/gtk3/IBusEmojiDialog-1.0.metadata	bindings/vala/IBusEmojiDialog-1.0.metadata
M	bindings/vala/Makefile.am
R100	ui/gtk3/ibus-emoji-dialog-1.0.deps	bindings/vala/ibus-emoji-dialog-1.0.deps
M	po/POTFILES.skip
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojier.vala
M	ui/gtk3/ibusemojidialog.h

commit 3e01bab972ad12b92c55a9dde554a0359c217290
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-06 12:04:52 +0900

    portal: Add org.freedesktop.IBus.Portal.xml in EXTRA_DIST
    
    Review URL: https://codereview.appspot.com/325370043

M	portal/Makefile.am

commit 9937a0e4501ccf0cfd238ce7c97733c3099db3f7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-09-04 12:19:07 +0900

    bus: ibus-daemon activates ibus-portal
    
    When ibus-daemon restarts, ibus-portal exits with on_name_lost() and
    the clients wait for portal_name_appeared() until ibus-poral restarts.
    Now the clients can connect to ibus-daemon with this way and also
    they don't have to activate ibus-portal.
    
    BUG=https://github.com/flatpak/flatpak/issues/675
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/321530043

M	bus/server.c
M	portal/portal.c

commit 9772e800f3e6937510f2609c5ce9a6860c59cb81
Author: Alexander Larsson <alexl@redhat.com>
Date:   2017-09-04 12:02:17 +0900

    test: Testing in flatpak
    
    Test with:
    flatpak-builder --force-clean app org.test.IBus.json
    flatpak-builder --run --nofilesystem=host app org.test.IBus.json zenity --entry
    
    BUG=https://github.com/flatpak/flatpak/issues/675
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/329090043
    
    Patch from Alexander Larsson <alexl@redhat.com>.

A	test/org.test.IBus.json

commit 35ce62474fa97a5460d72c360943700a413a07ae
Author: Alexander Larsson <alexl@redhat.com>
Date:   2017-08-31 12:03:37 +0900

    Support the portal in the gtk im modules
    
    This adds a new way to create an IbusBus, ibus_bus_new_async_client().
    This returns an object that is not guarantee to handle any calls
    that are not needed by a client, meaning CreateInputContext and
    handling the input context.
    
    If you are running in a flatpak, or if IBUS_USE_PORTAL is set, then
    instead of talking to the regular ibus bus we connect to
    org.freedesktop.portal.IBus on the session bus and use the
    limited org.freedesktop.IBus.Portal interface instead of the
    org.freedesktop.IBus interface.
    
    This allows flatpaks (or other sandbox systems) to safely use
    dbus clients (apps).
    
    BUG=https://github.com/flatpak/flatpak/issues/675
    
    Review URL: https://codereview.appspot.com/328410043
    
    Patch from Alexander Larsson <alexl@redhat.com>.

M	client/gtk2/ibusimcontext.c
M	src/ibusbus.c
M	src/ibusbus.h
M	src/ibusinputcontext.c

commit 203a3df5a239d644cf42b7bac03a268eb5babfc7
Author: Alexander Larsson <alexl@redhat.com>
Date:   2017-08-30 11:38:09 +0900

    Initial version of ibus portal
    
    This adds a dbus service called org.freedesktop.portal.IBus on the
    session bus. It is a very limited service that only implements
    CreateInputContext and the InputContext interface (and Service.Destroy
    for lifetime access).
    
    It uses gdbus code generation for demarshalling the method calls which
    means it will verify that all arguments have the right type.
    
    Additionally all method calls to the input context object have to be
    from the client that created it, so each client is isolated.
    
    BUG=https://github.com/flatpak/flatpak/issues/675
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/326350043
    
    Patch from Alexander Larsson <alexl@redhat.com>.

M	Makefile.am
M	configure.ac
A	portal/Makefile.am
A	portal/org.freedesktop.IBus.Portal.xml
A	portal/org.freedesktop.portal.IBus.service.in
A	portal/portal.c
M	src/ibusshare.h

commit c1b93f933f5cbd74f3e06575d26ed7432a5420fd
Author: Mario Bodemann <mario.bodemann@gmail.com>
Date:   2017-08-15 12:10:56 +0900

    Typo fix
    
    BUG=https://github.com/ibus/ibus/pull/1939
    
    Review URL: https://codereview.appspot.com/327080043
    
    Patch from Mario Bodemann <mario.bodemann@gmail.com>.

M	ui/gtk3/ibus-emoji.7.in

commit 6a3301db85e77e0652f7e00894cce493b6a942f6
Author: Xiang Fan <sfanxiang@gmail.com>
Date:   2017-08-10 11:24:39 +0900

    client/gtk2: include the scaling factor
    
    Scaling factor, which exists for HiDPI displays, needs to be included in
    the calculation of cursor location. This does not affect devices without
    a HiDPI display.
    
    Candidate windows would be misplaced to smaller coordinates without this
    patch.
    
    BUG=https://github.com/ibus/ibus/issues/1806
    
    Review URL: https://codereview.appspot.com/328250043
    
    Patch from Xiang Fan <sfanxiang@gmail.com>.

M	client/gtk2/ibusimcontext.c

commit 91bebf01e41116d71e60876e793284cf9d8dc186
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-07-28 11:45:28 +0900

    ui/gtk3: Fix SEGV of XKeysymToKeycode() on Wayland
    
    BUG=rhbz#1368593
    BUG=rhbz#1446816
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/325120043

M	ui/gtk3/application.vala

commit bc0f91342c6f3a6e554493af9430d634d906ee19
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-07-25 12:00:14 +0900

    ui/gtk3: Fix SEGV of IBusEmojier on de_DE.UTF-8
    
    de's decimal_point is ',' instead of '.' and failed to load the
    CSS data in Gtk.CssProvider.load_from_data(), launched null
    window of emojis and finally caused a SEGV due to the null window.
    This also fixes some memory leaks.
    
    BUG=rhbz#1471079
    
    Review URL: https://codereview.appspot.com/323310043

M	src/ibusemoji.c
M	ui/gtk3/emojier.vala

commit 56b5126f09887b41c2cc6cb97bfd72593b60732f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-07-25 11:55:08 +0900

    po: Replace s/annotaions/annotations/
    
    BUG=https://github.com/ibus/ibus/issues/1933
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/323330043

M	data/ibus.schemas.in
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/ja.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/sv.po
M	po/uk.po
M	po/zh_TW.po
M	ui/gtk3/emojierapp.vala

commit ad80999f5a10faee1a665a2232e1cf60be901cc8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-29 12:03:41 +0900

    Make all emoji dicts for fully qualified
    
    Currently only emoji-en.dict enables fully qualified since it imports
    emoji-test.txt and it causes to hardly compare emojis between
    emoji-en.dict and emoji-$lang.dict when m_show_emoji_variant
    is enabled. E.g. U+1F3CC-FE0F-200D-2642-FE0F
    Now emoji-$lang.dict also import emoji-test.txt and enables
    fully qualified.
    
    R=penghuang@google.com
    
    Review URL: https://codereview.appspot.com/323860043

M	src/Makefile.am
M	src/emoji-parser.c
M	src/ibusemoji.c
M	ui/gtk3/emojier.vala

commit 081d09f1a927f459dacda3bcc59a1678ca2f9a95
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-29 11:54:31 +0900

    ui/gtk3: Emojier supports Ctrl-c,v,x and Ctrl-Shift-c
    
    Ctrl-[c|v|x] copy, paste, or cut the emoji annotatons.
    Ctrl-Shift-c copies the selected emoji.
    Also Ctrl-Backspace is implemented to delete an annotation word.
    Also updated ibus-emoji.7.in man page.
    
    R=penghuang@google.com
    
    Review URL: https://codereview.appspot.com/316650043

M	ui/gtk3/emojier.vala
M	ui/gtk3/ibus-emoji.7.in

commit 44d053577a6ac115f3fd3b7beb7bdd65da81aa64
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-24 11:52:19 +0900

    engine: Add Malay and Mongolian keymaps
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/325790043

M	engine/simple.xml.in

commit 4fe3050efa7335f82870fb1d5a1d170d20afc160
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-22 12:04:28 +0900

    configure: Change relative paths to absolute ones
    
    BUG=https://github.com/ibus/ibus/issues/1926
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/322990043

M	configure.ac

commit e6bab7ab78c69d238a70a64e60963dd5a6711ffe
Author: Felix Yan <felixonmars@archlinux.org>
Date:   2017-05-19 12:13:04 +0900

    Fix a typo in configure.ac
    
    BUG=https://github.com/ibus/ibus/pull/1927
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/317640043
    
    Patch from Felix Yan <felixonmars@archlinux.org>.

M	configure.ac

commit ccc602d626b29fae805fae2d0995126afac6d9e6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-15 16:03:34 +0900

    Release 1.5.16
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/320550043

M	configure.ac
A	po/fi.po
A	po/sq.po
A	po/sv.po

commit 21e6c003e0d4b8d50b266c02495ad9d62f30e7b4
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-15 13:47:39 +0900

    Update translations
    
    Update po/ca.po po/cs.po po/de.po po/es.po po/fi.po po/fr.po po/hu.po
           po/it.po po/ja.po po/nl.po po/pl.po po/pt_BR.po po/ru.po
           po/sq.po po/sv.po po/uk.po po/zh_CN.po po/zh_TW.po
    
    Review URL: https://codereview.appspot.com/320300043

M	po/LINGUAS
M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/it.po
M	po/ja.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/ta.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 086fc542a7a9b1313198ae60355e711da05f5ed8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-15 13:32:08 +0900

    ui/gtk3: Fix to focus Emojier when type Control-Shift-e twice
    
    Some window managers, e.g. MATE, GNOME, Plasma desktops,
    does not give the keyboard focus when Emojier is lauched
    twice with Ctrl-Shift-e via XIEvent, if present_with_time()
    is not applied.
    
    Also fix to type some of ASCII emoji annotations likes :D
    Also update ibus-emoji.7.in to describe Control-f,b,n,p
    
    BUG=https://mail.gnome.org/archives/gtk-devel-list/2017-May/msg00026.html
    
    Review URL: https://codereview.appspot.com/325750043

M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/ibus-emoji.7.in
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit f6c2e2dd6f42a43fe973cf40701ee7d61f637287
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-10 11:50:08 +0900

    ui/gtk3: Rename ibus-emoji.1.in to ibus-emoji.7.in
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/321900043

M	tools/ibus.1.in
M	ui/gtk3/Makefile.am
R100	ui/gtk3/ibus-emoji.1.in	ui/gtk3/ibus-emoji.7.in

commit 1159093dea3fdb8ceb62157f06b3560f8fc28378
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-09 13:58:02 +0900

    Update favorites category automatically by selecting emoji
    
    When you commit an emoji with Emojier, Favorite category
    will be shown on GUI.
    Now a custom annotation also can be assigned to a favorite emoji
    by gsetting command.
    
    R=penghuang@google.com
    
    Review URL: https://codereview.appspot.com/312660043

M	data/ibus.schemas.in
M	src/ibusemoji.h
M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit 5f653d3102ada9139a2bc7504d6beaee1bc9984b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-09 13:54:01 +0900

    ui/gtk3: Add ibus-emoji man mapge
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/323810043

M	setup/ibus-setup.1.in
M	tools/ibus.1.in
M	ui/gtk3/Makefile.am
A	ui/gtk3/ibus-emoji.1.in

commit edcb4a0259d2833904e7d1aac7c74e1aa49cea5b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-08 12:25:54 +0900

    ui/gtk3: Hide emoji variants by default
    
    The emoji variants, i.e. skin colors and additional items, would not
    be used in most cases and it is nice to hide it by default.
    Now added GtkMenu and changed GtkWindow to GtkApplicationWindow
    for the menu.
    
    R=penghuang@google.com
    
    Review URL: https://codereview.appspot.com/322970043

M	ui/gtk3/emojier.vala

commit 0836c3ffd6764969dfaa9953f52a24c1cbf2c983
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-05-06 00:22:50 +0900

    Support to match emoji annotations with partial string
    
    Now ibus-setup has a new tab of "Emoji" and it provides
    the options to choose a condtion and length to match
    emoji annotations partically.
    
    R=alexepico@gmail.com, penghuang@google.com
    
    Review URL: https://codereview.appspot.com/319700043

M	data/ibus.schemas.in
M	setup/main.py
M	setup/setup.ui
M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/panel.vala

commit 2f73064d03481c9f34d278dd19d1a4427d6ecb27
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-28 13:10:03 +0900

    Change to use Unicode Emoji files instead of EmojiOne files
    
    EmojiOne Json file have changed the file format since 3.0 [1]
    Now IBus migrated to use Unicode Emoji files since the EmojiOne file
    had been used for the emoji categories but it can be done with
    Unicode emoji-test.txt [2]
    Use Unicode Emoji 4.0 until 5.0 will be released officially.
    Unicode Emoji 5.0 is available but fonts does not support it yet.
    
    [1] https://github.com/Ranks/emojione/releases/tag/v3.0.0
    [2] http://www.unicode.org/Public/emoji/4.0/
    
    Review URL: https://codereview.appspot.com/321860043

M	bindings/vala/Makefile.am
M	configure.ac
M	data/annotations/Makefile.am
A	data/annotations/en_ascii.xml
M	po/POTFILES.in
M	po/POTFILES.skip
M	src/Makefile.am
M	src/emoji-parser.c
M	src/ibusemoji.c
M	src/ibusemoji.h
A	src/ibusemojigen.h
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojier.vala

commit 61fa8eabd812a75b3cadd883ad4a4e92cf6877d3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-25 12:10:00 +0900

    ui/gtk3: Get emoji font size from gsettings
    
    If Emojier CLI does not specify the font size likes
    --font 'Noto Emoji Color Regular', get the default size from GSettings.
    
    R=Shawn.P.Huang@gmail.com, alexepico@gmail.com
    
    Review URL: https://codereview.appspot.com/317540043

M	setup/setup.ui
M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/panel.vala

commit aba81ace1487bea57e80406413ae31cbb37ac7d2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-20 12:10:47 +0900

    ui/gtk3: Fix build failures
    
    Add-on fix to 290f786
    if /usr/share/vala*/vapi/ibus-emoji-dialog*.vapi does not exist.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/323780043

M	ui/gtk3/Makefile.am

commit c6cdf21c7364cbb1e848e44cab0bff270e432e82
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-19 12:16:37 +0900

    ui/gtk3: Change modal dialog to focused dialog
    
    There are several problems with the current emoji modal dialog.
    If keyboard is grabbed on the popup window, the focus out/in events
    cannot be detected so the dialog cannot be closed by the focus changes.
    
    If mouse operation is supported on the popup window, need a custom
    GtkHeaderBar with extended handle.vala but the behavior is unclear. [1]
    
    Also current popup window has several extensions for the keyboard grab.
    
    If the closed button is needed on the popup window since the focus events
    cannot be detected, I think there is no merit to use the popup window.
    Now IBusEmojier simply uses the focused window.
    
    [1] https://mail.gnome.org/archives/gtk-app-devel-list/2017-April/msg00017.html
    
    R=Shawn.P.Huang@gmail.com, alexepico@gmail.com
    
    Review URL: https://codereview.appspot.com/316510043

M	ui/gtk3/emojier.vala
M	ui/gtk3/emojierapp.vala
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit 4b8d7baf627fb3fc9e4dde74ba33a867091f95b7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-18 11:44:52 +0900

    ui/gtk3: Mark LANG and FONT as translatable strings
    
    BUG=https://github.com/ibus/ibus/issues/1920
    
    Review URL: https://codereview.appspot.com/322880043

M	ui/gtk3/emojierapp.vala

commit 290f786b82158e7c087b81946727606cd3424e94
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-17 16:00:26 +0900

    ui/gtk3: Fix build failures
    
    ibus-ui-emoijer needs to be built at last in ui/gtk3
    Also fixed po/POTFILES.in for `make dist`
    Now I moved libibusemojidialog.so and IBusEmojiDialog-1.0.[gir|typelib]
    and ibus-emoji-dialog-1.0.vapi to noinst because now
    ibus-ui-emojier is available and they are private libraries.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/312610043

M	po/POTFILES.in
M	tools/Makefile.am
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojierapp.vala

commit da33672bc738889dcd4ebbec51cb3aa67567f70c
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-04-13 12:40:22 +0900

    tools: spawn the process of ibus-ui-emojier
    
    BUG=
    R=Shawn.P.Huang@gmail.com, takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/324770043
    
    Patch from Peng Wu <alexepico@gmail.com>.

M	bindings/vala/config.vapi
M	tools/Makefile.am
M	tools/main.vala

commit 2f8982a0a4b25f98c969c09b81724e44efc41c27
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-04-10 15:57:48 +0900

    Make ibus emojier dialog as an unique application
    
    Forgot to commit ui/gtk3/emojierapp.vala from the previous commit.
    
    BUG=
    R=takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/319650043
    
    Patch from Peng Wu <alexepico@gmail.com>.

A	ui/gtk3/emojierapp.vala

commit 648f58a361ea1407f229ed1682486240cc2e5026
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-04-10 14:54:08 +0900

    Make ibus emojier dialog as an unique application
    
    Because wayland doesn't support clipboard persistence, just hide the dialog; will show the emojier dialog again, when run it again.
    
    In next patches, ibus emoji command will just spawn the process of ibus-ui-emojier.
    
    BUG=
    R=takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/320450043
    
    Patch from Peng Wu <alexepico@gmail.com>.

M	po/POTFILES.in
M	po/POTFILES.skip
M	ui/gtk3/Makefile.am

commit cb0a36c254dc7a96b2a984e715f96cc2ec32e2d5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-04-03 12:24:27 +0900

    src: Enable unicode_alt in EmojiOne json file
    
    EmojiOne json file has unicode_alt property which includes
    emoji modifer characters.
    
    Review URL: https://codereview.appspot.com/316420043

M	src/emoji-parser.c
M	src/ibusemoji.c
M	src/ibusemoji.h
M	ui/gtk3/emojier.vala

commit 8b6f9fa531aa9d9b5d6c0184b2294d071f920d7f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-30 12:08:39 +0900

    ui/gtk3: Enable to type multiple code points on Emojier
    
    - Can type multiple Unicode characters with digits and Shift-space
      keys.  E.g. "1f468 1f468 1f466"
    - Always show Unicode points of the selected emoji
    - Removed a function to commit an emoji by typing a digit char since
      it conflicts with digit annotations, code points but it had enabled
      with single digits only so not so useful.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/321820043

M	ui/gtk3/emojier.vala

commit c3168d4701eb4e89094249abaa4f0f83ab24149b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-29 13:01:28 +0900

    Fix IBusEmojiDialog_1_0_gir_LIBS for --as-needed LDFLAGS
    
    The order gets omitted libibus-1.0.la
    
    BUG=https://github.com/ibus/ibus/issues/1917
    
    Review URL: https://codereview.appspot.com/324720043

M	ui/gtk3/Makefile.am

commit 164300758c70fd3a590788e038de31b6c53d458a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-28 12:15:26 +0900

    data: Fix a typo
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/321800043

M	data/ibus.schemas.in

commit 0efb1c503d5901bbddcdb6fa73007b364ba4368d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-27 15:12:42 +0900

    Move language setting from IBusEmojier to ibus-setup
    
    The language setting of emoji annotations now can be saved
    with ibus-setup.
    Implement `ibus emoji [--font|--lang|--help]`
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/323720043

M	data/ibus.schemas.in
M	setup/Makefile.am
A	setup/emojilang.py
M	setup/main.py
M	setup/setup.ui
M	tools/main.vala
M	ui/gtk3/emojier.vala
M	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit bd7e0ba297f72ae1e2989743f2426c44df29f3ec
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-21 12:56:23 +0900

    Make more readable error messages if emoji xml files are missed
    
    Also Fix CONFIG_CLEAN_FILES for autoreconf
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/320750043

M	configure.ac
M	src/Makefile.am
M	src/emoji-parser.c
M	ui/gtk3/Makefile.am

commit 50e344afaffc29e626dbc27747a1aeee6cccafdf
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-17 12:08:50 +0900

    ui/gtk3: Enable strcasecmp to match emoji annotation
    
    Users can type capital annotations.
    Also shows emoji annotations in the status bar if the
    typing unicode point matches a emoji character.
    
    Review URL: https://codereview.appspot.com/314640043

M	ui/gtk3/emojier.vala

commit 58f6140f427815adc947a5bb5c7dea4f3e315ae8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-15 11:52:39 +0900

    ui/gtk3: Implement shortcut keys on emoji dialog
    
    - Implement Ctrl-f, Ctrl-b, Ctrl-n, Ctrl-p, Ctrl-h, Ctrh-e for
      cursor movements; forward, back, next, previous, head, end
      on emoji grid.
    - Implement Ctrl-a and Shift+arrow for text selection on emoji annotation.
    - Implement Ctrl-u to delete text on emoji annotation.
    - Implement to delete a selected text on emoji annotation.
    - Change to show page indices to candidate indices on emoji.
    - Sorted emoji categories.
    - Added timeout of m_enter_notify_enable = false to bring back mouse.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/315700043

M	ui/gtk3/emojier.vala

commit ab6c38c192cdf22356cbf254b98fb5b3d9d9a680
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-15 11:48:24 +0900

    client/x11: Add XSetIOErrorHandler() for GNOME3 desktop
    
    When log into GNOME3 desktop immediately after the system is booted,
    ibus-daemon is sometimes alive but ibus-x11 is dead after log out
    the session. Because gdk_x_io_error() is called as the callback of
    XSetIOErrorHandler() in gtk/gdk/x11/gdkmain-x11.c in ibus-x11.
    Now I assume the callback is called in logout.
    
    BUG=https://github.com/ibus/ibus/issues/1907
    
    Review URL: https://codereview.appspot.com/319490043

M	client/x11/main.c

commit fbe3de1789c73a8a175a451b2a6b967f5d3c6514
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-13 12:08:21 +0900

    src: Update emoji-parser to treat tts as emoji description
    
    unicode annotation xml files have a 'tts' attribute and seem
    it is used as the emoji descriptions instead of emoji annotations.
    This can show the translated descriptions.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/319480043

M	src/emoji-parser.c
M	src/ibusemoji.c
M	src/ibusemoji.h
M	ui/gtk3/emojier.vala

commit c580845167b54ccab76d8b72bdc797ef8d64d554
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-13 11:58:06 +0900

    ui/gtk3: Fix emoji text entry cusor position
    
    Focus on emoji text entry by default
    Remove internal text buffer and use Gtk.Entry buffer instead.
    Implement cusor left, right, home, end on emoji annotation preedit.
    
    Review URL: https://codereview.appspot.com/313710043

M	ui/gtk3/emojier.vala

commit 31ed31e5303c3946f53b035a63d76f5c1e3cd84a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-13 11:43:09 +0900

    src: Fix ibus_emoji_dict_load()
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/320350043

M	configure.ac
M	src/emoji-parser.c
M	src/ibusemoji.c

commit 9dbea347050ae2ad79d1b53f2ad62a7a2cafadc6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-09 12:45:20 +0900

    ui/gtk3: Get emoji colors from the theme
    
    Get selected and normal text color from the theme.
    Implement to activate an emoji with mouse motion.
    Create back button on emoji language chooser dialog.
    Set row_homogeneous on emoji table.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/319470043

M	ui/gtk3/Makefile.am
M	ui/gtk3/candidatearea.vala
M	ui/gtk3/emojier.vala

commit 7e477d5e0ffe19b6c52558c5b37fdd9cb82c097a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-09 11:31:21 +0900

    tools: Fix `ibus emoji` SEGV when language is changed.
    
    BUG=rhbz#1430290
    
    Review URL: https://codereview.appspot.com/317410043

M	tools/main.vala

commit 4e02857ccb41e8e42310e2b1372cdc9248da667c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-08 11:57:27 +0900

    bus: Add error messages for g_dbus_server_new_sync
    
    BUG=https://github.com/ibus/ibus/issues/1901
    
    Review URL: https://codereview.appspot.com/319460043

M	bus/server.c

commit 641c3cb5dac87fef392e926b35e1b660c0d34c15
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-07 00:56:19 +0900

    Fix a build failure with --disable-emoji-dict
    
    BUG=https://github.com/ibus/ibus/issues/1908
    
    Review URL: https://codereview.appspot.com/313690043

M	tools/Makefile.am
M	tools/main.vala

commit f7f3bc82e480b0bd03ac42ac63baa8748053a819
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-06 18:31:08 +0900

    Release 1.5.15
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/319420043

M	configure.ac

commit c37989acffed8dc66a95deb8b113ac7a1d84e6ee
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-06 18:14:26 +0900

    Add 'ibus emoji' command for no ibus panel desktops
    
    This utility can be used on GNOME desktop which shows
    a gnome-shell icon instead of running ibus-ui-gtk3.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/318640043

M	Makefile.am
M	tools/Makefile.am
M	tools/main.vala
A	ui/gtk3/IBusEmojiDialog-1.0.metadata
M	ui/gtk3/Makefile.am
M	ui/gtk3/emojier.vala
A	ui/gtk3/ibus-emoji-dialog-1.0.deps
A	ui/gtk3/ibusemojidialog.h
M	ui/gtk3/panel.vala

commit 13bf5037c43c6762c29de2038b6abe28d27c5103
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-06 14:05:24 +0900

    setup: Set emoji preview text on font setting
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/317400043

M	setup/main.py

commit 02d99aa00cb4a26a2cfb6098ea27e763e9bb2daa
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-03-05 18:11:28 +0900

    Move emoji implementation from IBusEngineSimple to IBusPanel
    
    Currently emoji shortcut key is not customizable and there is
    no menu item to access emoji typing without shortcut key.
    Once implementation is moved to IBusPanel, the emoji typing is
    now avaible for every engine without modifying its codes.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/317370043

M	bus/inputcontext.c
M	bus/inputcontext.h
M	bus/panelproxy.c
M	configure.ac
M	data/ibus.schemas.in
M	po/POTFILES.in
M	po/POTFILES.skip
M	setup/main.py
M	setup/setup.ui
M	src/Makefile.am
M	src/emoji-parser.c
M	src/ibus.h
A	src/ibusemoji.c
A	src/ibusemoji.h
M	src/ibusenginesimple.c
M	src/ibuspanelservice.c
M	src/ibuspanelservice.h
M	src/ibusutil.c
M	src/ibusutil.h
M	ui/gtk3/Makefile.am
A	ui/gtk3/emojier.vala
M	ui/gtk3/keybindingmanager.vala
M	ui/gtk3/panel.vala

commit 0a244817338c943ffe03cd5b6ecf094ffd156f80
Author: Eric R. Schulz <eric@ers35.com>
Date:   2017-03-01 13:25:56 +0900

    Fix memory leak in IBus.Bus.get_global_engine()
    
    Fix the memory leak by setting the transfer mode annotation to full.
    
    BUG=https://github.com/ibus/ibus/pull/1899
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/312520043
    
    Patch from Eric R. Schulz <eric@ers35.com>.

M	src/ibusbus.h

commit 993289f4667bed50e8d552870df6f05f1eaf5e35
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   2017-02-27 14:29:48 +0900

    bus: fix service file when --disable-xim is specified
    
    BUG=https://github.com/ibus/ibus/pull/1897
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/319390043
    
    Patch from Marc-Antoine Perennou <Marc-Antoine@Perennou.com>.

M	bus/Makefile.am
M	bus/org.freedesktop.IBus.service.in
M	configure.ac

commit fcb90f7a96d7b1b6be5b7e274a0ebe3058207b50
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-02-20 12:00:14 +0900

    ui/gtk3: Fix typo in switcher.get_input_context_path()
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/318590043

M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala

commit b498ff571049bec2b3f3bf6f1747f0af18ff4764
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-02-13 12:19:45 +0900

    ui/gtk3: Refactor to set panel icon
    
    Fix panel icon with icon_prop_key when use_global_engine is false.
    Also enhance to set engines when type Super+space quickly.
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/314450043

M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala

commit b8f55532704e256832b50e96efa5821b960a20a1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-02-06 13:36:50 +0900

    ui/gtk3: Free normal_color in CandidateArea
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/314410043

M	ui/gtk3/candidatearea.vala

commit bdc83bcbe3c9f07a267499c297db12c68af82fa2
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-01-27 14:42:33 +0900

    ui/gtk3: Refactor color of a selected candidate on lookup window
    
    Recenly 'background-color' CSS property does not indicate the actual
    background color in GTK 3.22 and IBus uses '-gtk-secondary-caret-color'
    CSS property instead.
    But I found every themes do not have '-gtk-secondary-caret-color'
    CSS property even if the latest GTK is used. Some themes, e.g.
    distro themes or third party themes,  uses 'background-color' CSS
    property for the background color of the selected text.
    
    This patch compares the colors of the normal 'background-color' and
    the selected 'background-color' and in case they are different,
    uses the selected 'background-color', otherwise the selected
    '-gtk-secondary-caret-color'.
    Also now IBus checks the colors of a dummy GtkTextView rather than
    ones of GtkLabel on the lookup window because some themes
    do not configure the selected bacground color in GtkLabel.
    
    BUG=https://github.com/ibus/ibus/issues/1871
    
    Review URL: https://codereview.appspot.com/314280043

M	ui/gtk3/candidatearea.vala

commit 371535b981e5f99deeab9437e49eb7209b1a561a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-01-20 18:51:42 +0900

    util/IMdkit: Fix the range of memset() in i18nIc.c
    
    BUG=https://github.com/ibus/ibus/issues/1891
    
    Review URL: https://codereview.appspot.com/320010043

M	util/IMdkit/i18nIc.c

commit aacf5adbba9b9b34a1ec07005e670d209513fb5b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-01-11 12:16:59 +0900

    ui/gtk3: Fix panel CSS format for GTK 3.22
    
    GtkCssProvider no longer works with the Pango format in GTK 3.22 and
    need to use the CSS format.
    
    BUG=https://github.com/ibus/ibus/issues/1879
    
    Review URL: https://codereview.appspot.com/319960043

M	ui/gtk3/panel.vala

commit f80dcc978fdc9a3d7853434e86f4ee02c2a92b33
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2017-01-11 12:11:22 +0900

    src: Avoid emoji typing during Unicode typing
    
    If 'sk' layout is used, digit keys need Shift key and
    Unicode typing of U+1AE requires Shift key after Ctrl-Shift-u.
    This patch does not enable the emoji typing with Ctrl-Shift-e
    during Unicode typing.
    
    BUG=rhbz#1403985
    
    Review URL: https://codereview.appspot.com/311510043

M	src/ibusenginesimple.c

commit 52b7272d97a881a8a6c872e28c1970ec47cb4337
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-10-12 15:17:24 +0900

    ui/gtk3: support scroll event in candidates panel
    
    When press scroll button of mouse on candidates,
    automatically cursor up/cursor down.
    
    BUG=
    R=takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/302700043
    
    Patch from Peng Wu <alexepico@gmail.com>.

M	ui/gtk3/candidatearea.vala
M	ui/gtk3/panel.vala

commit faf5e3c56d746d2f171618d552cff9149bb1d952
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-10-06 15:37:25 +0900

    src: Enable PageUp, PageDown, CandidateClick buttons with emoji lookup
    
    BUG=rhbz#1380691
    
    Review URL: https://codereview.appspot.com/312760043

M	src/ibusenginesimple.c

commit 4d86e59d0245df6d3a6aa1a32cdf7702b6dc7f0d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-10-06 15:35:03 +0900

    src: Enable to type digit to commit emoji on lookup window
    
    Enables to commit an emoji on the lookup window by a digit key.
    Before this patch, Ctrl-Shift-U, "11" shows emojis of 11 clock.
    After this patch, Ctrl-Shift-U, "11" commits an emoji of 1 clock.
    Probably Ctrl-Shift-U, "clock" can be a workaround.
    
    BUG=rhbz#1380690
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/309640043

M	src/ibusenginesimple.c

commit e795eda1a3b054e6fdc921bfe04c83733761905f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-10-06 15:28:24 +0900

    src: Hide lookup table if emoji annotation does not hit
    
    If emoji annotation hits "aaa" but not "aaab", hide the lookup
    window with "aaab".
    Also hide the lookup window with Escape key.
    
    BUG=rhbz#1380675
    
    Review URL: https://codereview.appspot.com/307400043

M	src/ibusenginesimple.c

commit af66ace771fc16a23e7a5841d2f0bd79789e009d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-09-14 13:34:44 +0900

    Fix warning messages during panel resizes
    
    Move gtk_window_resize().
    Seems calling gtk_window_resize() is not good during
    gtk_widget_get_preferred_width/height() is called.
    
    Review URL: https://codereview.appspot.com/308320043

M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/propertypanel.vala

commit 708e5e51da696f42f34d2921c83455f1824ea40f
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-09-09 17:48:20 +0900

    Update translations
    
    Update po/LINGUAS po/de.po po/es.po po/fr.po po/mn.po po/pl.po
           po/zh_HK.po po/zh_TW.po
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/302610043

M	po/LINGUAS
A	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
A	po/mn.po
M	po/pl.po
M	po/pt_BR.po
M	po/zh_HK.po
M	po/zh_TW.po

commit ceb6a9b47deaa898d8151606831669a7446ad382
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-09-06 13:05:35 +0900

    ui/gtk3: Fix radio buttons on Property Panel
    
    Use gtk_container_remove() instead g_object_unref() because
    if an widget has a parent, it's not destroyed and the signal is not
    sent to the parent since the parent was destroyed.
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/302650043

M	ui/gtk3/propertypanel.vala

commit 997e5cb1b100c6af267b8121445db1db7e580d5f
Author: Eric R. Schulz <eric@ers35.com>
Date:   2016-08-18 11:17:11 +0900

    Fix GVariant leaks
    
    The expectation is that g_dbus_message_set_body() takes ownership of the
    GVariant, but this does not happen if the BusInputContext connection is NULL.
    Call g_variant_unref() in that case to free the memory. Alternatively, a
    GVariantBuilder could be used.
    
    BUG=https://github.com/ibus/ibus/pull/1872
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/307050043
    
    Patch from Eric R. Schulz <eric@ers35.com>.

M	bus/inputcontext.c

commit c3ceed40f644f9fb0517a27592b6fd022d518e34
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-08-05 12:36:16 +0900

    Release 1.5.14
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/306860043

M	configure.ac

commit 239d3630abcaf624e3bacc2c5d1075a77a24a4b1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-08-04 11:28:32 +0900

    Replace deprecated GSimpleAsyncResult with GTask since GLib 2.46
    
    Review URL: https://codereview.appspot.com/304310043

M	bus/engineproxy.c
M	bus/inputcontext.c
M	src/ibusbus.c

commit 028624f0bb100ab2689ef059b3afd45ed89ca3f1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-08-02 11:54:07 +0900

    Fix Croatian language code in simple.xml
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/302320044

M	engine/simple.xml.in

commit eee7a132d686cb8d9c36c632523649745487b503
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-07-27 11:25:32 +0900

    Fix make dist
    
    'make dist' has different directories between builddir and srcdir.
    
    src/tests/runtest gets the builddir of ibus-memconf from the
    srcdir of memconf.xml and the builddir of ibus-engine-simple
    from the srcdir of simple.xml.
    
    bindings/pygobject/test-override-ibus.py runs IBus.Keymap.new()
    and gets the path of keymaps from IBUS_KEYMAP_PATH variable.
    
    bindings/vala/ibus-1.0.vapi needs to be cleaned by 'make distclean'.
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/305950043

M	Makefile.am
M	bindings/pygobject/Makefile.am
M	bindings/vala/Makefile.am
M	src/ibuskeymap.c
M	src/tests/runtest

commit 20068d9d0731b580d6d8218b97c482c0558149dd
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-07-25 11:42:37 +0900

    tests/ibus-engine-switch: Don't try to remove non-existing GSource
    
    ibus-engine-switch schedules an idle doing an engine switch, and
    also schedules a timeout after 1 microsecond which exits the main
    loop. Both of these callbacks will return FALSE, which detaches
    the associated GSource from the mainloop and destroys it.
    
    As the only way to exit the mainloop is when the timeout callback runs,
    we should not try to run g_source_remove(timeout_id) as it will already
    be gone, and this causes a warning.
    
    This commit reorders a bit to make the ordering between the idle and
    timeout more obvious, and it gets rid of the calls to g_source_remove()
    as they are needed.
    
    BUG=https://github.com/ibus/ibus/issues/1868
    
    Review URL: https://codereview.appspot.com/103100044

M	bus/Makefile.am
M	src/tests/ibus-engine-switch.c
M	src/tests/runtest

commit f88c48750538eaaf7c7b182ba3763b45c2745074
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-07-20 11:43:49 +0900

    Fix typo in configure.ac
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/303110043

M	configure.ac

commit 0ee1896a2b3e75494f8f9fd9d04c27436f0877b8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-07-07 12:47:34 +0900

    engine: Use annotations/en.xml from unocode.org but not emoji-list.html
    
    Downloading emoji-list would cause a different build by build site.
    Now save annotations/en.xml from unicode.org and get emoji.json from
    Emoji One.
    en.xml is used for Unicode annotations and emoji.json is used for
    aliases_ascii, e.g. ":)", and category, e.g. "people".
    
    BUG=https://github.com/ibus/ibus/issues/1865
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/299530044

A	COPYING.unicode
M	Makefile.am
M	configure.ac
M	data/Makefile.am
A	data/annotations/Makefile.am
A	data/annotations/en.xml
M	ibus.spec.in
M	src/Makefile.am
M	src/emoji-parser.c

commit 0ed644cd2b6c1d15bdba0d1c6d45d162b9b34806
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-06-23 11:52:48 +0900

    engine: Add emoji-list.html
    
    Now we copied http://unicode.org/emoji/charts/emoji-list.html to
    http://ibus.github.io/files/ibus/emoji-list.html
    and download the file in the build time.
    We don't save emoji-list.html in the tarball because the file size is
    more than 5MB.
    We always don't get the latest emoji-list.html to avoid the build error.
    
    BUG=https://github.com/ibus/ibus/pull/1864
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/298580043

M	src/Makefile.am

commit 160d3c975af91eea6b8271b757be769b8ceef98d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-06-21 18:10:21 +0900

    engine: Implement Emoji typing with XKB engines
    
    Now Ctrl+Shift+e can convert an Emoji annotation to the Emoji characters
    likes Ctrl+Shift+u.
    The annotations are described as "Keywords" in the Unicode Emoji Data:
    http://www.unicode.org/emoji/charts/emoji-list.html
    'emoji-parser' compiles 'emoji-list.html' and generates 'emoji.dict'
    
    Review URL: https://codereview.appspot.com/295610043

M	configure.ac
M	src/Makefile.am
A	src/emoji-parser.c
M	src/ibusenginesimple.c
M	src/ibusutil.c
M	src/ibusutil.h

commit a598ae29223d1ca25e76bf7d7de9703f63ea337e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-06-03 19:44:11 +0900

    ui/gtk3: Fix panel CSS format for GTK 3.20
    
    CSS node names have been changed since GTK 3.20 and the font size and
    widget color no longer work with the previous node names.
    
    BUG=https://github.com/ibus/ibus/issues/1856
    
    Review URL: https://codereview.appspot.com/297380043

M	ui/gtk3/candidatearea.vala
M	ui/gtk3/handle.vala
M	ui/gtk3/panel.vala

commit 3ef21fef0135f7b4fe9611d201f15611734f6c51
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-06-03 11:52:29 +0900

    client/gtk2: Fix SEGV with Wayland display
    
    Delete gdk_display_get_name() in GTK clients because ibus-daemon
    does not use gdk_display_get_name().
    GdkX11Dislay and GdkX11Window does not work with Wayland.
    
    BUG=https://github.com/ibus/ibus/issues/1859
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/301760043

M	client/gtk2/ibusimcontext.c
M	setup/main.py

commit a186059edc48b22e4adfc1878bb5fd0ee60d4fe0
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-05-26 12:22:53 +0900

    conf/gconf: Fix SEGV in ibus_config_gconf_get_values
    
    BUG=https://github.com/ibus/ibus/issues/1858
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/300810043

M	conf/gconf/config.c

commit b210c0d8c601f4b458b4f06937303e9479466fec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   2016-05-26 12:17:50 +0900

    configure: don't hardcode pkg-config
    
    BUG=https://github.com/ibus/ibus/pull/1860
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/299150043
    
    Patch from Marc-Antoine Perennou <Marc-Antoine@Perennou.com>.

M	configure.ac

commit 84c18f1d382548c52138822a11473d2dac79e485
Author: Rui Matos <tiagomatos@gmail.com>
Date:   2016-05-25 11:21:09 +0900

    Install a DBus service file
    
    With the transition to user scoped DBus sessions (vs. login sessions)
    there's a need to start ibus-daemon via DBus activation so that the
    process gets properly tracked and disposed of when the login session
    ends. Otherwise the ibus-daemon process lingers on and keeps the whole
    login session up.
    
    We already connect and own a well known name on DBus. The remaining
    missing piece is the DBus service file which we introduce here.
    
    BUG=https://github.com/ibus/ibus/pull/1853
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/295340043
    
    Patch from Rui Matos <tiagomatos@gmail.com>.

M	bus/Makefile.am
A	bus/org.freedesktop.IBus.service.in

commit 0432aa66b8728bc266da3c2cca84587bc44b3557
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2016-03-08 11:16:24 +0900

    Don't warn if DISPLAY is not set
    
    This is normal under Wayland, and not worth warning about.
    The warnings disrupt unit tests in GNOME continuous, which
    treat warnings as fatal.
    
    BUG=https://github.com/ibus/ibus/pull/1844
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/289430043
    
    Patch from Matthias Clasen <mclasen@redhat.com>.

M	src/ibusshare.c

commit 0229c57773144f6f78ed568a0afc1999679c7d51
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-02-22 17:38:30 +0900

    Release 1.5.13
    
    Review URL: https://codereview.appspot.com/290840043

M	configure.ac

commit b51c6200686d5494f317f8675763bad5cdd442b2
Author: Daiki Ueno <ueno@gnu.org>
Date:   2016-02-17 16:29:03 +0900

    Add SetCursorLocationRelative D-Bus method
    
    We have SetCursorLocation D-Bus method which takes the absolute
    coordinates of the screen, while on Wayland the coordinates are relative
    to the current input window and there is no way to calculate the
    absolute coordinates.  That makes it impossible for the panel to
    position the lookup table correctly.
    
    This patch adds a new D-Bus method, SetCursorLocationRelative, which
    takes the relative coordinates, so that the panel
    implementation (typically the same process of Wayland compositor) can
    use that information.  The counterpart of this changes is at:
    https://bugzilla.gnome.org/show_bug.cgi?id=753476
    
    Unlike SetCursorLocation, SetCursorLocationRelative is not delivered to
    engines, since it is not very useful for the engines without knowing the
    current input window (which is also not accessible from a different
    process on Wayland).
    
    Co-authored-by: Rui Matos <tiagomatos@gmail.com>
    
    BUG=
    R=takao.fujiwara1@gmail.com
    
    Review URL: https://codereview.appspot.com/290780043 .

M	bus/inputcontext.c
M	bus/panelproxy.c
M	bus/panelproxy.h
M	client/gtk2/ibusimcontext.c
M	src/ibusinputcontext.c
M	src/ibusinputcontext.h
M	src/ibuspanelservice.c
M	src/ibuspanelservice.h

commit 97e28cc04b4601295b22a0aa8e9e21ed4e0758a1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-02-10 11:41:34 +0900

    src: Use cache file for compose table for launching time
    
    Save the cache files of compose files under $HOME/.cache/ibus/compose
    for the performance.
    
    Load a compose file with the following order:
    1. $HOME/.config/ibus/Compose
    2. $HOME/.config/gtk-3.0/Compose
    3. $HOME/.XCompose
    4. /usr/share/X11/locale/$locale/Compose
    
    Check the system compose files of "el_GR", "fi_FI", "pt_BR" only for the
    performance because other compose files just load "en_US" compose file.
    
    BUG=https://bugzilla.gnome.org/show_bug.cgi?id=721120
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/286040043

M	configure.ac
M	src/Makefile.am
M	src/ibuscomposetable.c
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c

commit 706ba01504a0c48391360a236d7c7aa8e0057753
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-02-01 11:26:23 +0900

    src: Refactor ibuscomposetable.c
    
    Save raw integers of Unicode instead of code strings.
    Use g_warning() instead of g_set_error().
    
    BUG=https://bugzilla.gnome.org/show_bug.cgi?id=721120
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/282390044

M	src/ibuscomposetable.c

commit d5bf50cbaf8901c4d32c212c5fea31419e1b4fb7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-29 12:44:49 +0900

    src: Change guint to guint16 in ibusenginesimple.c
    
    IBusComposeTable and IBusComposeTableCompact use guint16 for the data.
    
    BUG=https://bugzilla.gnome.org/show_bug.cgi?id=721120
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/282390043

M	src/ibusenginesimple.c
M	src/ibusenginesimpleprivate.h

commit 7241f66b05344b0b7caf2f83a23aa248233a955a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-29 11:54:42 +0900

    src: Unify duplicated check_compact_table() and check_algorithmically()
    
    Clean up the duplicated APIs, check_compact_table() and
    check_algorithmically(), in ibuscomposetable.c and ibusenginesimple.c
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/286930043

M	src/Makefile.am
M	src/ibuscomposetable.c
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c
M	src/ibusenginesimple.h
A	src/ibusenginesimpleprivate.h

commit 4b87be94e4e515c0437ec3f6a7f0dc93f2e5a3fc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-20 13:30:07 +0900

    Release 1.5.12 (#2)
    
    Fix a build failure with make check.
    
    Review URL: https://codereview.appspot.com/285910043

M	Makefile.am

commit 350140e2db5af88c05a4de8a13ce0589c057424e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-19 13:24:51 +0900

    Release 1.5.12
    
    Review URL: https://codereview.appspot.com/285130043

M	Makefile.am
M	configure.ac

commit 8bc47907c3292c1f4ec6b8f101ea936c928c877a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-19 13:15:37 +0900

    Update translations
    
    Update bn.po ca.po zh_CN.po zh_HK.po
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/272450043

M	po/bn.po
M	po/ca.po
M	po/zh_CN.po
M	po/zh_HK.po

commit 3af58fae1710ed3baf800c59da1ab918089c2a9b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-15 11:23:56 +0900

    engine: Change language code from ISO 639-2 to ISO 639-1 in simple.xml
    
    BUG=https://github.com/ibus/ibus/issues/1834
    
    Review URL: https://codereview.appspot.com/283040043

M	engine/Makefile.am
A	engine/iso639converter.py
M	engine/simple.xml.in
M	ui/gtk3/switcher.vala

commit 49f3a73bd658c39311afcbf2dcc0acf9faa59ea9
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2016-01-14 11:36:37 +0900

    setup: Fix PyGIWarning: GdkX11 was imported without specifying a version
    
    R=shawn.p.huang@gmail.com
    
    Review URL: https://codereview.appspot.com/285830043

M	setup/main.py

commit 3ebeb6540ddfc75aeafdf87ccd6e4ae986e3e78d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-11-04 11:21:46 +0900

    panel: Fix the default position of property panel with dual monitors
    
    "_NET_WORKAREA" Atom returns a big screen size including every monitors.
    Use Gdk.Screen.get_monitor_workarea() instead.
    
    Review URL: https://codereview.appspot.com/277760043

M	ui/gtk3/propertypanel.vala

commit 4a8024b0a3e5670dc5ad88a26b90b0a9801efcca
Author: Alexey Kotlyarov <a@koterpillar.com>
Date:   2015-11-04 11:18:50 +0900

    panel: Constrain the candidate area to the current monitor bounds
    
    If the second monitor has the different size, lookup window on
    the second monitor could not get the right size.
    
    BUG=https://github.com/ibus/ibus/issues/1594
    
    Review URL: https://codereview.appspot.com/267710043
    
    Patch from Alexey Kotlyarov <a@koterpillar.com>.

M	ui/gtk2/candidatepanel.py
M	ui/gtk3/candidatepanel.vala

commit 1d678673e18e132ed53df32502b779b0a56314d5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-09-08 13:01:37 +0900

    ibus-daemon update user cache when user observed path is updated
    
    After the system registry cache is generated by root,
    the cache remembers the observed path exists in /root == '~'
    but if a user updates the user observed path, the observed path
    exists in '~' and ibus-daemon cannot get the updated mtime
    because the cache refers the root directory but not the user directory.
    The patch tries to save '~' instead of the actual home dir
    in the cache.
    
    BUG=https://github.com/ibus/ibus/issues/1815
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/261040043

M	configure.ac
M	src/ibusobservedpath.c
M	src/ibusregistry.c

commit c0ced65ea1298e860c571cd9151d81e620834132
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   2015-09-01 11:20:16 +0900

    check for x11 for the ui too
    
    if built with --enable-ui --disable-xim it currently fails because
    X11_LIBS is empty
    
    BUG=https://github.com/ibus/ibus/pull/1812
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/264020043
    
    Patch from Marc-Antoine Perennou <Marc-Antoine@Perennou.com>.

M	configure.ac

commit 173af53099633fa18713ac45f9f64b50607f83ff
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-08-14 11:24:15 +0900

    Add terminator in NO_SNOOPER_APPS
    
    terminator connects "key-press-event" signal in VTE and receives the
    KeyPress events and copies the events to the multiple terminals.
    If IBus uses snooper and IBusIMContext returns true,
    terminator cannot receive the IME events because VTE does not export
    IME "commit" signal.
    After move terminator in NO_SNOOPER_APPS, terminator can receive the
    KeyPress events from "key-press-event" signal before IBusIMContext
    key_press_event() class method receives the events.
    
    BUG=https://github.com/ibus/ibus/issues/1802
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/260120043

M	configure.ac

commit 8954a6f5ae4dd73e8189f5d52a7a378e8698c988
Author: Hodong Kim <hodong@cogno.org>
Date:   2015-07-21 11:39:25 +0900

    client/x11: Remove an unused variable
    
    BUG=https://github.com/ibus/ibus/pull/1808
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/256010044
    
    Patch from Hodong Kim <hodong@cogno.org>.

M	client/x11/main.c

commit 8d5640669a72a551f2b47521c9b945c0a3ae9057
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-07-16 14:12:52 +0900

    Release 1.5.11
    
    Review URL: https://codereview.appspot.com/242580043

M	bindings/vala/Makefile.am
M	configure.ac

commit e00cb92df5f14dc8e6cc11056ebc4d7dbff91250
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-07-16 13:50:55 +0900

    Update translations
    
    Update po/ar.po po/as.po po/bg.po po/bn.po po/bn_IN.po po/ca.po po/da.po
           po/de.po po/en_GB.po po/es.po po/et.po po/eu.po po/fa.po po/fr.po
           po/gu.po po/he.po po/hi.po po/hu.po po/ia.po po/it.po po/ja.po
           po/kn.po po/ko.po po/lv.po po/ml.po po/mr.po po/nb.po po/nl.po
           po/or.po po/pa.po po/pl.po po/pt_BR.po po/ru.po po/sr.po
           po/sr@latin.po po/ta.po po/te.po po/tg.po po/uk.po po/ur.po
           po/vi.po po/zh_CN.po po/zh_HK.po po/zh_TW.po
    
    Review URL: https://codereview.appspot.com/241700043

M	po/ar.po
M	po/as.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/ca.po
M	po/da.po
M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fr.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/ia.po
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/lv.po
M	po/ml.po
M	po/mr.po
M	po/nb.po
M	po/nl.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sr.po
M	po/sr@latin.po
M	po/ta.po
M	po/te.po
M	po/tg.po
M	po/uk.po
M	po/ur.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 05f112adaa743cda35265a79622fc373d2331428
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-07-16 13:33:17 +0900

    Fix GIR warnings about XMLNode with g-ir-scanner
    
    Fix:
    ibusxml.h:62: Warning: IBus: ibus_xml_parse_file: return value:
    Unresolved type: 'XMLNode*'
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/255210043

M	src/ibusxml.c
M	src/ibusxml.h

commit 91bb4a074772835c2c61c0152c13886fb3f91369
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-07-13 17:58:30 +0900

    Fix doc builds
    
    Generate:
    html/IBusEngineSimple.html
    
    Fix:
    ibuscomponent.h:137: Warning: IBus: "@Varargs" parameter is deprecated,
    please use "@..." instead:
     * @Varargs: the NULL-terminated arguments of the properties and values.
    
    ibuscomponent.h:83: Warning: IBus: GTK-Doc tag "Description:" has been
    deprecated:
     * description: Detailed description of component.
    
    ../../../src/ibusenumtypes.h:13: warning: Section ibusenumtypes is not
    defined in the ibus-sections.txt file.
    
    ../../../src/ibusenginesimple.h:39: warning: Section ibussimpleengine is
    not defined in the ibus-sections.txt file.
    
    ../../../src/ibusinternal.h:35: warning: Section ibusinternal is not
    defined in the ibus-sections.txt file.
    
    ../../../src/ibusattribute.h:138: warning: Parameter description for
    ibus_attribute_new::returns is not used from source code comment block.
    
    ../../../src/ibusattribute.h:161: warning: Parameter description for
    ibus_attribute_get_value::attr is missing in source code comment block.
    
    ../../../src/ibuscomponent.h:145: warning: Parameter description for
    ibus_component_new_varargs::... is missing in source code comment block.
    
    ../../../src/ibusconfig.h:95: warning: Parameter description for
    ibus_config_new::cancellable is missing in source code comment block.
    
    html/IBusBus.html:3540: warning: no link for:
    'ibus-bus-get-property-async' ->
    (<code class="function">ibus_bus_get_property_async()</code>).
    
    html/api-index-full.html:2989: warning: no link for:
    'ibus-ibuscomposetable' -> (ibuscomposetable).
    
    html/IBusAttribute.html:500: warning: no link for: 'FIXME:CAPS'
    -> (<code class="literal">FIXME</code>).
    
    html/ibus-ibuskeys.html:286: warning: no link for: 'IBUS-KEY-Enter'
    -> (<span class="type">IBUS_KEY_Enter</span>).
    
    html/IBusPanelService.html:574: warning: no link for:
    'cursor-down-lookup-table' ->
    (<code class="function">cursor_down_lookup_table()</code>).
    
    html/IBusEngine.html:1190: warning: no link for: 'cancel-hand-writing'
    -> (<code class="function">cancel_hand_writing()</code>).
    
    Review URL: https://codereview.appspot.com/247680043

M	docs/reference/ibus/Makefile.am
M	docs/reference/ibus/ibus.types
M	src/ibusattribute.h
M	src/ibusattrlist.h
M	src/ibusbus.h
M	src/ibuscomponent.h
M	src/ibusconfig.h
M	src/ibusconfigservice.h
M	src/ibusdebug.h
M	src/ibusengine.c
M	src/ibusengine.h
M	src/ibusenginedesc.h
M	src/ibusenginesimple.h
M	src/ibusenumtypes.h.template
M	src/ibusfactory.h
M	src/ibushotkey.h
M	src/ibusinputcontext.h
M	src/ibusinternal.h
M	src/ibuskeymap.h
M	src/ibuskeys.h
M	src/ibuslookuptable.h
M	src/ibusobject.h
M	src/ibusobservedpath.h
M	src/ibuspanelservice.c
M	src/ibuspanelservice.h
M	src/ibusproperty.h
M	src/ibusproplist.h
M	src/ibusproxy.h
M	src/ibusregistry.h
M	src/ibusserializable.h
M	src/ibusservice.h
M	src/ibusshare.h
M	src/ibustext.h
M	src/ibusutil.h
M	src/ibusxml.h

commit 3397fcabe28f6cbf19b698954f5260fed11261c6
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-07-03 11:24:26 +0900

    Use LC_CTYPE in IBusEngineSimple until g_get_language_names() is fixed
    
    Review URL: https://codereview.appspot.com/249490043

M	src/ibusenginesimple.c

commit 845528b91bbccd691d75c931b1dffa304424831b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-29 11:54:17 +0900

    Replace code.google.com with github.com
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/252740043

M	bus/ibus-daemon.1.in
M	client/x11/main.c
M	conf/dconf/dconf.xml.in
M	conf/gconf/gconf.xml.in
M	conf/memconf/memconf.xml.in
M	engine/simple.xml.in
M	ibus.spec.in
M	setup/ibus-setup.1.in
M	src/ibuscomponent.h
M	src/tests/ibus-compose.c
M	tools/ibus.1.in
M	ui/gtk3/gtkpanel.xml.in

commit 70a3b80b39850c289c4e45f702bfc6c3743d6afc
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-22 11:34:32 +0900

    Add maintainers
    
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/249800043

M	AUTHORS
M	ui/gtk3/panel.vala

commit 23c45b970b195008a54884a1a9d810e7f8b22c5c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-19 13:57:35 +0900

    Enable to show a property on ibus panel icon
    
    If an engine sets the value of icon-prop-key of IBusEngineDesc to
    a property name of IBusProperty.key, the panel will show the engine
    property in the icon with a delayed time.
    This way can show both the engine icon and the engine mode in one icon.
    
    Review URL: https://codereview.appspot.com/248950043

M	data/ibus.schemas.in
M	src/ibusenginedesc.c
M	src/ibusenginedesc.h
M	ui/gtk3/panel.vala

commit 7fd6077f19a5a39cdcd9c7fde0d9c8234ae5592e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-15 11:19:28 +0900

    Support vertical writing with IBUS_INPUT_HINT_VERTICAL_WRITING
    
    GTK_INPUT_HINT_VERTICAL_WRITING has been supported in gtk 3.18
    Put the vertical lookup table at the left top of the cursor position
    in case of the vertical mode.
    Also the gtk client tries to get the character width not to overlap
    the character when the client window is moved to the screen left.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1780
    
    Review URL: https://codereview.appspot.com/242140043

M	src/ibustypes.h
M	ui/gtk3/candidatearea.vala
M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/panel.vala

commit bd7673e73c2a8c54d2a827603a960d76dab7be1b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-12 11:43:56 +0900

    Do not put lookup window at the minus position
    
    tweetdeck.twitter.com seems has hidden GdkWindow and does not provide
    the positive cursor position.
    
    BUG=https://github.com/ibus/ibus/issues/1801
    
    Review URL: https://codereview.appspot.com/246010043

M	ui/gtk3/candidatepanel.vala

commit b0f2536b58dff885fa887230909718a69b571053
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-05 15:21:44 +0900

    s/code.google.com/github.com/ in docs
    
    Review URL: https://codereview.appspot.com/241190043

M	README
M	docs/reference/ibus/ibus-docs.sgml.in
M	setup/ibus-setup.1.in
M	setup/setup.ui
M	ui/gtk3/panel.vala

commit 7c865d0d396a207e34f834a503410fca80911794
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-06-03 16:44:47 +0900

    Delete gnome-do from NO_SNOOPER_APPS
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1433
    R=Shawn.P.Huang@gmail.com
    
    Review URL: https://codereview.appspot.com/243820043

M	configure.ac

commit 64b8609b5f0f7e62e4730769b52eefd881a8cc8b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-25 11:00:57 +0900

    ibus-ui-gtk3: radio and check menu items work with GTK 3.16
    
    GTK 3.16 has cleared the radio buttons' state in
    gtk_radio_menu_item_set_group():
    https://git.gnome.org/browse/gtk+/commit/?id=955aed9227
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1784
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/240100043

M	ui/gtk3/property.vala

commit b58351ec2f7c057dcfe0aff883064039702a56d7
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-22 11:37:11 +0900

    Set sync process_key_event in ibus-x11
    
    If X11 client application spend time during XNextEvent(), e.g. sleep(1),
    under async process_key_event(), X11 does not keep the event order.
    I don't know why the event order is broken but now set the sync mode.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1697
    TEST=client/x11/ibus-x11
    
    Review URL: https://codereview.appspot.com/240860043

M	client/x11/main.c

commit 7ecbccc7164e1ad1c1d46f51d29f7be9cbec5d13
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-21 14:12:22 +0900

    Enable null return in gobject-introspection
    
    TEST=src/IBus.gir bindings/vala/ibus.vapi
    
    Review URL: https://codereview.appspot.com/236410043

M	engine/main.vala
M	src/ibusfactory.c
M	src/ibusservice.h
M	ui/gtk3/indicator.vala

commit 0f9ea3d82a95f557acbe0e538a12dfd2f4ecd9c1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-21 11:06:02 +0900

    Fix SEGV of ibus-x11 on wayland
    
    In case that ibus-x11 is built with gtk3, GdkDisplay can be
    GdkWaylandDisplay but not GdkX11Display so GDK_DISPLAY_XDISPLAY()
    and GDK_WINDOW_XID() does not work in wayland.
    
    TEST=client/x11/ibus-x11
    
    Review URL: https://codereview.appspot.com/234590043

M	client/x11/main.c

commit 85f5433c223118fa8f7e4f4bceafa372d8f1e880
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-21 11:00:20 +0900

    Use GLib.Idle.add() when ibus-engine-simple loads compose tables
    
    TEST=engine/ibus-engine-simple
    
    Review URL: https://codereview.appspot.com/240820043

M	engine/Makefile.am
M	engine/main.vala
M	src/ibuscomposetable.c
M	src/ibusenginesimple.h

commit 7ae585ac21db4dfac8989887e1a5f97fb863fa17
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-18 11:54:38 +0900

    Load locale compose files dynamically.
    
    $HOME/.XCompose is used for the customization of compose files.
    Now the static system locale data is dropped and load
    /usr/share/X11/locale/$LOCALE/Compose dynamically besides .XCompose.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1728
    TEST=src/libibus.so src/tests/ibus-compose  engine/ibus-engine-simple
    
    Review URL: https://codereview.appspot.com/232440044

D	bindings/vala/ibus-private.vapi
M	engine/Makefile.am
M	engine/main.vala
D	engine/test-compose.vala
M	src/Makefile.am
R051	src/gencomposetable.c	src/ibuscomposetable.c
M	src/ibuscomposetable.h
M	src/ibusenginesimple.c
M	src/ibusenginesimple.h
M	src/keyname-table.h
M	src/tests/Makefile.am
A	src/tests/ibus-compose.c
M	src/tests/runtest

commit 55d62a172dc8776593da484399e2bd66d3d9f361
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-12 11:19:07 +0900

    setup: Fix deprecated APIs since GTK 3.14
    
    GtkAlignment and GtkMisc have been no longer available since GTK 3.14
    and use gtk_widget_set_margin_*().
    gtk_widget_set_margin_[start|end]() are new in GTK 3.12 so still use
    gtk_widget_set_margin_[left|right]()
    
    TEST=setup
    
    Review URL: https://codereview.appspot.com/226510043

M	setup/setup.ui

commit 1a45642e4e152516dc863717f13eb031138a3978
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-05-01 11:42:41 +0900

    Update xinput-ibus to check Qt5 libraries besides Qt4 ones
    
    Now KDE5 is official and ibus-qt is not required since
    ibus-qt is used for Qt4.
    NOT_RUN=gnome3 is a variable for imsettings since
    gnome-shell runs ibus-daemon directly.
    
    BUG=rhbz#1217410
    TEST=xinput-ibus
    
    Review URL: https://codereview.appspot.com/237810043

M	xinput-ibus

commit ffdcc6cd1368143b77e6f535e90974651575b02e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-30 11:10:09 +0900

    Fix to get X11 display name on GTK3 applications in GNOME Wayland
    
    gdk_display_get_name() returns "Wayland" in GTK 3.16 but
    ibus-daemon uses DISPLAY variable for ibus_get_address() at present.
    https://git.gnome.org/browse/gtk+/tree/gdk/wayland/gdkdisplay-wayland.c#n332
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1774
    TEST=client/gtk3/im-ibus.so
    
    Review URL: https://codereview.appspot.com/229140045

M	client/gtk2/ibusimcontext.c

commit f6ba337abc2bad9f40aea89b6c38564c982031fe
Author: Hodong Kim <hodong@cogno.org>
Date:   2015-04-28 11:32:56 +0900

    Fix typo in util/IMdkit/IMdkit.h and Xi18n.h
    
    BUG=https://github.com/ibus/ibus/pull/20
    TEST=util/IMdkit/libIMdkit.la
    
    Review URL: https://codereview.appspot.com/232980043
    Patch from Hodong Kim <hodong@cogno.org>.

M	util/IMdkit/IMdkit.h
M	util/IMdkit/Xi18n.h

commit 5d9109b3c56bca60be441ad286688467c67664c8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-21 11:26:04 +0900

    Fix to show keyboard shortcuts in ibus-setup.
    
    BUG=http://code.google.com/p/ibus/issues/detail?id=1771
    TEST=setup
    
    Review URL: https://codereview.appspot.com/233720043

M	setup/keyboardshortcut.py

commit c98f15629054cad791a4adb21735ee3797601aa5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-15 10:22:21 +0900

    Stop DBus warnings during restarting ibus-daemon
    
    ibus-ui-gtk3 outputs some warnings when restart ibus-daemon
    because some dbus metods are sent before dbus is closed.
    
    TEST=src/libibus.so ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/226140043

M	src/ibusbus.c
M	ui/gtk3/panel.vala

commit 4d49a664b9605690a6d0f7da6a0e21c92fb67028
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   2015-04-13 11:59:26 +0900

    xim: use gtk3
    
    TEST=client/x11/ibus-x11
    
    Review URL: https://codereview.appspot.com/225990043
    Patch from Marc-Antoine Perennou <Marc-Antoine@Perennou.com>.

M	client/x11/Makefile.am
M	client/x11/gdk-private.c
M	client/x11/main.c
M	configure.ac

commit 25593ed7248b19ef1d3a0e1d75da8f3d26321bca
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-13 11:55:05 +0900

    ibus-ui-gtk3: Do not change buffered CairoSurface data twice in KDE5
    
    Indicator.set_cairo_image_surface_full() receives the buffered
    CairoImageSurface and the data should not be modified in the API
    because the same data could be received twice.
    
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/224340043

M	ui/gtk3/indicator.vala
M	ui/gtk3/panel.vala

commit cb93cab84beea2074502b04580d33e51587da83e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-09 15:20:56 +0900

    ibus-ui-gtk3: Support language icon in KDE5.
    
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/229740043

M	ui/gtk3/indicator.vala
M	ui/gtk3/notification-item.xml
M	ui/gtk3/panel.vala

commit 90252fa952da2b9a4a33e6f2c33f652d3e9cbbee
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-03 13:01:15 +0900

    Update translations.
    
    Update po/ca.po po/es.po po/pl.po po/uk.po
    
    Review URL: https://codereview.appspot.com/217680043

M	po/ca.po
M	po/es.po
M	po/pl.po
M	po/uk.po

commit 35d035bfc48e20eecb3b3b3b14712d73c5fc027b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-02 11:26:24 +0900

    ibus-ui-gtk3: Enable absolute path of engine icon in KDE5
    
    plasma-workspace 5.2 supports the icon full path.
    Now the build checks if qtbase-devel is 5.4 or later since
    there is no way to check the version of plasma-workspace.
    
    BUG=https://github.com/ibus/ibus/pull/17
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/217310044

M	configure.ac
M	ui/gtk3/Makefile.am
M	ui/gtk3/panel.vala

commit cc88075ddae038f90039d58147bb3c9d7eb08364
Author: Hodong Kim <hodong@cogno.org>
Date:   2015-04-02 11:18:57 +0900

    Fix compile error in client/x11/Makefile
    
    BUG=https://github.com/ibus/ibus/pull/18
    TEST=client/x11/Makefile
    
    Review URL: https://codereview.appspot.com/217590043
    Patch from Hodong Kim <hodong@cogno.org>.

M	client/x11/Makefile.am

commit 020bd45eda9e3a3a2836122fbe0437cafb71f163
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-04-01 11:42:34 +0900

    ibus-ui-gtk3: Draw gray color on PropertyPanel handle
    
    Users can move the position of IBus PropertyPanel with the mouse
    but currently it is too hard to find the handle on the panel.
    Now the handle is drawn by the gray color for the visibility.
    
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/219520043

M	ui/gtk3/handle.vala

commit eb4ffa1d9aeccf31318afd1d24cbcbbefa79337b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-03-31 11:56:05 +0900

    Put PropertyPanel at bottom right when desktop is KDE
    
    Monitor _NET_WORKAREA atom because PropertyPanel runs
    before KDE5 panel runs.
    Allocate button sizes on PropertyPanel correctly for KDE5.
    
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/220500043

M	ui/gtk3/propertypanel.vala

commit 02156038217e41ebd90e3d1ed4bb88b912a15a06
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-03-30 11:07:42 +0900

    I18N for IBus engine about dialog in ibus-setup
    
    TEST=setup
    
    Review URL: https://codereview.appspot.com/219400043

M	setup/engineabout.py

commit 8b187598215e3af0481e0f9415fe6a21db682e6b
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-03-25 13:55:50 +0900

    I18N for engine longnames on ibus-setup
    
    New API ibus_get_untranslated_language_name().
    Call bindtextdomain() for each textdomains.
    
    TEST=setup
    
    Review URL: https://codereview.appspot.com/218760043

M	setup/enginedialog.py
M	setup/enginetreeview.py
M	setup/main.py
M	src/ibusutil.c
M	src/ibusutil.h
M	ui/gtk2/i18n.py
M	ui/gtk2/main.py

commit 4a4bd5fd0cac63b73464039896df123efd372d4a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-03-18 13:47:07 +0900

    Change ranks for minor keymaps in simple.xml
    
    TEST=engine/simple.xml
    
    Review URL: https://codereview.appspot.com/217900043

M	engine/simple.xml.in

commit f32e98fdacf50af70fe1e3198463fc75d9ead727
Author: Albert Veli <albert.veli@gmail.com>
Date:   2015-03-12 12:12:22 +0900

    Add Swedish svdvorak in simple.xml
    
    TEST=engine/simple.xml
    
    Review URL: https://codereview.appspot.com/215730043
    Patch from Albert Veli <albert.veli@gmail.com>.

M	engine/simple.xml.in

commit 0ba6452740ec6e76344afaa2a9887566d0b62a4d
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-09 13:36:58 +0900

    Add ibus_keyval_convert_case and ibus_keyval_to_upper/lower methods
    
    In some input method setup dialog, customization of shortcut keys are supported. But in python Gtk+, when grab the shortcut key, the gdk_keyval_to_lower method will be used.
    
    This patch adds ibus_keyval_convert_case and ibus_keyval_to_upper/lower methods, so ibus-libpinyin can drop the Gdk 3.x C++ dependency.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1766
    TEST=
    
    Review URL: https://codereview.appspot.com/213760043
    Patch from Peng Wu <alexepico@gmail.com>.

M	src/ibuskeynames.c
M	src/ibuskeys.h

commit 49ee54f83471542447e1121be15c27ff5d86600b
Author: Colin Walters <walters@verbum.org>
Date:   2015-02-27 11:32:41 +0900

    dconf: Work around using dbus development builds and /etc/machine-id
    
    Recent DBus changed the way it reads /etc/machine-id to be more
    strict, and it turns out that this breaks the use of dbus-launch here.
    
    The *correct* fix is to use `dbus-run-session`, but not everyone has
    that yet.  This is a quick hack that keeps the build going.
    
    BUG=https://github.com/ibus/ibus/pull/16
    TEST=data/dconf/00-upstream-settings
    
    Review URL: https://codereview.appspot.com/209810043
    Patch from Colin Walters <walters@verbum.org>.

M	data/dconf/make-dconf-override-db.sh

commit db260a6f1f4ed0f6faba72cbb0d59c01799a319c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-02-25 12:56:28 +0900

    Release 1.5.10
    
    Review URL: https://codereview.appspot.com/199620043

M	configure.ac

commit 211483eae9cec8c4762dbb6714264084dc774c75
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-02-25 12:53:10 +0900

    Update translations
    
    Update bn_IN.po ca.po es.po ja.po ko.po ml.po nl.po zh_TW.po
    
    Review URL: https://codereview.appspot.com/202150044

M	po/bn_IN.po
M	po/ca.po
M	po/es.po
M	po/ja.po
M	po/ko.po
M	po/ml.po
M	po/nl.po
M	po/zh_TW.po

commit aab56c25356e3d036db8d3ffcef272a2b69c17d3
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-02-19 19:37:55 +0900

    Add ibus panel icon for plasma-desktop in KDE5
    
    plasma-desktop does not provide notification area for GtkStatusIcon
    (QSystemTrayIcon too).
    KDE5 provides AppIndicator or KStatusNotifierItem.
    KStatusNotifierItem uses QT5 code and C++.
    AppIndicator is an instance using dbus methods of
    KStatusNotifierItem and it supports GTK3.
    This implements the dbus method names directly so that activate menu
    is supported.
    
    http://blog.martin-graesslin.com/blog/2014/06/where-are-my-systray-icons/
    https://lists.fedoraproject.org/pipermail/devel/2014-June/199782.html
    http://comments.gmane.org/gmane.comp.kde.devel.core/81971
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1749
    TEST=ui/appindicator/ibus-ui-appindicator
    
    Review URL: https://codereview.appspot.com/189680044

M	configure.ac
M	src/ibusservice.c
M	ui/gtk3/Makefile.am
A	ui/gtk3/indicator.vala
A	ui/gtk3/notification-item.xml
A	ui/gtk3/notification-watcher.xml
M	ui/gtk3/panel.vala

commit e6c883269e00e2432109c639d696491034dde5d5
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-02-03 12:30:56 +0900

    Release registry observed_paths and components if they are broken
    
    Registry caches might be broken in a disk.
    
    BUG=rhbz#1187956
    TEST=src/libibus.so
    
    Review URL: https://codereview.appspot.com/200980043

M	src/ibusregistry.c

commit 38d3c5ccdfa53cb4028e1e03bb877494035cb5a8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-01-06 13:46:14 +0900

    gtk clients do not lose focus when chrome popup window takes the focus
    
    Do not call gtk_im_context_focus_out() in ibus_im_context_focus_in()
    for a workaround because chrome popup window does not release the focus.
    
    BUG=rhbz#1136623
    TEST=client/gtk2/im-ibus.so
    
    Review URL: https://codereview.appspot.com/187710043

M	client/gtk2/ibusimcontext.c

commit 83451e476b5ec98aa38e333038077f9e5b2b087d
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-01-06 12:03:07 +0900

    Run ibus_bus_preload_engines_async 30 seconds later in ibus-ui-gtk3
    
    Make sure to run the primary ibus engine at first to avoid
    the duplicated IO.
    
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/187700043

M	ui/gtk3/panel.vala

commit 1b668f667eaef08dfbbbdf04a0865ea086f4250a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2015-01-06 11:59:05 +0900

    Increase dbus timeout to 15 seconds
    
    When log into XFCE session, ibus panel sometimes fails to run the primary
    ibus engine due to 5 seconds of the timeout.
    It could happen when I open gnome-terminal during launching ibus-daemon.
    
    TEST=bus/ibus-daemon, ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/192940043

M	bus/global.c
M	bus/ibusimpl.c
M	bus/main.c
M	src/ibusshare.c

commit 576ebc3633aa1fb3076ffac031255c3da4e2cd09
Author: Klemens Baum <klemensbaum@gmail.com>
Date:   2014-12-18 16:27:23 +0900

    IMdkit: Track window property offsets correctly
    
    The XIM specification requires that XIM tranports over 20 bytes in size
    be transferred via window properties. The sender calls XChangeProperty
    with PropModeAppend, and instructs the recipient via ClientMessage to
    call XGetWindowProperty with delete set to True.
    
    Naive implementations exhibit a race condition because the receiver
    could have written more data in the meantime, and XGetWindowProperty
    only deletes the property when bytes_after_return is zero. If
    bytes_after_return is non-zero, it is necessary to use an offset when
    reading from the property again.
    
    To ensure that the property data does not grow indefinitely, Xlib
    recycles 21 Atoms in round-robin fashion. Because the XIM specification
    does not limit the number of Atom names of the form "_clientXXX" to be
    used for data transfer over window properties, an XIM server should be
    able to keep of track any number of Atoms, remembering the offset into
    each property.
    
    This patch implements correct tracking of property offsets.
    
    Signed-off-by: Klemens Baum <klemensbaum@gmail.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    
    rhbz#1175595
    BUG=https://code.google.com/p/ibus/issues/detail?id=1751
    TEST=client/x11/ibus-x11
    
    Review URL: https://codereview.appspot.com/176190044
    Patch from Klemens Baum <klemensbaum@gmail.com>.

M	util/IMdkit/Makefile.am
M	util/IMdkit/Xi18n.h
A	util/IMdkit/i18nOffsetCache.c
M	util/IMdkit/i18nUtil.c
M	util/IMdkit/i18nX.c

commit 8f471ce138a9dc10ab5b1e0c716bb48ca36fe12a
Author: Doug Rintoul <doug_rintoul@sil.org>
Date:   2014-12-08 12:52:00 +0900

    Show language rather than layout in xkb panel icon
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1753
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/184840043
    Patch from Doug Rintoul <doug_rintoul@sil.org>.

M	ui/gtk3/panel.vala
M	ui/gtk3/switcher.vala

commit 097715746da0f56b8b8c3ddae2da3442032bff0c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   2014-12-05 20:25:44 +0900

    Carry current context content type into fake context when switching
    
    When focus moves out of a context to the fake context we should keep
    the content type properties as they were in the focused out context.
    
    This allows panel implementations to show the proper UI while input
    focus moves away temporarily from a text entry.
    
    E.g. a password entry is focused and the user clicks on the panel
    UI. At this point ibus switches the currently focused context to the
    fake context and emits set-content-type with the fake context
    properties which are empty and thus the panel reacts to it. This isn't
    the intended behavior though since, from a user POV, the password
    entry is still the context that will be getting text input when the
    panel UI gets dismissed.
    
    R=shawn.p.huang@gmail.com
    BUG=https://bugzilla.gnome.org/show_bug.cgi?id=730628
    
    Review URL: https://codereview.appspot.com/176260043
    Patch from Rui Matos <tiagomatos@gmail.com>.

M	bus/ibusimpl.c
M	bus/inputcontext.c
M	bus/inputcontext.h

commit f69ddc3952971c5599c92aee3dc1de6017d07f3c
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-05 11:41:08 +0900

    Fixes ibus_keyval_name method in c++ binding
    
    Add G_BEGIN_DECLS and G_END_DECLS macros in src/ibuskeys.h
    
    BUG=
    
    Review URL: https://codereview.appspot.com/185850043
    Patch from Peng Wu <alexepico@gmail.com>.

M	src/ibuskeys.h

commit a7abce698f40e60275c46f05967e8cc369769e4b
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-19 18:10:05 +0900

    Fixes ibus_engine_update_lookup_table_fast method
    
    gnome shell needs the previous page and next page
    to correctly show the page up/down arrows,
    send three pages instead of one page.
    
    URL: https://bugzilla.gnome.org/show_bug.cgi?id=703020
    
    BUG=
    
    Review URL: https://codereview.appspot.com/164540045
    Patch from Peng Wu <alexepico@gmail.com>.

M	src/ibusengine.c

commit de3541d2a26c673f27c068559f6d363064e03760
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-11-13 11:28:43 +0900

    Remove "Release" modifiers key on ibus-setup.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1748
    TEST=setup
    
    Review URL: https://codereview.appspot.com/167570043

M	setup/keyboardshortcut.py

commit e2507263817926ceb97511da3d617934d4b73443
Author: Osamu Aoki <osamu@debian.org>
Date:   2014-11-13 11:23:38 +0900

    ibus-setup tries C since en_US.UTF-8 is not installed in Debian by default.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1747
    TEST=setup
    
    Review URL: https://codereview.appspot.com/166420043
    Patch from Osamu Aoki <osamu@debian.org>.

M	setup/enginecombobox.py
M	setup/enginedialog.py

commit bb818e438599f080a0cffb0b7573d9a646cf3b1a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-10-28 11:28:46 +0900

    Fix not to SEGV ibus-ui-gtk3 with wrong 'preload-engines' value.
    
    Fedora internal patch could save engines from the result of
    'setxkbmap -query' but they do not exist in simple.xml likes
    'xkb:cn::chi' while now the current implementation converts
    those engines to 'xkb:us::eng'.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1744
    TEST=ui/gtk3
    
    Review URL: https://codereview.appspot.com/158640043

M	ui/gtk3/panel.vala

commit ab0be905a3c007b5ddec11ceada058879eca3b5c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-10-01 16:23:54 +0900

    Updated translations.
    
    Updated gu.po kn.po mr.po ta.po te.po
    
    Review URL: https://codereview.appspot.com/151850043

M	po/gu.po
M	po/kn.po
M	po/mr.po
M	po/ta.po
M	po/te.po

commit f33e19bec6ab7d1a6133894c86fdeb5a81ce11f1
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-10-01 16:21:02 +0900

    Fix to lose a focus when move the focus from the delayed focus-in/out.
    
    Some applications likes google-chrome URL entry could have the delayed
    focus-in and focus-out events and ibus fails to get the new focus.
    
    BUG=rhbz#919863, rhbz#1136623
    
    Review URL: https://codereview.appspot.com/7725045

M	bus/inputcontext.c

commit 6c10ce4ee5d3b8a62879d559834d5a4fae242eef
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-09-16 11:49:04 +0900

    Release 1.5.9
    
    Review URL: https://codereview.appspot.com/141950044

M	configure.ac

commit 86513b1ac9f6c3765df1aca8cd266aebba424388
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-09-16 11:44:34 +0900

    Update translations.
    
    Update as.po ko.po pl.po
    
    Review URL: https://codereview.appspot.com/141980043

M	po/as.po
M	po/ko.po
M	po/pl.po

commit 6dcb2dd20d2ee3abd6e26f2aac7666bfedf352df
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-09-08 12:03:40 +0900

    Fix compose keys in French layout bepo variant.
    
    fr(bepo) sends dead_currency with Shift+AltGr+e and
    ibus should send currency with dead_currency+dead_currency but
    gtkimcontextsimpleseqs.h was not sorted in the descending order
    and failed to get dead_currency.
    Also need to add dead_stroke and dead_belowcomma for
    AltGr+l and Shift+AltGr+Cedilla
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1742
    TEST=src/libibus.so
    
    Review URL: https://codereview.appspot.com/135470043

M	src/gtkimcontextsimpleseqs.h
M	src/ibusenginesimple.c

commit a78c0b8cb379a0799b1a28450af8ee9d07016709
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-09-03 14:09:33 +0900

    Do not fail ibus-setup when en_US.UTF-8 is not installed.
    
    BUG=https://code.google.com/p/ibus/issues/detail?id=1740
    TEST=setup
    
    Review URL: https://codereview.appspot.com/136080043

M	setup/enginedialog.py

commit 2e8de03a949bf1a7dabe8217d42017bf75685b1a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-08-07 11:45:00 +0900

    Enable preedit color on external preedit window with x11 applications.
    
    BUG=http://code.google.com/p/ibus/issues/detail?id=1731
    TEST=ui/gtk3/ibus-ui-gtk3
    
    Review URL: https://codereview.appspot.com/119480043

M	ui/gtk3/candidatepanel.vala

commit 78dfe648c736d62921c77f2de931898762409b0e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-24 13:00:40 +0900

    Release 1.5.8
    
    Review URL: https://codereview.appspot.com/113280043

M	configure.ac

commit 54e01d4343766467269e0d0cb8b6f208bbb35c4c
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-24 12:58:50 +0900

    Update translations.
    
    Update ja.po
    
    Review URL: https://codereview.appspot.com/118890043

M	po/ja.po

commit 3e6178c04869cceba3e5d681c9827ab54098f3b4
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-18 13:00:50 +0900

    Enhance UI to add engines on ibus-setup
    
    BUG=rhbz#803583
    TEST=setup
    
    Review URL: https://codereview.appspot.com/118830043

M	po/POTFILES.in
M	setup/Makefile.am
A	setup/enginedialog.py
M	setup/enginetreeview.py
M	setup/main.py

commit 130d3108902ed3e7c61930e3a24ee957c3d3e658
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-17 12:41:36 +0900

    Fix deprecated gtk3 GtkMisc, GtkAlignment and vala Gdk.X11Display
    
    gtk 3.13.4 warns GtkMisc and GtkAlignment
    vala 0.24 warns Gdk.X11Display
    
    https://git.gnome.org/browse/gtk+/commit/?id=ec0a60a248
    https://git.gnome.org/browse/gtk+/commit/?id=04703689b8
    https://git.gnome.org/browse/vala/commit/?id=b65e3dc87c
    
    TEST=make ui/gtk3
    
    Review URL: https://codereview.appspot.com/114820044

M	ui/gtk3/candidatearea.vala
M	ui/gtk3/candidatepanel.vala
M	ui/gtk3/keybindingmanager.vala
M	ui/gtk3/propertypanel.vala
M	ui/gtk3/switcher.vala

commit 47a6b86f197918147693a7b4774d02a287950e6a
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-14 18:00:51 +0900

    Update translations.
    
    Update es.po fr.po ja.po ko.po pl.po pt_BR.po uk.po zh_TW.po
    
    Review URL: https://codereview.appspot.com/108480043

M	po/es.po
M	po/fr.po
M	po/ja.po
M	po/ko.po
M	po/pl.po
M	po/pt_BR.po
M	po/uk.po
M	po/zh_TW.po

commit 9b2004efcd26e11bbd56cf51656fe326fc11be8e
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-14 11:45:25 +0900

    Call GLib.set_prgname('ibus-setup') for ibus-setup main.py
    
    TEST=xlsclients
    
    Review URL: https://codereview.appspot.com/108550043

M	setup/main.py

commit b1b4e2946682e3d53aa396d8469c7fa16a2dbca8
Author: fujiwarat <takao.fujiwara1@gmail.com>
Date:   2014-07-11 11:50:04 +0900

    Export the 'IBUS_SETUP_XID' environment variable for each engine setup.
    
    Follow GNOME_CONTROL_CENTER_XID.
    https://wiki.gnome.org/AllanDay/IMEGuidelines
    
    TEST=setup
    
